*                                                                       00050000
*        %GOTO ASXBL1;  /*                                              00100000
         MACRO                                                          00150000
         IHAASXB &DSECT=YES,&LIST=NO                               @L3C 00183300
**/                                                                     00216600
*%ASXBL1 : ;                                                            00250000
*                                                                       00300000
*/* START OF SPECIFICATIONS **************************************** */ 00350000
*/*                                                                  */ 00400000
*/*01* PROPRIETARY STATEMENT =                                       */ 00450000
*/*      LICENSED MATERIALS - PROPERTY OF IBM                        */ 00651500
*/*      THIS MACRO IS "RESTRICTED MATERIALS OF IBM"                 */ 00676100
*/*      5694-A01 (C) COPYRIGHT IBM CORP. 1980, 2002                 */ 00713000
*/*                                                                  */ 00750000
*/*01* STATUS:  HBB7707                                              */ 00757600
*/*                                                                  */ 00765200
*/*01* EXTERNAL CLASSIFICATION:                                      */ 00772800
*/*02*         DMTI:BASE                                             */ 00780400
*/*02*         GUPI:FIELDS                                           */ 00788000
*/*                  ASXBLWA                                         */ 00795600
*/*                  ASXBSENV                                        */ 00803200
*/*                  ASXBITCB                                    @L9A*/ 00807000
*/*02*         PSPI:FIELDS                                           */ 00810800
*/*                  ASXBFTCB                                        */ 00818400
*/*                  ASXBLTCB                                        */ 00826000
*/*                  ASXBUSER                                        */ 00833600
*/*                  ASXBUSR8                                        */ 00837400
*/*01* END OF EXTERNAL CLASSIFICATION:                               */ 00841200
*/*                                                                  */ 00850000
*/*01* DESCRIPTIVE NAME:  Address Space Extension Block              */ 00850200
*/*02*  ACRONYM: ASXB                                                */ 00850400
*/*                                                                  */ 00850800
*/*01* MACRO NAME:  IHAASXB                                          */ 00854100
*/*                                                                  */ 00857500
*/*01* DSECT NAME:  ASXB                                             */ 00857600
*/*                                                                  */ 00857700
*/*01* COMPONENT:  Supervisor Control (SC1C5)                        */ 00857800
*/*                                                                  */ 00857900
*/*01* EYE CATCHER:  ASXB                                            */ 00858000
*/*02*  OFFSET:  0                                                   */ 00858100
*/*02*  LENGTH:  4                                                   */ 00858200
*/*                                                                  */ 00858300
*/*01* STORAGE ATTRIBUTES:                                           */ 00858400
*/*02*  SUBPOOL:  255                                                */ 00858500
*/*02*  KEY:  0                                                      */ 00858600
*/*02*  RESIDENCY:  Below the 16M line                               */ 00858700
*/*                                                                  */ 00858800
*/*01* SIZE: Offset of ASXBEND minus the offset of ASXB              */ 00858900
*/*                                                                  */ 00859400
*/*01* CREATED BY:                                                   */ 00859500
*/*     SYSGEN                                                       */ 00859600
*/*     IEAVEMIN                                                     */ 00859700
*/*                                                                  */ 00859800
*/*01* POINTED TO BY:                                                */ 00860000
*/*     ASCBASXB                                                     */ 00861400
*/*                                                                  */ 00862800
*/*01* SERIALIZATION:                                                */ 00864600
*/*     LOCAL lock                                                   */ 00866400
*/*                                                                  */ 00868400
*/*01* FUNCTION:                                                     */ 00869400
*/*02*  Contains information and pointers needed for address space   */ 00870400
*/*     control.  The ASXB is swappable, and the ASCB is not.        */ 00871400
*/*                                                                  */ 00872600
*/*01* METHOD OF ACCESS:                                             */ 00874500
*/*02*  ASM:                                                         */ 00876400
*/*      DSECT is produced unless DSECT=NO is specified.             */ 00878300
*/*      USING on ASXB gives addressability for all symbols.         */ 00880200
*/*      Specify LIST=YES on macro call for listing.                 */ 00882100
*/*02*  PL/AS:                                                       */ 00884000
*/*      Based on ASXBPTR                                            */ 00885900
*/*      Specify %IHALIST='YES' before %INCLUDE for a PL/AS listing. */ 00887800
*/*                                                                  */ 00890000
*/*      Specify %IHAVIA='YES' before %INCLUDE and declare ASXBALET  */ 00899000
*/*       to use the VIA attribute.                                  */ 00908000
*/*                                                                  */ 00917000
*/*01* DEPENDENCIES:  None                                           */ 00926000
*/*                                                                  */ 00935000
*/*                                                                  */ 00944000
*/*01* DISTRIBUTION LIBRARY:  AMODGEN                                */ 00953000
*/*                                                                  */ 00962000
*/*01* CHANGE-ACTIVITY:                                              */ 00971000
*/* $L5=SP420    HBB4420  900104  PD16ES:  SHOWHDR format complete   */ 00980000
*/*                                                                  */ 00990000
*/* END OF SPECIFICATIONS ****************************************** */ 01040000
*%GOTO ASXBL2;  /*                                                      01200000
.*                                                                      01201500
.*********************************************************************  01203000
.*                                                                      01204500
.*   CHANGE-ACTIVITY =                                                  01206000
.*  $L1=RAS      JBB1326  071480  PD16XH:  CHANGE TO RESERVED FIELD     01207500
.*  $L2=VIRFETCH JBB1326  111780  PD16XK:  VIRTUAL FETCH VECTOR TABLE   01209000
.*  $D1=DCR0111  JBB1326  011581  PD16XK:  COMPONENT SUPPORT FIELD      01210500
.*  $D2=DCR0120  JBB1326  011581  PD16XK:  FIELD FOR JES2/3             01212000
.*   G860PXX  HBB2102 SUPPORT                                           01213500
.*  $L3=RASENH   JBB2220  840618  PD16XK:  RAS ENHANCEMENTS FOR RTM     01215000
.*  $01=OY22448  HBB3310  890501  PD16CU:  ADD ASXBOMCB                 01215500
.*  $L4=JUP03    HBB4410  871026  PD16BN:  ADD ASXBDIVW FIELD           01216000
.*  $P1=PH31037  HBB4420  900604  PD16CU:  SUPPORT VIA OPTION           01216200
.*  $02=OY46418  HBB4420  910805  PD16EI:  ADD ASXBDECB FOR DUMP TASK   01216300
.*  $L5=SP420    HBB4420  900104  PD16ES:  SHOWHDR format complete      01216700
.*  $L6=POSIX    HBB4430  911128  PD16CU:  GETXSB support               01217100
.*  $L7=UCBVS    HBB5520  931109  PD16IW:  Added ASXBCAPT, ASXBCAPC     01217200
.*  $P2=PN70755  HBB5520  940701  PD16XZ:  Add ext. classification      01217300
.*  $L8=OPEN3    JBB5522  941101  PD00XB:  ASXBLINF support             01217400
.*  $03=OW11888  HBB5520  950313  PD81XZ:  Add ASXBSFRS                 01217500
.*  $04=OW13376  HBB4420  950329  PD81XZ:  Add ASXBUSR8                 01217600
.*  $L9=RTLS_SUP JBB6604  960808  PD00XB:  ASXBITCB                     01217700
.*  $P3=PSY0137  JBB6604  970124  R4GAXZ:  Remove duplicate external    01218000
.*                                         classification.              01218300
.*  $P4=PYV0363  HBB7707  020213  U2IAXZ:  ASXBGRSP                     01218400
.*                                                                      01218600
.*********************************************************************  01218900
.*                                                                      01219500
.*********************************************************************  01221000
.*                                                                      01222500
.* THE FOLLOWING ARE THE NAMING CONVENTIONS USED FOR RESERVED AREAS     01224000
.*     1. RESERVED FIELDS ARE NAMED AS FOLLOWS                          01225500
.*                        ASXBRXXX DS    ???       - RESERVED.          01227000
.*                             XXX IS THE OFFSET WITHIN THE ASXB        01228500
.*                             ??? IS THE FIELD SIZE                    01230000
.*                                                                      01231500
.*     2. PL/S - RESERVED FIELDS DEFINED AS BIT STRINGS WHICH ARE NOT   01233000
.*               MULTIPLES OF 8 OR DO NOT START ON A BYTE BOUNDARY      01234500
.*               ARE NOT NAMED.                                         01236000
.*                                                                      01237500
.*********************************************************************  01239000
.*                                                                      01240500
         PUSH  PRINT                                               @L3A 01242000
         AIF   ('&LIST' EQ 'YES').ASXBLST                          @L3A 01243500
         PRINT OFF                                                 @L3A 01245000
.ASXBLST ANOP                                                      @L3A 01246500
         SPACE 1                                                        01250000
         AIF ('&DSECT' EQ 'NO').ASXB10                                  01300000
ASXB     DSECT                     ADDRESS SPACE EXTENSION BLOCK        01350000
         AGO .ASXB20                                                    01400000
.ASXB10  ANOP                                                           01450000
         DS    0D                                                       01500000
ASXB     EQU   *                                                        01550000
.ASXB20  ANOP                                                           01600000
ASXBEGIN DS    0D -                BEGINNING OF ASXB                    01650000
ASXBASXB DS    CL4 -               ACRONYM IN EBCDIC -ASXB-             01700000
ASXBFTCB DS    A -                 POINTER TO FIRST TCB ON TCB QUEUE    01750000
ASXBLTCB DS    A -                 POINTER TO LAST TCB ON TCB QUEUE     01800000
ASXBTCBS DS    H -                 NUMBER TCB'S IN THE MEMORY           01850000
ASXBR00E DS    H -                 RESERVED                             01900000
ASXBMPST DS    A -                 ADDRESS OF VTAM MEMORY PROCESS       01950000
*                                  SCHEDULING TABLE              MDC015 02000000
ASXBLWA  DS    A -                 ADDRESS OF LWA                MDC016 02050000
ASXBVFVT DS    A -                 POINTER TO INTERNAL VIRTUAL     @L2A 02070000
*                                  FETCH VECTOR TABLE.                  02090000
*                                  OWNERSHIP - VIRTUAL FETCH.           02110000
*                                  SERIALIZATION - LOCAL LOCK.          02130000
ASXBSAF  DS    A -                 ROUTER RRCB ADDRESS             @D1A 02150000
ASXBIHSA DS    A -                 POINTER TO INTERRUPT HANDLERS SAVE   02200000
*                                  AREA FOR LOCALLY LOCKED INTERRUPTS   02250000
ASXBFLSA DS    18F -               SAVE AREA FOR ANY FIRST LEVEL BRANCH 02300000
*                                  ENTRY (MUST BE FIRST USER AFTER      02350000
*                                  LOCAL LOCK IS OBTAINED)              02400000
ASXBOMCB DS    A -                 POINTER TO OBJECT ACCESS METHOD @01C 02433300
*                                  CONTROL BLOCK                        02466600
ASXBSPSA DS    A -                 POINTER TO LOCAL WORK/SAVE AREA      02500000
*                                  VECTOR TABLE                         02550000
ASXBRSMD DS    A -                 POINTER TO LOCAL RSM DATA AREA       02600000
ASXBRCTD DS    A -                 POINTER TO LOCAL RCT DATA AREA       02650000
ASXBDECB DS    A -                 DUMP TASK ECB                   @02C 02700000
ASXBOUSB DS    A -                 POINTER TO SYSTEM RESOURCES MANAGER  02750000
*                                  (SRM) USER SWAPPABLE BLOCK    MDC004 02800000
ASXBCRWK DS    A -                 CHECKPOINT/RESTART WORKAREA POINTER. 02825000
*                                  OWNERSHIP - CHECKPOINT/RESTART.      02850000
*                                  SERIALIZATION - NA.         @G860PXK 02875000
ASXBPRG  DS    CL16 -              SVC PURGE I/O PARAMETER LIST  MDC003 02900000
ASXBPSWD DS    CL8 -               USER'S LOGON PASSWORD.  IF BLANK,    02950000
*                                  NOT REQUIRED                  MDC005 03000000
ASXBSIRB DS    A -                 ADDRESS OF SIRB FOR THIS ADDRESS     03050000
*                                  SPACE                         MDC010 03100000
ASXBETSK DS    A -                 ADDRESS OF ERROR TASK FOR THIS       03150000
*                                  ADDRESS SPACE                 MDC011 03200000
ASXBAEQ  DS    0CL24 -             QUEUE ANCHORS FOR EXIT EFFECTOR'S    03250000
*                                  ASYNCHRONOUS EXIT QUEUES      MDC012 03300000
ASXBFIQE DS    A -                 POINTER TO FIRST IQE          MDC006 03350000
ASXBLIQE DS    A -                 POINTER TO LAST IQE           MDC007 03400000
ASXBFRQE DS    A -                 POINTER TO FIRST RQE          MDC008 03450000
ASXBLRQE DS    A -                 POINTER TO LAST RQE           MDC009 03500000
ASXBFSRB DS    A -                 ADDRESS OF FIRST SRB          MDC013 03550000
ASXBLSRB DS    A -                 ADDRESS OF LAST SRB           MDC014 03600000
ASXBUSR8 DS    0CL8                8-byte version of ASXBUSER      @04A 03625000
ASXBUSER DS    CL7 -               USER ID FOR WHICH THE JOB OR SESSION 03650000
*                                  IS BEING EXECUTED  (MDC306) @Z40RP9A 03700000
         DS    B -                 Last byte of ASXBUSR8. ASXBSECR @04A 03750000
*                                  and ASXBSFLG are deleted             03800000
ASXBSENV DS    A -                 ADDRESS OF ACCESS CONTROL            04350000
*                                  ENVIRONMENT ELEMENT                  04400000
*                                  (MDC304)                    @Z40RP9A 04450000
ASXBSFRS DS    A                   Address of SSI function request @03C 04500000
*                                  storage.                             04550000
*                                  Ownership: SSI                       04600000
*                                  Serialization: CS                    04650000
ASXBNSDW DS    0D                  DOUBLEWORD CONTAINING THE NSSA POOL  04766600
*                                  AND SYNCHRONIZATION COUNT.  @G38BPXH 04783200
ASXBNSSA DS    A                   NSSA POOL.                  @G38BPXH 04799800
ASXBNSCT DS    F                   COUNT USED TO SYNCHRONIZE THE        04816400
*                                  NSSA POOL.                  @G38BPXH 04833000
ASXBCASW DS    0F -                USED BY REGION CONTROL TASK          04850000
*                                  (RCT)/CANCEL VIA CS INSTRUCTION      04900000
*                                  (MDC313)                    @ZA05360 04950000
ASXBCRB1 DS    B -                 CANCEL/RCT BYTE 1  (MDC314) @ZA05360 05000000
ASXBPIP  EQU   X'80' -             SET BY RCT TO INDICATE PURGE (SVC    05050000
*                                  16) IS IN PROCESS  (MDC315) @ZA05360 05100000
ASXBTFD  EQU   X'40' -             SET BY CANCEL TO INDICATE THAT ALL   05150000
*                                  SUBTASKS OF THE RCT HAVE BEEN SET    05200000
*                                  DISPATCHABLE VIA STATUS              05250000
*                                  (MDC316)                    @ZA05360 05300000
ASXBCRB2 DS    B -                 CANCEL/RCT BYTE 2  (MDC317) @ZA05360 05650000
ASXBCRB3 DS    B -                 CANCEL/RCT BYTE 3  (MDC318) @ZA05360 05700000
ASXBCRB4 DS    B -                 CANCEL/RCT BYTE 4  (MDC319) @ZA05360 05750000
ASXBPT0E DS    A -                 POST EXIT QUEUE HEADER               05800000
*                                  (MDC312)                    @Z40EP9A 05850000
ASXBCAPC DS    A -                 Count of task mode UCB capture  @L7A 05866600
*                                  requests                             05883200
*                                  Ownership: IOS                       05899800
*                                  Serialization: Local Latch (Local    05916400
*                                                 Lock during NIP)      05933000
ASXBJSVT DS    A -                 JES COMMUNICATION AREA POINTER. @D2A 05950000
*                                  OWNERSHIP - JES2/3.                  05975000
ASXBDIVW DS    A -                 ADDRESS OF THE DIV WORK/SAVE    @L4A 05981200
*                                  AREA, OR ZERO IF NONE EXISTS         05987400
ASXBCAPT DS    A -                 Pointer to IOS captured UCB     @L7A 05989500
*                                  object.                              05991600
*                                  Ownership: IOS                       05993700
*                                  Serialization: Local Latch (Local    05995800
*                                                 Lock during NIP)      05997900
ASXBLINF DS    A -                 Latch information area          @L8A 05998300
*                                  Ownership: GRS Latch            @L8A 05998700
*                                  Serialization: LOCAL lock       @L8A 05999100
ASXBR0F4 DS    F -                 RESERVED                        @L8A 05999500
ASXBITCB DS    A -                 Initial jobstep TCB address          06002300
*                                  attached by initiator (IEFSD263)     06005100
*                                  or 0 when no job is running.         06007900
*                                  This field is valid for any          06010700
*                                  address space that goes through      06013500
*                                  full-function start.            @L9A 06016300
ASXBR0FC DS    F -                 RESERVED                        @L9A 06019100
ASXBGRSP DS    A -                 Address of GRS control          @P4A 06019600
*                                  information for this address space.  06020100
*                                  Ownership: GRS                       06020600
*                                  Serialization: CS                    06020800
ASXBR104 DS    F -                 Reserved                        @P4A 06021100
ASXBEND  DS    0D -                END OF ASXB                          06021900
         POP   PRINT                                               @L3A 06025000
         MEND  , -   */                                                 06050000
*%ASXBL2 : ;                                                            06100000
*                                                                       06150000
*  @LISTPUSH;                                                  /*@L3A*/ 06157100
*  %IF IHALIST='YES' %THEN                                     /*@L3A*/ 06164200
*     %GOTO ASXBLST;                                           /*@L3A*/ 06171300
*  @LISTOFF;                                                   /*@L3A*/ 06178400
*  %ASXBLST:;                                                  /*@L3A*/ 06185500
*                                                                       06192600
*  %IF IHAVIA='YES'  %THEN                                     /* @P1A*/06200800
*     %IHAALET='VIA(ASXBALET)' ;                               /* @P1A*/06209000
*  %ELSE                                                       /* @P1A*/06217200
*     %IHAALET='';                                             /* @P1A*/06225400
*                                                                       06233600
*DCL 1 ASXB     BASED(ASXBPTR) IHAALET BDY(DWORD),             /* @P1C*/06241800
*      2 ASXBEGIN CHAR(0),        /* BEGINNING OF ASXB               */ 06250000
*      2 ASXBASXB CHAR(4),        /* ACRONYM IN EBCDIC -ASXB-        */ 06300000
*      2 ASXBFTCB PTR(31),        /* POINTER TO FIRST TCB ON TCB        06350000
*                                    QUEUE                           */ 06400000
*      2 ASXBLTCB PTR(31),        /* POINTER TO LAST TCB ON TCB QUEUE*/ 06450000
*      2 ASXBTCBS FIXED(15),      /* NUMBER TCB'S IN THE MEMORY      */ 06500000
*      2 ASXBR00E FIXED(15),      /* RESERVED                        */ 06550000
*      2 ASXBMPST PTR(31),        /* ADDRESS OF VTAM MEMORY PROCESS     06600000
*                                    SCHEDULING TABLE          MDC015*/ 06650000
*      2 ASXBLWA  PTR(31),        /* ADDRESS OF LWA            MDC016*/ 06700000
*      2 ASXBVFVT PTR(31),        /* POINTER TO INTERNAL VIRTUAL        06720000
*                                    FETCH VECTOR TABLE.                06740000
*                                    OWNERSHIP - VIRTUAL FETCH.         06760000
*                                    SERIALIZATION - LOCAL LOCK. @L2A*/ 06780000
*      2 ASXBSAF  PTR(31),        /* ROUTER RRCB ADDRESS         @D1A*/ 06800000
*      2 ASXBIHSA PTR(31),        /* POINTER TO INTERRUPT HANDLERS      06850000
*                                    SAVE AREA FOR LOCALLY LOCKED       06900000
*                                    INTERRUPTS                      */ 06950000
*      2 ASXBFLSA (18) FIXED(31), /* SAVE AREA FOR ANY FIRST LEVEL      07000000
*                                    BRANCH ENTRY (MUST BE FIRST USER   07050000
*                                    AFTER LOCAL LOCK OBTAINED)      */ 07100000
*      2 ASXBOMCB PTR(31),        /* POINTER TO OBJECT ACCESS METHOD    07133300
*                                    CONTROL BLOCK               @01C*/ 07166600
*      2 ASXBSPSA PTR(31),        /* POINTER TO LOCAL WORK/SAVE AREA    07200000
*                                    VECTOR TABLE                    */ 07250000
*      2 ASXBRSMD PTR(31),        /* POINTER TO LOCAL RSM DATA AREA  */ 07300000
*      2 ASXBRCTD PTR(31),        /* POINTER TO LOCAL RCT DATA AREA  */ 07350000
*      2 ASXBDECB PTR(31),        /* DUMP TASK ECB               @02C*/ 07400000
*      2 ASXBOUSB PTR(31),        /* POINTER TO SYSTEM RESOURCES        07450000
*                                    MANAGER (SRM) USER SWAPPABLE       07500000
*                                    BLOCK                     MDC004*/ 07550000
*      2 ASXBCRWK PTR(31),        /* CHECKPOINT/RESTART WORKAREA        07570000
*                                    POINTER.                           07590000
*                                    OWNERSHIP - CHECKPOINT/RESTART.    07610000
*                                    SERIALIZATION - NA.     @G860PXK*/ 07630000
*      2 ASXBPRG  CHAR(16) BDY(WORD), /* SVC PURGE I/O PARAMETER        07650000
*                                    LIST                      MDC003*/ 07700000
*      2 ASXBPSWD CHAR(8) BDY(WORD), /* USER'S LOGON PASSWORD.  IF      07750000
*                                    BLANK, NOT REQUIRED.      MDC005*/ 07800000
*      2 ASXBSIRB PTR(31),        /* ADDRESS OF SIRB FOR THIS ADDRESS   07850000
*                                    SPACE                     MDC010*/ 07900000
*      2 ASXBETSK PTR(31),        /* ADDRESS OF ERROR TASK FOR THIS     07950000
*                                    ADDRESS SPACE             MDC011*/ 08000000
*      2 ASXBAEQ  CHAR(24) BDY(WORD), /* QUEUE ANCHORS FOR EXIT         08050000
*                                    EFFECTOR'S ASYNCHRONOUS EXIT       08100000
*                                    QUEUES                    MDC012*/ 08150000
*       3 ASXBFIQE PTR(31),       /* ADDRESS OF FIRST IQE      MDC006*/ 08200000
*       3 ASXBLIQE PTR(31),       /* ADDRESS OF LAST IQE       MDC007*/ 08250000
*       3 ASXBFRQE PTR(31),       /* ADDRESS OF FIRST RQE      MDC008*/ 08300000
*       3 ASXBLRQE PTR(31),       /* ADDRESS OF LAST IQE       MDC009*/ 08350000
*       3 ASXBFSRB PTR(31),       /* ADDRESS OF FIRST SRB      MDC013*/ 08400000
*       3 ASXBLSRB PTR(31),       /* ADDRESS OF LAST SRB       MDC014*/ 08450000
*      2 ASXBUSR8 CHAR(8) BDY(WORD), /* 8-byte version of ASXBUSER.     08470000
*                                    ASXBSECR and ASXBSFLG are          08490000
*                                    deleted.                    @04A*/ 08510000
*       3 ASXBUSER CHAR(7),       /* USER ID FOR WHICH THE JOB OR       08530000
*                                    SESSION IS BEING EXECUTED          08550000
*                                    (MDC306)                    @04C*/ 08600000
*      2 ASXBSENV PTR(31),        /* ADDRESS OF ACCESS CONTROL          08650000
*                                    ENVIRONMENT ELEMENT                09300000
*                                    (MDC304)                    @04C*/ 09350000
*      2 ASXBSFRS PTR(31),        /* Address of SSI function request    09400000
*                                    storage.                           09450000
*                                    Ownership: SSI                     09500000
*                                    Serialization: CS           @03C*/ 09550000
*      2 ASXBNSDW CHAR(8) BDY(DWORD), /* DOUBLEWORD CONTAINING THE      09712500
*                                        NSSA POOL HEADER AND           09725000
*                                        SYNCHRONIZATION COUNT          09737500
*                                                            @G38BPXH*/ 09750000
*       3 ASXBNSSA PTR(31),       /* NSSA POOL.              @G38BPXH*/ 09762500
*       3 ASXBNSCT FIXED(32),     /* COUNT USED TO SYNCHRONIZE THE      09775000
*                                    NSSA POOL.              @G38BPXH*/ 09787500
*      2 ASXBCASW CHAR(4) BDY(WORD), /* USED BY REGION CONTROL TASK     09800000
*                                    (RCT)/CANCEL VIA CS INSTRUCTION    09850000
*                                    (MDC313)                @ZA05360*/ 09900000
*       3 ASXBCRB1 BIT(8),        /* CANCEL/RCT BYTE 1                  09950000
*                                    (MDC314)                @ZA05360*/ 10000000
*        4 ASXBPIP  BIT(1),       /* SET BY RCT TO INDICATE PURGE       10050000
*                                    (SVC 16) IS IN PROCESS             10100000
*                                    (MDC315)                @ZA05360*/ 10150000
*        4 ASXBTFD  BIT(1),       /* SET BY CANCEL TO INDICATE THAT     10200000
*                                    ALL SUBTASKS OF THE RCT HAVE       10250000
*                                    BEEN SET DISPATCHABLE VIA STATUS   10300000
*                                    (MDC316)                @ZA05360*/ 10350000
*        4 *        BIT(6),       /* RESERVED                @ZA05360*/ 10400000
*       3 ASXBCRB2 BIT(8),        /* CANCEL/RCT BYTE 2                  10700000
*                                    (MDC317)                @ZA05360*/ 10750000
*       3 ASXBCRB3 BIT(8),        /* CANCEL/RCT BYTE 3                  10800000
*                                    (MDC318)                @ZA05360*/ 10850000
*       3 ASXBCRB4 BIT(8),        /* CANCEL/RCT BYTE 4                  10900000
*                                    (MDC319)                @ZA05360*/ 10950000
*      2 ASXBPT0E PTR(31),        /* POST EXIT QUEUE HEADER             11000000
*                                    (MDC312)                @Z40EP9A*/ 11050000
*      2 ASXBCAPC FIXED(31),      /* Count of task mode UCB capture     11066600
*                                    requests. Ownership: IOS           11083200
*                                    Serialization: Local Latch (Local  11099800
*                                    Lock during NIP)            @L7A*/ 11116400
*      2 ASXBJSVT PTR(31),        /* JES COMMUNICATION AREA POINTER.    11133300
*                                    OWNERSHIP - JES2/3.         @D2A*/ 11166600
*      2 ASXBDIVW PTR(31),        /* ADDRESS OF THE DIV WORK/SAVE AREA, 11174900
*                                    OR ZERO IF NONE EXISTS      @L4A*/ 11183200
*      2 ASXBCAPT PTR(31),        /* Pointer to IOS captured UCB        11186500
*                                    object. Ownership: IOS             11189800
*                                    Serialization: Local Latch (Local  11193100
*                                    Lock during NIP)            @L7A*/ 11196400
*      2 ASXBLINF PTR(31),        /* Latch information area.            11197000
*                                    Ownership: GRS Latch.              11197600
*                                    Serialization: LOCAL lock          11198200
*                                                                @L8A*/ 11198800
*      2 ASXBR0F4 FIXED(31),      /* RESERVED                    @L8A*/ 11199400
*      2 ASXBITCB PTR(31),        /* Address of initial jobstep TCB     11205000
*                                    attached by initiator (IEFSD263)   11210600
*                                    or 0 when no job is running.       11216200
*                                    This field is valid for any        11221800
*                                    address space that goes through    11227400
*                                    full-function start         @L9A*/ 11233000
*      2 ASXBR0FC FIXED(31),      /* RESERVED                    @L9A*/ 11238600
*      2 ASXBGRSP PTR(31),        /* Address of GRS control information 11239700
*                                    for this address space.            11240800
*                                    Ownership: GRS                     11241500
*                                    Serialization: CS           @P4A*/ 11242200
*      2 ASXBR104 FIXED(31),      /* Reserved                    @P4A*/ 11243000
*      2 ASXBEND CHAR(0)          /* END OF ASXB                     */ 11244200
*        BDY (DWORD);                                                   11250000
*  @LISTPOP;                                                   /*@L3A*/ 11300000
