*                                                                       00350001
*        %GOTO TCBL1; /*                                                00351700
         MACRO                                                          00353400
         IKJTCB &DSECT=YES,&LIST=NO,&SYS=   */                          00355100
*%TCBL1 : ;                                                             00356800
*/* START OF SPECIFICATIONS ******************************************/ 00358500
*/*                                                                  */ 00367000
*/*01* PROPRIETARY STATEMENT =                                   @P5C*/ 00368700
*/*                                                                  */ 00370400
*/*      LICENSED MATERIALS - PROPERTY OF IBM                        */ 00375500
*/*      THIS MACRO IS "RESTRICTED MATERIALS OF IBM"                 */ 00376700
*/*      5694-A01 (C) COPYRIGHT IBM CORP. 1977, 2002                 */ 00378600
*/*                                                                  */ 00380600
*/*01* STATUS = HBB7707                                              */ 00382300
*/*                                                                  */ 00384000
*/*01* DESCRIPTIVE NAME = TASK CONTROL BLOCK                         */ 00385100
*/*02*  ACRONYM:  TCB                                                */ 00386200
*/*                                                                  */ 00387400
*/*01* MACRO NAME = IKJTCB                                           */ 00387500
*/*                                                                  */ 00387600
*/*01* DSECT NAME:                                                   */ 00387700
*/*     TCBFIX (DSECT card precedes prefix).  The label, TCB,        */ 00387800
*/*     should be used in the USING statement for the TCB proper.    */ 00387900
*/*     TCBXTNT2 is the DSECT name for common extension.             */ 00388000
*/*                                                                  */ 00388100
*/*01* COMPONENT:  Task Management (SC1CL)                           */ 00388200
*/*                                                                  */ 00388300
*/*01* EYE-CATCHER:  TCB                                             */ 00388400
*/*02*  OFFSET:  256                                                 */ 00388500
*/*02*  LENGTH:  4                                                   */ 00388600
*/*                                                                  */ 00388700
*/*01* STORAGE ATTRIBUTES:                                           */ 00388800
*/*02*  SUBPOOL: 253                                                 */ 00388900
*/*02*  KEY:  0                                                      */ 00389000
*/*02*  RESIDENCY:  Below 16 MB line                                 */ 00389100
*/*                                                                  */ 00389200
*/*01* SIZE:  408 bytes                                              */ 00389300
*/*                                                                  */ 00389400
*/*01* CREATED BY: IEAMSWCB, ATTACH                                  */ 00389500
*/*                                                                  */ 00389600
*/*01* DELETED BY : DETACH                                           */ 00389700
*/*                                                                  */ 00389800
*/*01* POINTED TO BY:                                                */ 00389900
*/*     ASMTCBPT field of the ASMVT data area                        */ 00390000
*/*     ASXBFTCB field of the ASXB data area (first TCB)             */ 00390100
*/*     ASXBLTCB field of the ASXB data area (last TCB)              */ 00390200
*/*     CVTSLIDA field of the CVT data area (supervisor lock TCB)    */ 00390300
*/*     CVTWTCB field of the CVT data area (dummy WAIT TCB)          */ 00390400
*/*     DEBTCBAD field of the DEB data area                          */ 00390500
*/*     DSABTCBP field of the DSAB data area                         */ 00390600
*/*     EVNTTCBP field of the EVNT data area                         */ 00390700
*/*     JSCBTCBP field of the JSCB data area (initiator TCB)         */ 00390800
*/*     LCTTCBAD field of the LCT data area                          */ 00390900
*/*     ORETCB field of the ORE data area                            */ 00391000
*/*     PQETCB field of the PQE data area                            */ 00391100
*/*     PSATNEW field of the PSA data area (new TCB to dispatch)     */ 00391200
*/*     PSATOLD field of the PSA data area (current TCB              */ 00391300
*/*     dispatched)                                                  */ 00391400
*/*     QELTCB field of the QEL data area                            */ 00391500
*/*     QPLTCB field of the QPL data area                            */ 00391600
*/*     RBLINK field of the RB data area                             */ 00391700
*/*     RQETCB field of the RQE data area                            */ 00391800
*/*     SCVTCTCB field of the SCVT data area (Comm Task TCB)         */ 00391900
*/*     SMCAWTCB field of the SMCA data area (SMF writer TCB)        */ 00392000
*/*     SQETCB field of the SQE data area                            */ 00392100
*/*     SSETCBA field of the EOT SSOB data area (terminating TCB)    */ 00392200
*/*     TAXETCB field of the TAXE data area                          */ 00392300
*/*     TCBTCB field of the TCB data area (next TCB)                 */ 00392400
*/*     TCBJSTCB field of the TCB data area (jobstep TCB)            */ 00392500
*/*     TCBNTC field of the TCB data area (sister TCB)               */ 00392600
*/*     TCBOTC field of the TCB data area (originating TCB)          */ 00392700
*/*     TCBLTC field of the TCB data area (subtask TCB)              */ 00392800
*/*     TCBBACK field of the TCB data area (previous TCB)            */ 00392900
*/*     TCCWTCB field of the TCCW data area                          */ 00393000
*/*     TCTTCB field of the TCT data area                            */ 00393100
*/*     TIOCLDS field of the TIOCRPT data area (line                 */ 00393200
*/*     disconnect TCB)                                              */ 00393300
*/*     TQETCB field of the TQE data area                            */ 00393400
*/*     TSBWTCB field of the TSB data area (waiting TCB)             */ 00393500
*/*     TSBCTCB field of the TSB data area (TPUT TCB)                */ 00393600
*/*     UCMPXA field of the UCM data area (comm task TCB)            */ 00393700
*/*     WEBUPTR field of the WEB data area                           */ 00393800
*/*     WQETCB field of the WQE data area                            */ 00393900
*/*     WQEJSTCB field of the WQE data area                          */ 00394000
*/*     (associated jobstep TCB)                                     */ 00394100
*/*                                                                  */ 00394200
*/*01* SERIALIZATION:                                                */ 00394300
*/*     Depends on the field                                         */ 00394400
*/*                                                                  */ 00394500
*/*01* FUNCTION:                                                     */ 00394600
*/*     The task control block (TCB) serves as a repository          */ 00394700
*/*     for information and pointers associated with a task.         */ 00394800
*/*     Various components of the control program place              */ 00394900
*/*     information in the TCB and obtain information from           */ 00395000
*/*     the TCB.                                                     */ 00395100
*/*                                                                  */ 00395200
*/*01* EXTERNAL CLASSIFICATION:                                      */ 00395300
*/*                                                                  */ 00395400
*/*02*   PI: FIELDS                                                  */ 00395500
*/*           TCBAFFN  TCBANDSP TCBARC   TCBBACK  TCBBITCB           */ 00395600
*/*           TCBCELAP TCBCMPF  TCBCMP   TCBDEB   TCBFLGS8           */ 00395700
*/*           TCBGRES  TCBGRS   TCBJLB   TCBJSCBB TCBJSTCB           */ 00395800
*/*           TCBLEVEL TCBLLS   TCBLTC   TCBNTC   TCBOTC             */ 00395900
*/*           TCBPIE   TCBPKF   TCBRBP   TCBRV316 TCBSENV            */ 00396000
*/*           TCBSTCB  TCBSVCA2 TCBSVCSP TCBSVCS  TCBTCBID           */ 00396100
*/*           TCBTCB   TCBTCT   TCBTID   TCBTIO   TCBUSER            */ 00396200
*/*                                                                  */ 00396600
*/*02*  NOTPI: BASE                                                  */ 00396700
*/*                                                                  */ 00396800
*/*01* END OF EXTERNAL CLASSIFICATION:                               */ 00396900
*/*                                                                  */ 00397000
*/*01* METHOD OF ACCESS:                                             */ 00397100
*/*      BAL  - A DSECT IS PRODUCED UNLESS DSECT=NO IS SPECIFIED.    */ 00397200
*/*             USING ON TCBFIX GIVES ADDRESSABILITY FOR ALL SYMBOLS */ 00397300
*/*             IN PREFIX AND TCB PROPER.  TO GET ADDRESSABILITY FOR */ 00397400
*/*             THE TCB EXTENSION, YOU SHOULD CODE:                  */ 00397500
*/*                                                                  */ 00399300
*/*             L     REG,TCBEXT2                                    */ 00401000
*/*             USING TCBXTNT2,REG                                   */ 00402700
*/*             WHERE REG IS ANY REGISTER OTHER THAN ZERO.           */ 00404400
*/*                                                                  */ 00406100
*/*                                                                  */ 00418000
*/*      BAL LISTING  - SPECIFY LIST=YES ON MACRO CALL.              */ 00419700
*/*                                                                  */ 00421400
*/*      PL/S - DCL TCBPTR PTR                                       */ 00423100
*/*                                                                  */ 00424800
*/*                                                                  */ 00438400
*/*             MACRO VARIABLE TCBLEN IS SET TO THE LENGTH OF THE    */ 00440100
*/*             TCB INCLUDING THE PREFIX.                            */ 00443500
*/*                                                                  */ 00446900
*/*             VIA ATTRIBUTE - SPECIFY %IHAVIA='YES' PRIOR TO       */ 00447700
*/*                             INCLUDE STATEMENT.                   */ 00448500
*/*                             DECLARE TCBALET.                     */ 00449300
*/*                                                                  */ 00450300
*/*      PL/S LISTING - SPECIFY %IHALIST='YES' BEFORE %INCLUDE.      */ 00450800
*/*                                                                  */ 00451300
*/*01* DEPENDENCIES:                                                 */ 00451800
*/*      RTM MUST BE NOTIFIED of any changes to nondispatchability   */ 00452300
*/*      bits (modification of RTM code required).                   */ 00452800
*/*                                                                  */ 00453300
*/*01* DISTRIBUTION LIBRARY:  AMACLIB                                */ 00454200
*/*                                                                  */ 00457100
*/* END OF SPECIFICATIONS ********************************************/ 00458800
*%GOTO TCBL2;  /*                                                       00460500
.*                                                                      00462200
.********************************************************************** 00463900
.*   CHANGE-ACTIVITY=                                                   00465600
.*                                                                      00467300
.*  OZ56255 - RESERVED FIELD TCBRV123 WILL BE USED BY RTM               00469000
.*            AS TCBRTM1C TO INDICATE THAT A TASK WITH EUT              00470700
.*            FRR HAS BEEN CANCELLED.                          @ZA56255 00472400
.*  OZ63673 - CHANGE TCBDBTB TO TCBVAT                         @ZA63673 00474100
.*  OZ67167 - DEFINE TCB NONDISPATCHABILITY BIT IN SUPPORT              00475800
.*            OF OZ50029.                                      @ZA67167 00477500
.*  OZ72701 - TCB EXPANSION                                    @ZA72701 00479200
.*  OZ84893 - DEFINE TCBNCTL FOR RACF                          @ZA84893 00480900
.*  OZ93650 - DEFINE TCBRTMDE IN TCBFBYT3 TO INDICATE          @ZA93650 00481400
.*                 THAT DETACH HAS BEEN CALLED BY RTM          @ZA93650 00481900
.*  OY02725 - DEFINE TCBFJMCT TO INDICATE THE NUMBER OF        @YA02725 00482000
.*            OUTSTANDING STEP-MUST-COMPLETE REQUESTS ISSUED   @YA02725 00482100
.*            BY THE TASK.                                     @YA02725 00482200
.*                                                                      00482600
.*  $L1=GRSRAS   JBB1326  812104  PD16XB:  GRS END OF TASK              00484300
.*  $H1=ADVPROC2 JBB2133  821013  PD16F5:  AXP                          00486000
.*  $H2=VF       JBB2214  840409  PD16XK:  VECTOR FEATURE               00487700
.*  $L2=AR       HBB3310  860106  PD16Q9:  ACCESS REGISTERS             00488500
.*  $D1=DCR0060  HBB3310  861020  PD16LD:  NON-RETRYABLE ERROR          00488900
.*  $01=OY08579  JBB2220  861231  PD16H5:  TCB AND SRB TIMING SUPPORT   00489100
.*  $02=OY43183  HBB3310  910523  PD16IG:  COMMON EXECUTION LIBRARY SPE 00489200
.*  $03=OY44268  JBB2220  910612  PD16IG:  Add TCBNDSMF bit to TCBNDSP3 00489300
.*  $L3=DBFMC    HBB4430  901109  PD16IG:  ADD TCBFBYT4, TCBFMC         00489600
.*  $L4=DBFMC    HBB4430  910327  PD16CU:  ADD TCBSMCP                  00489900
.*  $04=OY49811  JBB4422  911218  PD16CU:  Add TCBFXSET bit to TCBFLGS3 00490200
.*  $D2=DCR0047  HBB4430  920529  PD16CU:  Change FMC to PMC            00490300
.*  $L5=DISPR    HBB5510  930503  PD16CU:  Dispatcher Restructure       00490400
.*  $L6=PR510    HBB5510  930520  PD16H5:  Cleanup and CDPI             00490500
.*  $P1=PIG1087  HBB5510  930520  PD16IG:  Add new GUPI flag byte field 00490600
.*                                         TCBFLGS8, with TCBDYING bit  00490700
.*  $P2=PIG2172  HBB5510  930520  PD16IG:  Add &SYS back                00490800
.*  $L7=PARAD    HBB5510  930909  PD16IG:  RTM Parallel Detach support: 00491200
.*                                         Add TCBPVICT bit to TCBFBYT3 00491600
.*  $P3=PIG3697  HBB5510  931110  PD16EI:  TCBSTCB GUPI                 00491800
.*  $P4=PIG3637  HBB5510  931129  PD162M:  Add TCBNDNYI bit to TCBNDSP3 00491900
.*  $P5=PN70151  HBB5520  940210  PD162M:  Change TCBFOE, TCBFRS,       00492000
.*                                         TCBMDIDS, TCBRPT, TCBDAR,    00492100
.*                                         TCBTSDP, TCBTSLP to DMTI,    00492200
.*                                         TCBRV316 to GUPI, and        00492300
.*                                         TCBLLS to PSPI               00492400
.*  $05=OW07164  HBB5510  940804  PD81KD:  Add TCBPKING and also move   00493300
.*                                         TCBPVICT to TCBRBYT1         00494200
.*  $06=OW14392  HBB5510  950727  PD81KD:  Add TCBPCAND, TCBPTOP,       00494500
.*                                         and TCBTDORM                 00494800
.*  $07=OW18885  HBB5510  960311  PDKD:    Add TCBNOJLB                 00494900
.*  $P6=PWK0719  HBB6608  990208  PDKD:    TCBPIE is now a 31-bit addr  00495100
.*                                         with no subfields            00495300
.*  $L8=CICSOSUP JBB6609  980928  PD00XB:  KEY=NINE                     00495500
.*  $08=OW47908  HBB6605  010129  U2IAXZ:  Add TCBNOIRB                 00495600
.*  $P7=PYM0360  HBB7706  010720  U2IAXZ:  Clarify the meaning of       00495800
.*                                         TCBTID. FIN APAR OW49439.    00496000
.*  $L9=PADS2    HBB7707  010920  PD00XB:  TCBJTCBA, TCBPROPF           00496200
.*                                                                      00496400
.********************************************************************** 00496600
.*                                                                      00496900
.* THE FOLLOWING ARE THE NAMING CONVENTIONS USED FOR RESERVED AREAS     00497900
.*     1. RESERVED FIELDS ARE NAMED AS FOLLOWS                          00499600
.*        A. TCB PROPER                                                 00501300
.*                     TCBRXXX  DS    ???      - RESERVED.              00503000
.*                         XXX IS THE OFFSET WITHIN THE TCB PROPER      00504700
.*                         ??? IS THE FIELD SIZE                        00506400
.*        B. TCB EXTENSION                                              00508100
.*                     TCBRXXX@ DS    ???      - RESERVED.              00509800
.*                         XXX IS THE OFFSET WITHIN THE TCB EXTENSION   00511500
.*                         @   IS THE CHARACTER X INDICATING EXTENSION  00513200
.*                         ??? IS THE FIELD SIZE                        00514900
.*                                                                      00516600
.*     2. PL/S - RESERVED FIELDS DEFINED AS BIT STRINGS WHICH ARE NOT   00518300
.*               MULTIPLES OF 8 OR DO NOT START ON A BYTE BOUNDARY      00520000
.*               ARE NOT NAMED.                                         00521700
.*                                                                      00523400
.*     3. A BIT FIELD IS NOT NAMED TO INDICATE IT IS RESERVED.          00531900
.*                                                                      00540400
.********************************************************************** 00542100
.*                                                                      00543800
         AIF   ('&SYS' EQ '').A1                                   @P2A 00552400
         MNOTE *,'SYS KEYWORD IS NO LONGER SUPPORTED. IT IS IGNORED.'  X00554200
                                                                   @P2A 00556000
.A1      ANOP                                                           00557800
         PUSH  PRINT                                                    00558200
         AIF   ('&LIST' EQ 'YES').TCB10                                 00558600
         PRINT OFF                                                      00559000
.TCB10   ANOP                                                           00559400
*                                                                       00560001
*              TCB PREFIX                                               00610000
*                                                                       01000001
         AIF   ('&DSECT' EQ 'NO').NODSCT                                01250001
TCBFIX   DSECT , -     TCBPTR-32                                        01300000
         AGO   .CONT                                                    01350001
.NODSCT  ANOP                                                           01360001
         DS    0D                                                       01370001
TCBFIX   EQU   * -     TCBPTR-32                                        01380001
.CONT    ANOP                                                           01390001
*                                                                       01400000
TCBFRS   DS    0CL32 - FLOATING POINT REGISTER SAVE AREA                01500001
TCBFRS0  DS    D -     SAVE AREA FOR FLOATING POINT REGISTER 0          01600001
TCBFRS2  DS    D -     SAVE AREA FOR FLOATING POINT REGISTER 2          01700001
TCBFRS4  DS    D -     SAVE AREA FOR FLOATING POINT REGISTER 4          01800001
TCBFRS6  DS    D -     SAVE AREA FOR FLOATING POINT REGISTER 6          01900001
TCBPXLEN EQU   *-TCBFIX LENGTH OF PREFIX SECTION                        01950000
*                                                                       02000000
*              TCB PROPER                                               02050000
*                                                                       02100000
         DS    0D                                                       02250001
TCB      EQU   * -     TCBPTR                                           02300001
*                                                                       02350000
TCBRBP   DS    A -     ADDRESS OF THE RB FOR EXECUTING PROGRAM.  THIS   02400000
*                      OFFSET FIXED BY ARCHITECTURE.           @G50EP9A 02450000
TCBPIE   DS    A -     Address of SPIE/ESPIE Control Area          @P6C 02500000
*                      Ownership: RTM                                   02550000
*                      Serialization: Local Lock                        02600000
TCBDEB   DS    A -     ADDRESS OF THE DEB QUEUE                         02870000
TCBTIO   DS    A -     ADDRESS OF THE TASK I/O TABLE (TIOT)             02920000
TCBCMP   DS    0BL4 -  TASK COMPLETION CODE AND INDICATORS              02970000
TCBCMPF  DS    B -     INDICATOR FLAGS                                  03020000
TCBCREQ  EQU   X'80' - A DUMP HAS BEEN REQUESTED                        03100001
TCBCSTEP EQU   X'40' - A STEP ABEND HAS BEEN REQUESTED                  03142800
TCBCPP   EQU   X'20' - SOME PROBLEM PROGRAM STORAGE WAS OVERLAID BY THE 03185600
*                      SECOND LOAD OF ABEND.  A FIRST LOAD OVERLAY IS   03228400
*                      INDICATED IN TCBFLGS FIELD (OFFSET 29 DECIMAL).  03271200
*                      (OS/VS1)                                         03314000
TCBDMPO  EQU   X'20' - DUMP OPTIONS WERE PROVIDED ON CALLRTM OR SETRP   03356800
*                      MACRO                                            03399600
TCBSTCC  EQU   X'10' - COMPLETION CODE IS NOT TO BE STORED IN TCBCMPC   03442400
*                      (OFFSET 17 DECIMAL) IF AN ABEND IS ENCOUNTERED.  03485200
*                      THIS IS TO PREVENT AN OVERLAY OF THE ORIGINAL    03528000
*                      COMPLETION CODE.  (OS/VS1)                       03570800
TCBNOCC  EQU   X'10' - A COMPLETION CODE WAS NOT PROVIDED ON CALLRTM    03613600
*                      MACRO.  A DEFAULT CODE IS BEING USED.            03656400
TCBCDBL  EQU   X'08' - A DOUBLE ABEND HAS OCCURRED (OS/VS1)             03742000
TCBCASID EQU   X'08' - ABEND WAS SCHEDULED VIA CROSS MEMORY ABTERM      03784800
TCBCWTO  EQU   X'04' - A DUMP MESSAGE (WTO) IS TO BE ISSUED TO THE      03870400
*                      OPERATOR (OS/VS1)                                03913200
TCBRV316 EQU   X'04' - INDICATES REASON CODE (TCBARC) IS VALID          03956000
TCBCIND  EQU   X'02' - ABEND TO OUTPUT AN INDICATIVE DUMP  (OS/VS1)     03998800
*                                                              @X04DA9A 04041600
TCBCMSG  EQU   X'01' - AN ABEND MESSAGE IS PROVIDED TO BE PRINTED BY    04084400
*                      ABDUMP (OS/VS1)                                  04127200
TCBCMPC  DS    BL3 -   SYSTEM COMPLETION CODE IN FIRST 12 BITS,         04170000
*                      USER COMPLETION CODE IN LAST 12 BITS             04212800
TCBTRN   DS    0A -    ADDRESS OF TESTRAN CONTROL CORE TABLE            04255600
TCBABF   DS    B -     FLAG BYTE                                        04300001
TCBMOD91 EQU   X'80' - BOTH TESTRAN AND DECIMAL SIMULATOR ON A MOD 91   04400001
TCBNOCHK EQU   X'40' - SUPPRESS TAKING CHECKPOINTS FOR THIS STEP        04500001
*                      (JOB STEP TCB)                                   04600001
TCBGRPH  EQU   X'20' - GAM/SP ACTIVE FOR THIS TASK                      04700000
TCBTCPP  EQU   X'08' - TCAM POST-PENDING  (RORI)                        04800001
TCBTCP   EQU   X'04' - TEST TASK - USED BY TEST SVC                     04900001
TCBOLTEP EQU   X'02' - OLTEP FUNCTIONS REQUIRE CLEANUP BEFORE ABNORMAL  05000000
*                      TERMINATION CAN BE INVOKED                       05100001
TCBTRNB  DS    AL3 -   ADDRESS OF TESTRAN CONTROL CORE TABLE            05150000
TCBMSS   DS    0A -    ADDRESS OF LAST SPQE ON MSS QUEUE                05200000
         DS    X -     HIGH ORDER BYTE OF TCBMSS                   @H2C 05500000
TCBMSSB  DS    AL3 -   SAME AS TCBMSS                              @L6C 05550000
TCBPKF   DS    B -     STORAGE PROTECTION KEY FOR THIS TASK.  IF THERE  05850000
*                      IS NO STORAGE PROTECTION, ALL BITS ARE ZERO.     05900000
TCBFLAG  EQU   X'F0' - STORAGE PROTECTION KEY                           05950000
TCBZERO  EQU   X'0F' - MUST BE ZERO                                     06000000
TCBFLGS  DS    0BL5 -  FLAG BYTE FIELDS                                 06050000
TCBFLGS1 DS    B -     FIRST TCB FLAG BYTE                              06300001
TCBFA    EQU   X'80' - May be on when a task is being abnormally   @L6C 06350000
*                      terminated.  Do NOT use this bit as an indicator 06400000
*                      in any program.  It is not a GUPI, and may not   06450000
*                      be relied upon.  See the TCBDYING bit for        06500000
*                      program use.                                     06550000
TCBFE    EQU   X'40' - On when the system is calling resource      @L6C 06600000
*                      managers during abnormal termination.            06650000
TCBFERA  EQU   X'20' - ENTER ABEND ERASE ROUTINE WHEN IN CONTROL AGAIN  07200001
TCBNONPR EQU   X'10' - TASK IS NON-PREEMPTABLE                          07250000
*                                                              @Z40FP9A 07350000
TCBPDUMP EQU   X'08' - PREVENT DUMP INDICATOR                           07400000
TCBFT    EQU   X'04' - TOP TASK IN TREE BEING ABTERMED                  07500000
TCBFS    EQU   X'02' - ABTERM DUMP COMPLETED                            07650000
*                      PROBLEM PROGRAM STORAGE HAS BEEN OVERLAID TO     07700000
*                      PROCESS ABEND  (OS/VS1)                          07750000
TCBFX    EQU   X'01' - PROHIBIT QUEUEING OF ASYNCHRONOUS EXITS FOR      07800000
*                      THIS TASK                                        07850000
TCBFLGS2 DS    B -     SECOND FLAG BYTE                                 08100001
TCBFOINP EQU   X'80' - THE TASK IS ABENDING AND IS IN THE PROCESS OF    08528500
*                      (1) OPEN FOR DUMP DATA SET PROCESSING,           08557000
*                      (2) CLOSE FOR USER DATA SET OR                   08585500
*                      (3) PURGE FOR ENQ'ED RESOURCES.  THIS BIT IS     08614000
*                      USED IN CONJUNCTION WITH TCBSTACK.               08642500
*                                                                ICB374 08671000
TCBFSTI  EQU   X'40' - SECOND JOB STEP INTERVAL HAS EXPIRED             08800001
*                      (INITIATOR TCB)                                  08850000
TCBFABOP EQU   X'20' - IF 1, THE SYSABEND DUMP DATA SET HAS BEEN OPENED 08900000
*                      FOR ABEND.  IF 0, THE SYSUDUMP DUMP DATA SET WAS 08950000
*                      OPENED.  THIS BIT IS ONLY USED FOR THE JOB STEP  09000000
*                      TCB AND IS USED IN CONJUNCTION WITH TCBFDSOP     09050000
*                      BIT.                                      YM0651 09100000
TCBFSMC  EQU   X'10' - TASK HAS ISSUED A SYSTEM-MUST-COMPLETE AND SET   09150000
*                      ALL OTHER TASKS IN THE SYSTEM NONDISPATCHABLE    09300001
TCBFJMC  EQU   X'08' - TASK HAS ISSUED A STEP-MUST-COMPLETE AND TURNED  09400000
*                      OFF ALL OTHER TASKS IN THE STEP                  09500001
TCBFDSOP EQU   X'04' - SYSABEND OPEN FOR JOB STEP                       09600000
TCBFETXR EQU   X'02' - ETXR TO BE SCHEDULED                             10200001
TCBFTS   EQU   X'01' - THIS TASK IS A MEMBER OF A TIME-SLICED GROUP     10250000
TCBFLGS3 DS    B -     THIRD FLAG BYTE.                        @G381P9A 10300000
*                      SERIALIZATION - TCBACTIV OR TASK        @G381P9A 10350000
*                      NONDISPATCHABLE AND LOCAL LOCK          @G381P9A 10400000
TCBFSM   EQU   X'80' - ALL PSW'S IN SUPERVISOR STATE                    10450000
TCBRT1S  EQU   X'40' - RTM1 HAS INVOKED SLIP FOR A TASK IN EUT MODE.    11850000
*                      RTM2 MAY BYPASS SLIP PROCESSING                  11900000
*                      OWNERSHIP - RTM                         @G381P9A 11950000
TCBABTRM EQU   X'20' - ABTERM BIT TO PREVENT MULTIPLE ABENDS            12000000
TCBFXSET EQU   X'10' - TCBFX WAS SET BY STATUS MCSTEP              @04A 12025000
TCBKEY9 EQU    X'04' - TCB was attached using KEY=NINE and so is to be  12031200
*                      treated as having a different key than the       12037400
*                      attacher                                    @L8A 12043700
TCBENQRM EQU   X'02' - ENQ/DEQ RESOURCE MANAGER HAS RECEIVED   @G381P9A 12050000
*                      CONTROL. NO FURTHER DIRECTED ENQS       @G381P9A 12100000
*                      ALLOWED.                                @G381P9A 12150000
*                      SERIALIZATION - TCBACTIV AND CMSEQDQ    @G381P9A 12200000
*                      CLASS LOCK.                             @G381P9A 12250000
*                      OWNERSHIP - GRS.                        @G381P9A 12300000
TCBDWSTA EQU   X'01' - THIS TASK WAS DETACHED WITH STAE=YES OPTION      12350000
*                                                                ICB315 12400000
TCBFLGS4 DS    B -     NONDISPATCHABILITY FLAGS                         12450000
TCBNDUMP EQU   X'80' - ABDUMP NONDISPATCHABILITY INDICATOR              13300000
TCBSER   EQU   X'40' - SER1 NONDISPATCHABILITY INDICATOR                13400000
TCBRQENA EQU   X'20' - I/O RQE'S EXHAUSTED                              13500001
TCBHNDSP EQU   X'10' - TASK OR JOB STEP IS MOMENTARILY 'FROZEN' UNTIL   13550000
*                      THE REQUIRED RESOURCES ARE AVAILABLE.  THE BIT   13600000
*                      IS SET THROUGH THE USE OF THE 'STATUS' SVC       13650000
*                                                                ICB453 13700000
TCBUXNDV EQU   X'08' - TASK IS TEMPORARILY NONDISPATCHABLE BECAUSE      13750000
*                      SMF TIME LIMIT OR SYSOUT LIMIT USER EXIT         13800000
*                      ROUTINE IS BEING EXECUTED FOR THIS STEP          13850000
TCBRBWF  EQU   X'04' - TOP RB IS IN WAIT STATE                 @G50DP9A 13900000
TCBONDSP EQU   X'01' - TASK TERMINATING AND NONDISPATCHABLE BECAUSE     13950000
*                      EITHER OPEN FOR DUMP DATA SET IS IN PROCESS OR   14000000
*                      CLOSE BY ABEND IS IN PROCESS                     14050000
TCBFLGS5 DS    B -     MORE NONDISPATCHABILITY FLAGS.   IF ANY BIT IN   14100000
*                      THIS BYTE IS 1, THE TASK IS NONDISPATCHABLE.     14150000
TCBFC    EQU   X'80' - TASK TERMINATED                                  14200000
TCBABWF  EQU   X'40' - ABNORMAL WAIT                                    14250000
TCBUXNDF EQU   X'40' - TASK IS TEMPORARILY NONDISPATCHABLE BECAUSE      14300000
*                      SMF TIME LIMIT OR SYSOUT LIMIT USER EXIT ROUTINE 14350000
*                      IS BEING EXECUTED FOR THIS STEP.  THIS BIT IS    14400000
*                      SET TO 1 IN ALL TCB'S EXCEPT JOB STEP TCB.       14450000
*                      (OS/VS1)                                  ICB263 14500000
TCBPAGE  EQU   X'20' - TASK IS NONDISPATCHABLE DUE TO EXCESSIVE PAGING  14550000
*                      RATE                                             14600000
TCBANDSP EQU   X'10' - TASK IS TEMPORARILY NONDISPATCHABLE BECAUSE IT   14650000
*                      WAS ATTACHED UNDER THE DISP=NO OPERAND           14700000
TCBSYS   EQU   X'08' - ANOTHER TASK IS IN SYSTEM-MUST-COMPLETE STATUS   14750000
*                      OR A SUMMARY BIT FOR FIELD TCBSYSCT              14800000
TCBSTP   EQU   X'04' - ANOTHER TASK IN THIS JOB STEP IS IN              14850000
*                      STEP-MUST-COMPLETE STATUS                        14900000
TCBFCD1  EQU   X'02' - INITIATOR WAITING FOR REGION                     14950000
TCBPNDSP EQU   X'01' - PRIMARY NONDISPATCHABILITY BIT.   THIS BIT IS    15000000
*                      SET TO 1 IF ANY OF THE SECONDARY                 15050000
*                      NONDISPATCHABILITY BITS (OFFSETS 173, 174, 175,  15100000
*                      200 OR 201 DECIMAL) IS SET TO 1.  THIS BIT IS    15150000
*                      SET TO 0 IF A SECONDARY NONDISPATCHABILITY BIT   15200000
*                      IS SET TO 0 AND ALL OTHER SECONDARY              15250000
*                      NONDISPATCHABILITY BITS ARE 0.                   15300000
TCBLMP   DS    FL1 -   TASK LIMIT PRIORITY                              15350000
TCBDSP   DS    FL1 -   DISPATCHING PRIORITY FOR THIS TASK               15500000
TCBLLS   DS    A -     ADDRESS OF LAST LOAD LIST ELEMENT (LLE) IN LOAD  15550000
*                      LIST                                             15600000
TCBJLB   DS    A -     ADDRESS OF A JOBLIB DCB                          15850000
TCBJPQ   DS    0A -    ADDRESS OF LAST CDE FOR JOB PACK AREA (JPA)      16750000
*                      CONTROL QUEUE                                    16800000
TCBPURGE DS    B -     HIGH ORDER BYTE                         @G860PXB 17000000
TCBJPQF  EQU   X'80' - JPQ PURGE FLAG                                   17200001
TCBJPQB  DS    AL3 -   LOW ORDER 24-BITS OF TCBJPQ             @G860PXB 17700000
TCBGRS   DS    0CL64 - GENERAL REGISTER SAVE AREA.  THIS OFFSET FIXED   17835000
*                      BY ARCHITECTURE.                        @G50EP9A 17870000
TCBGRS0  DS    F -     SAVE AREA FOR GENERAL REGISTER 0                 18000001
TCBGRS1  DS    F -     SAVE AREA FOR GENERAL REGISTER 1                 18100001
TCBGRS2  DS    F -     SAVE AREA FOR GENERAL REGISTER 2                 18200001
TCBGRS3  DS    F -     SAVE AREA FOR GENERAL REGISTER 3                 18300001
TCBGRS4  DS    F -     SAVE AREA FOR GENERAL REGISTER 4                 18400001
TCBGRS5  DS    F -     SAVE AREA FOR GENERAL REGISTER 5                 18500001
TCBGRS6  DS    F -     SAVE AREA FOR GENERAL REGISTER 6                 18600001
TCBGRS7  DS    F -     SAVE AREA FOR GENERAL REGISTER 7                 18700001
TCBGRS8  DS    F -     SAVE AREA FOR GENERAL REGISTER 8                 18800001
TCBGRS9  DS    F -     SAVE AREA FOR GENERAL REGISTER 9                 18900001
TCBGRS10 DS    F -     SAVE AREA FOR GENERAL REGISTER 10                19000001
TCBGRS11 DS    F -     SAVE AREA FOR GENERAL REGISTER 11                19100001
TCBGRS12 DS    F -     SAVE AREA FOR GENERAL REGISTER 12                19200001
TCBGRS13 DS    F -     SAVE AREA FOR GENERAL REGISTER 13                19300001
TCBGRS14 DS    F -     SAVE AREA FOR GENERAL REGISTER 14                19400001
TCBGRS15 DS    F -     SAVE AREA FOR GENERAL REGISTER 15                19500001
TCBFSA   DS    0A -    ADDRESS OF THE FIRST PROBLEM PROGRAM SAVE AREA   19600000
         DS    FL1 -   FIRST BYTE OF TCBFSA                    @G381P9A 20100000
TCBFSAB  DS    AL3 -   ADDRESS OF THE FIRST PROBLEM PROGRAM SAVE AREA   20250000
TCBTCB   DS    A -     Queue of TCBs in an address space.          @L5C 20287500
*                      Note:  The queue is not maintained in priority   20325000
*                             order.                                    20362500
TCBTME   DS    A -     ADDRESS OF THE TIMER QUEUE ELEMENT (TQE)         20400000
TCBTQET  EQU   X'80' - IF ZERO, TASK TYPE TQE.                          20450000
*                      IF ONE, REAL/WAIT TYPE TQE.                      20500000
TCBJSTCB DS    0A -    ADDRESS OF FIRST JOB STEP TCB                    22450000
*                      OR OF THIS TCB IF KEY ZERO                       22500000
         DS    X -     HIGH ORDER BYTE OF TCBJSTCB             @G860PXB 22550000
TCBJSTCA DS    AL3 -   LOW ORDER 24 BITS OF TCBJSTCB           @G860PXB 22600000
TCBNTC   DS    A -     ADDRESS OF THE TCB FOR THE TASK PREVIOUSLY       23046100
*                      ATTACHED BY THE TASK THAT ATTACHED THIS TASK.    23092200
*                      FOR EXAMPLE, IF TASK A ATTACHED TASK B AND THEN  23138300
*                      TASK C, THIS FIELD IN TASK C'S TCB POINTS TO     23184400
*                      TASK B'S TCB, AND THIS FIELD IN TASK B'S TCB     23230500
*                      IS ZERO.                                         23276600
TCBOTC   DS    A -     ADDRESS OF THE TCB FOR THE TASK (THE ORIGINATING 23322700
*                      TASK) THAT ATTACHED THIS TASK.  THIS FIELD IS    23368800
*                      ZERO IN THE TCB FOR A SYSTEM TASK.               23414900
TCBLTC   DS    A -     ADDRESS OF THE TCB FOR THE TASK LAST ATTACHED BY 23461000
*                      THIS TASK.  NOTE - IF A TASK (THE ORIGINATING    23507100
*                      TASK) HAS ATTACHED OTHER TASKS, THE TCB'S FOR    23553200
*                      THE OTHER TASKS ARE ON THE SUBTASK QUEUE OF THE  23599300
*                      ORIGINATING TASK.  TCBLTC IN THE TCB FOR THE     23645400
*                      ORIGINATING TASK POINTS TO THE LAST TCB (THE     23691500
*                      TCB FOR THE LAST ATTACHED TASK) IN THE SUBTASK   23737600
*                      QUEUE.  IN EACH TCB ON THE SUBTASK QUEUE,        23783700
*                      EXCEPT THE FIRST TCB, TCBNTC POINTS TO THE       23829800
*                      PRECEDING TCB ON THE QUEUE.                      23875900
TCBIQE   DS    A -     ADDRESS OF AN INTERRUPTION QUEUE ELEMENT (IQE)   23922000
*                      FOR SCHEDULING THE ETXR ROUTINE OF THE TASK      23968100
*                      THAT ATTACHED THIS TASK.                         24014200
TCBECB   DS    A -     ADDRESS OF THE ECB THAT WILL BE POSTED BY THE    24060300
*                      SUPERVISOR'S TASK TERMINATION ROUTINES WHEN      24106400
*                      NORMAL OR ABNORMAL TERMINATION OCCURS.           24152500
TCBTSFLG DS    B -     TIME SHARING FLAGS                               24200001
TCBTSTSK EQU   X'80' - SWAPPED TIME SHARING TASK (OS/VS1)               24250000
TCBSTPPR EQU   X'40' - TASK SHOULD BE MADE NONDISPATCHABLE VIA TCBSTPP  24300000
*                      WHEN IT IS NO LONGER RUNNING A PRIVILEGED        24350000
*                      PROGRAM                                          24400000
TCBATT   EQU   X'20' - TASK SHOULD NOT HAVE ATTENTION EXITS SCHEDULED   24450000
*                      ON IT BY EXIT EFFECTOR.  THIS OFFSET FIXED BY    24500000
*                      ARCHITECTURE.                           @G50EP9A 24550000
TCBTIOTG EQU   X'10' - PURGE TGET/TPUT AFTER ATTENTION                  24800001
TCBSMCP  EQU   X'08' - STATUS MCSTEP PENDING,TASK IS SUSPENDED     @L4A 24810000
TCBDYDSP EQU   X'02' - M195 TASK IS MEMBER OF DYNAMIC DISPATCHING       24820000
*                      GROUP                                     ICB262 24840000
TCBCPUBN EQU   X'01' - FOR M195, ZERO MEANS I/O BOUND AND ONE MEANS     24860000
*                      CPU BOUND                                 ICB262 24880000
TCBSTPCT DS    FL1 -   NUMBER OF SETTASK STARTS WHICH MUST BE           24900001
*                      ISSUED BEFORE TASK IS MADE DISPATCHABLE -        25000001
*                      FIELD NOT RESTRICTED TO TSO                      25100001
TCBTSLP  DS    FL1 -   LIMIT PRIORITY OF TIME SHARING TASK              25200000
TCBTSDP  DS    B -     DISPATCHING PRIORITY OF TIME SHARING TASK        25300000
TCBRD    DS    A       POINTER TO DPQE MINUS 8 FOR THE JOB STEP         25450600
*                                                              @G860PVB 25451200
*                      SERIALIZATION - THE LOCAL LOCK.         @G860PXU 25451800
*                      OWNERSHIP - VSM.                        @G860PXU 25452400
TCBPQE   EQU   TCBRD   SAME AS TCBRD                           @G860PVB 25453000
TCBAE    DS    A       LIST ORIGIN OF AQE(S) FOR THIS TASK              25503000
*                      SERIALIZATION - THE LOCAL LOCK.         @G860PXU 27230000
*                      OWNERSHIP - VSM.                        @G860PXU 27256000
TCBAQE   EQU   TCBAE   SAME AS TCBAE                           @G860PVB 27282000
TCBSTAB  DS    0A -    ADDRESS OF THE CURRENT STAE CONTROL BLOCK        27594000
TCBNSTAE DS    B -     FLAGS INTERNAL TO STAE ROUTINE                   27620000
TCBSTABE EQU   X'80' - ABEND ENTERED BECAUSE OF ERROR IN STAE           27646000
*                      PROCESSING                                       27672000
TCBQUIES EQU   X'40' - STAE INVOKED PURGE I/O ROUTINE WITH QUIESCE I/O  27700001
*                      OPTION                                           27800001
TCB33E   EQU   X'20' - A 33E ABEND HAS OCCURRED FOR TASK                27872600
TCBPPSUP EQU   X'10' - 1=SUPERVISOR MODE,0=PROBLEM PROGRAM MODE         27908900
*                      INDICATOR TO SYNCH OF THE MODE OF THE USER       27945200
*                      EXIT                                    @ZM49655 27981500
TCBHALT  EQU   X'08' - PURGE I/O ROUTINE DID NOT SUCCESSFULLY QUIESCE   28200001
*                      I/O, BUT I/O WAS HALTED                          28233300
TCBSYNCH EQU   X'04' - SYNCH ISSUED BY ASIR TO SCHEDULE EXIT ROUTINE    28299900
*                                                              @ZM49655 28333200
TCBSTCUR EQU   X'01' - STAE RECURSION VALID                      ICB443 28366500
TCBSTABB DS    AL3 -   ADDRESS OF THE CURRENT STAE CONTROL BLOCK        28850000
TCBTCT   DS    0A -    ADDRESS OF THE TIMING CONTROL TABLE (TCT) IF     28900000
*                      SYSTEM MANAGEMENT FACILITIES (SMF) DATA IS BEING 28950000
*                      COLLECTED FOR THE TASK.  ZERO IF SMF DATA IS NOT 29000000
*                      BEING COLLECTED FOR THE TASK.           @Z30AQ9A 29050000
*                      SERIALIZATION: LOCAL LOCK.                       29125000
TCBTCTGF DS    B -     FLAG BYTE FOR TIMING CONTROL TABLE        ICB318 29150000
TCBSMFGF EQU   X'80' - IF ZERO, THE TCT CORE TABLE IS NOT TO BE         29200000
*                      UPDATED BY GETMAIN/FREEMAIN.                     29250000
*                      IF ONE, THE TCT CORE TABLE IS TO BE UPDATED BY   29300000
*                      GETMAIN/FREEMAIN.                         ICB318 29350000
TCBTCTB  DS    AL3 -   ADDRESS OF THE TIMING CONTROL TABLE (TCT) IF     29400000
*                      SYSTEM MANAGEMENT FACILITIES (SMF) DATA IS BEING 29450000
*                      COLLECTED FOR THE TASK.  ZERO IF SMF DATA IS NOT 29500000
*                      BEING COLLECTED FOR THE TASK OR FOR OS/VS1, IF   29550000
*                      SMF IS NOT IN THE SYSTEM.               @Z30AQ9A 29600000
TCBUSER  DS    A -     A WORD AVAILABLE TO THE USER                     29650000
TCBSCNDY DS    0BL4 -  SECONDARY NONDISPATCHABILITY BITS.   IF ANY BIT  29700000
*                      IN THE FOLLOWING FOUR BYTES IS 1, THE PRIMARY    29750000
*                      NONDISPATCHABILITY BIT (OFFSET 33.7 DECIMAL)     29800000
*                      IS 1, AND THE TASK IS NONDISPATCHABLE.           29850000
TCBNDSP  DS    0BL4 -  SAME AS TCBSCNDY                                 31050001
TCBNDSP0 DS    B -     BYTE 0                                           31060001
TCBNDSP1 DS    B -     BYTE 1                                           31100001
TCBDARTN EQU   X'80' - THE TASK IS TEMPORARILY NONDISPATCHABLE -        31200000
*                      DAMAGE ASSESSMENT ROUTINE (DAR)                  31300000
TNONDISP EQU   TCBDARTN * ALIAS *                                       31400001
TCBDARPN EQU   X'40' - THE TASK IS PERMANENTLY NONDISPATCHABLE -        31500000
*                      DAMAGE ASSESSMENT ROUTINE (DAR)                  31600000
PNONDISP EQU   TCBDARPN * ALIAS *                                       31700001
TCBRSTND EQU   X'20' - THE TASK IS TEMPORARILY NONDISPATCHABLE -        31747800
*                      RECOVERY MANAGEMENT SUPPORT AND SYSTEM ERROR     31795600
*                      RECOVERY (RMS/SER)                               31843400
TCBRSPND EQU   X'10' - THE TASK IS PERMANENTLY NONDISPATCHABLE -        31891200
*                      RECOVERY MANAGEMENT SUPPORT AND SYSTEM ERROR     31939000
*                      RECOVERY (RMS/SER)                               31986800
*                      (IF THIS BIT IS ON THEN THE PREVIOUS BIT         32034600
*                      MUST BE ON TOO)                                  32082400
TCBDDRND EQU   X'08' - THE TASK IS IN DEVICE ALLOCATION AND DYNAMIC     32130200
*                      DEVICE RECONFIGURATION (DDR) HAS MADE IT         32178000
*                      NONDISPATCHABLE -                                32225800
*                      RECOVERY MANAGEMENT SUPPORT AND SYSTEM ERROR     32273600
*                      RECOVERY (RMS/SER)   (OS/VS1)                    32321400
TCBTPSP  EQU   X'04' - DISPATCHING OF TCAM TASK MUST BE DELAYED UNTIL   32369200
*                      TCAM I/O APPENDAGE OR SVC ROUTINE HAS COMPLETED  32417000
*                      EXECUTION  (TCAM IN MULTIPROCESSING ENVIRONMENT) 32464800
TCBPIEND EQU   X'02' - SRB IS TO BE SCHEDULED TO PERFORM PIE/PICA       32512600
*                      PROCESSING (FIRST LEVEL INTERRUPT HANDLER)       32560400
*                                                                       32608200
TCBABTIN EQU   X'01' - THE TASK IS TEMPORARILY NONDISPATCHABLE WHILE    32656000
*                      BEING SET UP FOR ABTERM                 @ZM46205 32706000
TCBNDSP2 DS    B -     BYTE 2                                           32800001
TCBABD   EQU   X'80' - ABDUMP IS PROCESSING  (OS/VS1)                   32850000
TCBSTPP  EQU   X'40' - TASK SET NONDISPATCHABLE BY SETTASK              32900000
TCBNDSVC EQU   X'20' - TASK IS NONDISPATCHABLE BECAUSE SVC DUMP IS      32950000
*                      EXECUTING FOR ANOTHER TASK                       33000000
TCBNDTS  EQU   X'10' - TASK IS NONDISPATCHABLE BECAUSE IT IS BEING      33050000
*                      SWAPPED OUT                                      33100000
TCBIWAIT EQU   X'08' - TASK IS NONDISPATCHABLE DUE TO AN INPUT WAIT     33150000
TCBOWAIT EQU   X'04' - TASK IS NONDISPATCHABLE DUE TO AN OUTPUT WAIT    33200000
TCBDSS   EQU   X'02' - DYNAMIC SUPPORT SYSTEM (DSS) HAS SET THIS        33250000
*                      TASK NONDISPATCHABLE                      ICB313 33300000
TCBABE   EQU   X'01' - ABEND ROUTINE WAS ENTERED FOR THIS TASK WHILE    33350000
*                      THE DCB FOR SYSABEND (OR SYSUDUMP) DATA SET WAS  33400000
*                      BEING OPENED FOR ANOTHER TASK  (OS/VS1)          33450000
TCBNDSP3 DS    B -     BYTE 3                                           34000001
TCBLJSND EQU   X'80' - TASK IS ABENDING AND NONDISPATCHABLE BECAUSE IT  34154000
*                      HAS A JOB STEP SUBTASK.  TCBONDSP MUST ALSO BE   34176000
*                      ON.                                              34198000
TCBNDNYI EQU   X'40' - RCT TASK IS NONDISPATCHABLE BECAUSE ADDRESS @P4A 34205300
*                      SPACE IS NOT YET INITIALIZED FULLY               34212600
TCBSRBND EQU   X'20' - TCB NONDISPATCHABLE BECAUSE SRB'S ARE STOPPED    34220000
TCBSLPER EQU   X'10' - SET NONDISPATCHABLE SO THAT SLIP/PER CAN ALTER   34286000
*                      RB PSW PER BIT                          @G65RP9A 34308000
TCBS3MR  EQU   X'08' - STAGE 3 EXIT EFFECTOR MUST RUN TO SYNCHRONIZE    34330000
*                      ATTENTION INTERRUPT                     @ZM48358 34352000
TCBAREQ  EQU   X'04' - TSO AUTHORIZED REQUEST PROCESSING ACTIVE         34374000
*                                                              @ZA67167 34396000
TCBNDSMF EQU   X'02' - Indicates task is stopped because its CPU   @03A 34399600
*                      or continuous wait time has been exceeded.  SMF  34403200
*                      determines whether to grant extension or abend   34406800
*                      task.                                            34410400
*                      Ownership: SMF.                                  34414000
TCBNDINT EQU   X'01' - INITIATOR SETS THIS BIT TO PREVENT JOB STEP      34440000
*                      EXECUTION IN ORDER TO DO CANCEL PROCESSING       34462000
*                      (CAN CANCEL LOOP)                                34484000
TCBMDIDS DS    F -     RESERVED FOR MODEL-DEPENDENT SUPPORT AND FOR     34528000
*                      IBM PROPRIETARY PROGRAMMING SUPPORT       ICBXXX 34550001
TCBJSCB  DS    0A -    ADDRESS OF THE JOB STEP CONTROL BLOCK            34555200
TCBRECDE DS    B -     ABEND RECURSION BYTE                      ICB456 34560400
TCBREC   EQU   X'80' - VALID REENTRY TO ABEND IF NON-ZERO VALUE IN      34565600
*                      FOLLOWING 7 BITS                          ICB456 34570800
TCBOPEN  EQU   X'01' - OPEN DUMP DATA SET                        ICB456 34576000
TCBCLOSD EQU   X'02' - CLOSE DIRECT SYSOUT ON TAPE               ICB456 34581200
TCBCLOSE EQU   X'03' - CLOSE OPEN DATA SETS                      ICB456 34586400
TCBCLOSF EQU   X'04' - RESERVED.                                 ICB456 34591600
TCBGREC  EQU   X'05' - GRAPHICS                                  ICB456 34596800
TCBADUMP EQU   X'07' - ABDUMP                                    ICB456 34602000
TCBPTAXE EQU   X'08' - PURGE TAXE                                ICB456 34607200
TCBMESG  EQU   X'09' - MESSAGE RECURSION                         ICB456 34612400
TCBDYNAM EQU   X'0A' - DD-DYNAM TIOT CLEANUP                     ICB456 34617600
TCBDAMSG EQU   X'0B' - ABEND IS ISSUING A WTOR ASKING WHETHER THE JOB   34622800
*                      STEP TASK SHOULD WAIT FOR THE DUMP AREA          34628000
*                      (OS/VS1)                                         34633200
TCBQTIP  EQU   X'0C' - PURGE TSO INTERPARTITION POSTS            ICB456 34638400
TCBTCAMP EQU   X'0D' - PURGE TCAM INTERPARTITION POSTS           ICB456 34643600
TCBINDRC EQU   X'0E' - INDICATIVE DUMP (LOAD 8 OF ABEND) HAS ABENDED.   34648800
*                      ABEND WILL HANDLE THIS ABEND.  (OS/VS1)          34654000
TCBSAVCD EQU   X'0F' - ASIR RECURSION.  SAVE OLD COMPLETION CODE ICB456 34659200
TCBTYP1W EQU   X'10' - TYPE 1 MESSAGE WRITE TO PROGRAMMER        ICB456 34664400
TCBWTPSE EQU   X'20' - WRITE-TO-PROGRAMMER (WTP) FAILED.  JOB STEP      34669600
*                      TIMER EXPIRED DURING JOB STEP ABEND AND THE      34674800
*                      STAE EXIT IS DENIED.  (OS/VS1)          @X04DA9A 34680000
TCBVTAM1 EQU   X'21' - ABEND IS ENTERING FIRST VTAM INTERFACE,          34685200
*                      ISTRAAA1, FOR TERMINATION OF TASK OR SUBTASK     34690400
*                      (OS/VS1)                                @X31BH9A 34695600
TCBVTAM2 EQU   X'22' - ABEND IS ENTERING SECOND VTAM INTERFACE,         34700800
*                      ISTRAAA2, BECAUSE ISTRAAA1 ABENDED  (OS/VS1)     34706000
*                                                              @X31BH9A 34711200
TCBVTAM3 EQU   X'23' - ABEND IS ENTERING FIRST VTAM INTERFACE,          34716400
*                      ISTRAAA0, BECAUSE VTAM ABENDED  (OS/VS1)         34721600
*                                                              @X04BH9A 34726800
TCBVTAM4 EQU   X'24' - ABEND IS ENTERING SECOND VTAM INTERFACE,         34732000
*                      ISTRAAA2, BECAUSE ISTRAAA0 ABENDED  (OS/VS1)     34737200
*                                                              @X04BH9A 34742400
TCBNOSTA EQU   X'30' - STAE/STAI NOT TO BE HONORED               ICB456 34747600
TCBSTRET EQU   X'31' - RETURN FROM DUMP PROCESSING               ICB456 34752800
TCBCONVR EQU   X'32' - CONVERT TO STEP ABEND                     ICB456 34758000
TCBDARET EQU   X'33' - RETURN FROM DAMAGE ASSESSMENT ROUTINES    ICB456 34763200
TCBTYP1R EQU   X'34' - RETURN FROM TYPE 1 MESSAGE MODULE         ICB456 34768400
TCBNEWRB EQU   X'35' - ABEND ISSUED SVC 13 TO TRANSFER CONTROL (XCTL)   34773600
*                      TO A NON-ABEND MODULE                     ICB456 34778800
TCBMCCNS EQU   X'40' - A MUST COMPLETE TASK HAS ABNORMALLY TERMINATED   34784000
*                      WITHOUT ENOUGH STORAGE FOR 2 RB'S FOR A WTOR     34789200
*                      ASKING WHETHER THE TASK'S RESOURCES ARE          34794400
*                      CRITICAL.  THE RESOURCES ARE ASSUMED TO BE       34799600
*                      CRITICAL, AND THE PARTITION IS MARKED            34804800
*                      PERMANENTLY NONDISPATCHABLE. (OS/VS1)     ICB492 34810000
TCBJSCBB DS    AL3 -   ADDRESS OF THE JOB STEP CONTROL BLOCK            34815200
TCBSSAT  DS    A -     ADDRESS OF THE SUBSYSTEM AFFINITY TABLE @G381P9A 34820400
*                      (SSAT).                                 @G381P9A 34825600
*                      SERIALIZATION - TCBACTIV.               @G381P9A 34830800
*                      OWNERSHIP - TASK MANAGEMENT.            @G381P9A 34836000
TCBIOBRC DS    A -     ADDRESS OF IOB RESTORE CHAIN FOR I/O QUIESCED    34841200
*                      BY EOT                                    YM2840 34846400
TCBEXCPD DS    A -     ADDRESS OF EXCP DEBUG AREA                YM4297 34854200
TCBEXT1  DS    0A -    ADDRESS OF OS-OS/VS COMMON TCB EXTENSION  ICB311 34862000
         DS    X -     RESERVED.                                   @H2C 34867200
TCBEXT1A DS    AL3 -   ADDRESS OF OS-OS/VS COMMON TCB EXTENSION  ICB311 34872400
*                                                                       34880001
*              OS/VS1 - OS/VS2 COMMON SECTION                           34890000
*                                                                       34892001
TCBBITS  DS    0BL4 -  FLAG BYTES.  IF A BIT IN THE FOLLOWING TWO BYTES 34892800
*                      IS SET TO 1, THE PRIMARY NONDISPATCHABILITY BIT  34893600
*                      (OFFSET 33.7 DECIMAL) IS SET TO 1, AND THE TASK  34894400
*                      IS NONDISPATCHABLE.                              34895200
TCBNDSP4 DS    B -     SECONDARY NONDISPATCHABILITY FLAGS COMMON TO     34896001
*                      OS/VS1 AND OS/VS2.  COORDINATED WITH PRIMARY     34896700
*                      NONDISPATCHABILITY FLAG TCBPNDSP.   THIS BYTE IS 34897400
*                      NOT CURRENTLY SUPPORTED BY OS/VS2.               34898100
TCBNDSP5 DS    B -     SECONDARY NONDISPATCHABILITY FLAGS UNIQUE TO     34898801
*                      OS/VS1 OR OS/VS2.  COORDINATED WITH PRIMARY      34904300
*                      NONDISPATCHABILITY FLAG TCBPNDSP.   THIS BYTE IS 34909800
*                      NOT CURRENTLY SUPPORTED BY OS/VS2.               34915300
TCBFLGS6 DS    B -     TASK-RELATED FLAGS                               34966401
TCBRV    EQU   X'80' - THE PARTITION IS FIXED IN REAL STORAGE.  VIRTUAL 34966800
*                      ADDRESSES ARE EQUAL TO REAL ADDRESSES.           34967200
TCBPIE17 EQU   X'40' - PAGE FAULT INTERRUPT IS TO BE PASSED TO THE      34978000
*                      TASK'S INTERRUPT EXIT AND AN 8-BYTE PICA IS IN   34978400
*                      EFFECT FOR THIS TASK                      ICB339 34978800
TCBCPU   EQU   X'20' - TASK IS CPU-BOUND MEMBER OF AUTOMATIC PRIORITY   34982400
*                      GROUP (APG)                                      34982800
TCBSPVLK EQU   X'10' - TASK SCHEDULED FOR ABTERM WHILE OWNING           34983200
*                      SUPERVISOR LOCK                                  34983600
TCBMIGR  EQU   X'04' - REGION SELECTED FOR MIGRATION FROM PRIMARY       34984000
*                      PAGING DEVICE                                    34984400
TCBAPG   EQU   X'02' - TASK IS IN AUTOMATIC PRIORITY GROUP (APG)        34984800
*                                                                       34985200
TCBNTJS  EQU   X'01' - JOB STEP TASK BUT NOT HIGHEST IN FAILING TREE    34985600
*                                                                       34986000
TCBFLGS7 DS    B -     TASK-RELATED FLAGS                               34987701
TCBGPECB EQU   X'80' - TASK IS IN AN ECB WAIT FOR A GETPART             34988700
*                                                                ICB339 34989200
TCBSVCSP EQU   X'20' - IF 1, SVC SCREENING IS TO BE PROPAGATED TO       34989700
*                      SUBTASKS                                @G860PXB 34990200
TCBSTACK EQU   X'10' - SET IN JOB STEP TCB TO INDICATE THAT A TASK IN   34990700
*                      THE JOB STEP IS IN SERIAL ABEND PROCESSING.      34991200
*                      USED IN CONJUNCTION WITH TCBFOINP.               34991700
*                                                                ICB374 34992200
TCBSVCS  EQU   X'08' - IF 1, SVC SCREENING IS REQUIRED FOR THE TASK.    34992700
*                      THIS OFFSET FIXED BY ARCHITECTURE.               34993200
*                                                              @G50EP9A 34993700
TCBRSTSK EQU   X'04' - RESIDENT SYSTEM TASK                             34994200
TCBADMP  EQU   X'02' - ALL OTHER TASKS IN JOB STEP HAVE BEEN SET        34994700
*                      NONDISPATCHABLE BY ABDUMP.   THIS BIT IS SET TO  34995200
*                      CONTROL JOB STEP DURING THE DUMPING PROCESS.     34995700
*                                                                       34996200
TCBGTOFM EQU   X'01' - GENERALIZED TRACE FACILITY (GTF) TRACING HAS     35004200
*                      BEEN TEMPORARILY DISABLED UNDER THIS TASK ICB402 35004700
TCBDAR   DS    B -     DAMAGE ASSESSMENT ROUTINE (DAR) FLAGS            35005200
TCBDARP  EQU   X'80' - PRIMARY DAR RECURSION.  DAR HAS BEEN ENTERED FOR 35005700
*                      THIS TASK.                                       35006200
TCBDARS  EQU   X'40' - SECONDARY DAR RECURSION.  IF DAR IS REENTERED,   35006700
*                      THIS TASK WILL BE SET NONDISPATCHABLE.           35007200
TCBDARD  EQU   X'20' - A DUMP HAS BEEN REQUESTED FOR A WRITER OR        35010001
*                      SCHEDULER ABEND, AND THE USER HAS PROVIDED NO    35010100
*                      SYSABEND DD CARD (OS/VS1)                        35010200
TCBDARC  EQU   X'10' - RECURSION PERMITTED IN CLOSE -                   35010301
*                      AFTER DAR PROCESSING COMPLETED (PCP)             35014001
TCBDARMC EQU   X'10' - DAR HAS BEEN ENTERED TO HANDLE A VALID RECURSION 35016001
*                      IN MUST-COMPLETE STATUS THROUGH ABEND     ICB264 35016400
TCBDARO  EQU   X'08' - SYSTEM ERROR TASK IS FAILING.  DAR DUMP SHOULD   35016801
*                      NOT REQUEST ANY ERROR RECOVERY PROCEDURE (ERP)   35017100
*                      PROCESSING.                                      35017400
TCBDARWT EQU   X'04' - A WTO OPERATION WITH A 'REINSTATEMENT FAILURE'   35017700
*                      MESSAGE IS IN PROCESS FOR DAR             ICB264 35018000
TCBDARMS EQU   X'02' - WTO OPERATION WITH A 'DAR IN PROGRESS' MESSAGE   35018300
*                      IS IN PROCESS FOR DAR (OS/VS1)          @XA08316 35018600
TCBEXSVC EQU   X'01' - THE DUMP SVC ROUTINE IS EXECUTING FOR THIS TASK  35018900
TCBRSV37 DS    X -     RESERVED FOR USER                                35019200
TCBSYSCT DS    FL1 -   NUMBER OF OUTSTANDING SYSTEM-MUST-COMPLETE       35019500
*                      REQUESTS (ICB497)                         YM3883 35019800
TCBSTMCT DS    FL1 -   NUMBER OF OUTSTANDING STEP-MUST-COMPLETE         35020100
*                      REQUESTS (ICB497)                         YM3883 35020400
TCBEXT2  DS    0A -    ADDRESS OF OS/VS1 - OS/VS2 COMMON EXTENSION      35020700
*                                                                ICB311 35021000
         DS    X -     FIRST BYTE OF TCBEXT2                   @G381P9A 35021300
TCBEXT2A DS    AL3 -   ADDRESS OF OS/VS1 - OS/VS2 COMMON EXTENSION      35021600
*                                                                ICB311 35021900
*                                                                       35076401
*              OS/VS2 TCB OVERLAY                                       35076500
*                                                                       35076600
TCBAECB  DS    F -     ABEND ECB.  POSTED BY A MOTHER TASK IN RTM2      35076700
*                      PROCESSING WHEN A DAUGHTER IS WAITING TO         35076800
*                      TERMINATE IT.                                    35076900
TCBXSB   DS    A -     ADDRESS OF CURRENT XSB FOR TASK.        @G381P9A 35077000
*                      SERIALIZATION - TCBACTIV.               @G381P9A 35077100
*                      OWNERSHIP - SUPERVISOR.                 @G381P9A 35077200
TCBBACK  DS    A -     ADDRESS OF PREVIOUS TCB ON READY QUEUE.  ZERO    35077300
*                      IN TOP TCB.                                      35077400
TCBRTWA  DS    A -     POINTER TO CURRENT RTM2 WORK AREA                35077500
TCBNSSP  DS    A -     NORMAL STACK SAVE AREA POINTER.                  35077600
*                      SERIALIZATION - TCBACTIV.                        35077700
*                      OWNERSHIP - SUPERVISOR.                 @G381P9A 35077800
TCBNSSQA EQU   X'80' - NORMAL STACK SAVED IN SQA INDICATOR.    @G38CPXB 35077900
TCBXLAS  DS    A -     ASCB ADDRESS OF THE CML LOCK HELD WHILE @G381PXU 35078000
*                      TCB SUSPENDED OR INTERRUPTED.           @G381P9A 35078100
*                      SERIALIZATION - TCBACTIV.               @G381P9A 35078200
*                      OWNERSHIP - SUPERVISOR.                 @G381P9A 35078300
TCBABCUR DS    C -     ABEND RECURSION BYTE                             35078400
TCBFJMCT DS    FL1 -   NUMBER OF OUTSTANDING STEP-MUST-COMPLETE@YA02725 35078500
*                      REQUESTS ISSUED BY THE TASK             @YA02725 35078600
TCBTID   DS    C -     The task identifier as specified on the     @P7C 35078700
*                      TID parameter of ATTACH or ATTACHX.              35078800
*                      The following task identifiers are for internal  35078900
*                      use only:                                   @P7A 35079000
TCBPAGID EQU   255 -   ID FOR PAGING SUPERVISOR TASK             ICB403 35079100
TCBSYERR EQU   254 -   ID FOR SYSTEM ERROR TASK                  ICB403 35079200
TCBCOMM  EQU   253 -   ID FOR COMMUNCIATIONS TASK                ICB403 35079300
TCBIORMS EQU   252 -   ID FOR I/O RMS TASK                       ICB403 35079400
TCBMASTR EQU   251 -   ID FOR MASTER SCHEDULER TASK              ICB403 35079500
TCBJES   EQU   250 -   ID FOR JOB ENTRY SUBSYSTEM (JES) MONITOR TASK    35079600
*                                                                ICB403 35079700
TCBDSSID EQU   249 -   ID FOR DYNAMIC SUPPORT SYSTEM (DSS) TASK  ICB403 35079800
TCBLOGID EQU   248 -   ID FOR SYSTEM LOG TASK                           35079900
TCBFLGS8 DS    B -     GUPI FLAG BYTE FIELD                        @P1A 35080000
*                      SERIALIZATION - TCBACTIV (Must be running under  35080100
*                      this TCB when updating this field.)              35080200
TCBDYING EQU   X'80' - IF ON, INDICATES THAT THE SYSTEM HAS        @P1A 35080300
*                      DETERMINED THAT THIS TASK WILL BE TERMINATING    35080400
*                      (NORMALLY OR ABNORMALLY) AND ITS MAINLINE        35080500
*                      PROCESSING WILL NOT BE ALLOWED TO RUN AGAIN.     35080600
*                      OWNERSHIP - RTM.                                 35080700
TCBNOIRB EQU   X'40' - If on, IRBs will not be queued to this TCB. @08A 35080800
*                      A program setting this flag MUST save its        35080900
*                      current value and restore that value either      35081000
*                      when that program can tolerate IRBs being        35081100
*                      queued or before the current RB terminates.      35081200
TCBJTCBA EQU   X'20' - If on, this is the attach of the JSTCB by the    35081300
*                      initiator                                 @L9A   35081400
TCBXSCT  DS    0F -    DISPATCHER INTERSECT CONTROL WORD       @Z40FP9A 35081500
TCBXSCT1 DS    B -     FLAG BYTE                               @Z40FP9A 35081600
TCBACTIV EQU   X'80' - BIT ON MEANS THIS TCB IS CURRENTLY ACTIVE ON A   35081700
*                      CPU.  USED TO SYNCHRONIZE SOME STATUS SAVING AND 35081800
*                      DISPATCHABILITY INDICATORS WHEN ACTIVE OR NOT    35081900
*                      UNDER THE LOCAL LOCK.                   @Z40FP9A 35082000
TCBS3A   EQU   X'40' - STAGE 3 EXIT EFFECTOR/RESUME/TCTL INTERSECT FLAG 35082100
*                                                              @Z40FP9A 35082200
TCBLLREQ EQU   X'20' - TASK REQUESTED LOCAL LOCK               @G50DP9A 35082300
TCBTDORM EQU   X'08' - Turned on to detect dormant Tasks by        @06A 35082400
*                      Parallel Detach processing.  Turned off by       35082500
*                      the Dispatcher during Task dispatch              35082600
TCBXSCT2 DS    B -     FLAG BYTE                               @G381P9A 35082700
TCBCMLF  EQU   X'80' - CML RESOURCE MANAGER PROCESSING         @G381P9A 35082800
*                      COMPLETE FOR THIS CML LOCK HOLDER.      @G381P9A 35082900
TCBLLNEW EQU   X'40' - Lock Manager has given this task the local  @L5A 35083000
*                      lock, but its status is in the TCB, not the      35083100
*                      IHSA.                                            35083200
*                      SERIALIZATION: TCBACTIV                          35083300
*                      OWNERSHIP: Task Management                       35083400
TCBCCPVI DS    H -     ID OF THE CURRENT CPU RUNNING THIS TASK.  USED   35083500
*                      FOR RECOVERY AND CPU AFFINITY.          @Z40FP9A 35083600
TCBFOE   DS    0A -    ADDRESS OF FIRST FIX OWNERSHIP ELEMENT (FOE)     35083700
*                      IN LIST FOR THIS TASK                     ICB339 35083800
         DS    X -     RESERVED.                                   @H2C 35083900
TCBFOEA  DS    AL3 -   ADDRESS OF FIRST FIX OWNERSHIP ELEMENT (FOE)     35084000
*                      IN LIST FOR THIS TASK                     ICB339 35084100
TCBSWA   DS    A -     ADDRESS OF FIRST SCHEDULER WORK AREA (SWA) SPQE  35084200
*                      ON SWA SPQE CHAIN                       @Z40AQ9A 35084300
TCBSTAWA DS    A -     ESTAE ROUTINE WORK AREA POINTER         @Z40FP9A 35084400
TCBTCBID DS    CL4 -   CONTAINS BLOCK ID - 'TCB '                       35084500
TCBRTM12 DS    A -     POINTER TO PARAMETER AREAS PASSED FROM RTM1 TO   35084600
*                      RTM2                                             35084700
TCBESTAE DS    0XL4 -  AREA TO CONTAIN RECOVERY DATA FOR RTM            35084800
TCBSCBKY DS    C -     KEY IN WHICH SYNCH IS TO PASS CONTROL            35084900
*                      TO THE USER EXIT                        @ZM49655 35085000
TCBESTRM DS    B -     ESTAE TERM OPTIONS                               35085100
TCBETERM EQU   X'80' - ESTAE EXIT ENTERED WITH TERM OPTION              35085200
TCBSTAFX EQU   X'40' - SERIALIZED BY TCB ACTIVE                @ZA30005 35085300
TCBERTYP DS    FL1 -   TYPE OF ERROR CAUSING ENTRY TO THE RTM.  SET     35085400
*                      BY RTM1.                                         35085500
TCBMODE  DS    FL1 -   MASK INDICATING MODE OF SYSTEM AT TIME OF ERROR. 35085600
*                      SEE IHART1W/MODE FOR INDIVIDUAL BIT DEFINITIONS. 35085700
TCBUKYSP DS    A -     ADDRESS OF SPQE'S FOR SUBPOOLS 229 AND 230       35085800
*                      (USER KEY STORAGE IN THE PRIVATE AREA)           35085900
TCBPROPF DS    0XL2 -  Flags propagated                           @L9C  35086000
TCBPROP0 DS    X    -  Byte 0 of TCBPROPF                         @L9A  35086100
TCBBITCB EQU   X'80' - This task is "below" the initiator TCB     @L9A  35086200
TCBPROP1 DS    X    -  Byte 1 of TCBPROPF                         @L9A  35086300
TCBAFFN  DS    BL2 -   CPU AFFINITY INDICATOR                           35086400
TCBFBYT1 DS    B -     FLAG BYTE.                              @G381P9A 35086500
*                      SERIALIZATION - TCBACTIV OR TASK        @G381P9A 35086600
*                      NONDISPATCHABLE AND LOCAL LOCK          @G381P9A 35086700
TCBEOTFM EQU   X'80' - END OF TASK FLAG FOR FREEMAIN.  SET TO 1 BY TASK 35086800
*                      TERMINATION AT START OF TERMINATION PROCESSING   35086900
*                      AND RESET TO 0 AT FINISH.  INDICATES THAT A      35087000
*                      FREEMAIN ON A BLOCK OF LOCAL STORAGE THAT IS     35087100
*                      STILL FIXED BY RSM SHOULD RESULT IN A RETURN     35087200
*                      CODE OF 8 RATHER THAN ABNORMAL TERMINATION.      35087300
TCBRTM1E EQU   X'40' - RTM1 IS CURRENTLY PROCESSING EUT FRR'S  @G381PXU 35087400
*                      FOR THIS TASK                           @G381PXU 35087500
TCBNDIOS EQU   X'20' - TASK HAS BEEN SET NONDISPATCHABLE VIA STATUSND   35087600
*                      WHILE SVC 16 (PURGE) SCANS THE RB CHAIN PURGING  35087700
*                      APPENDAGE-SCHEDULED ASYNCHRONOUS EXIT ROUTINES   35087800
*                      RUNNING UNDER AN IRB/RQE OR NON-RESIDENT ERP'S   35087900
*                      RUNNING UNDER THE SIRB.                          35088000
TCBPGNLY EQU   X'10' - SET BY RTM2 TO INDICATE ONLY PURGE PHASE TO BE   35088100
*                      PERFORMED                                        35088200
TCBRTM2  EQU   X'08' - SET BY RTM2 TO INDICATE RTM2 HAS BEEN ENTERED    35088300
*                      FOR THIS TASK                                    35088400
TCBEOT   EQU   X'04' - SET BY RTM2 TO INDICATE TO EXIT THAT END OF TASK 35088500
*                      PROCESSING IS COMPLETE                           35088600
TCBSATTN EQU   X'02' - SYNCHRONIZATION OF ATTENTION INTERRUPT REQUIRED  35088700
*                      BY EXIT PROLOG                          @ZM48358 35088800
TCBLLH   EQU   X'01' - Task was interrupted holding the local lock.     35088900
TCBFBYT2 DS    B -     FLAG BYTE.                              @G381P9A 35089000
*                      SERIALIZATION - TCBACTIV OR TASK        @G381P9A 35089100
*                      NONDISPATCHABLE AND LOCAL LOCK          @G381P9A 35089200
TCBCNCB  EQU   X'80' - SET BY RTM2 IN THE JOB STEP TCB WHEN IT HAS BEEN 35089300
*                      ENTERED ON THE TCB FOR AN X22 ABEND              35089400
TCBFMW   EQU   X'40' - MOTHER WAITING FLAG.  TURNED ON IN A SUBTASK IN  35089500
*                      RTM2 PROCESSING WHEN AN ANCESTOR TASK IS WAITING 35089600
*                      TO ABEND IT.                                     35089700
TCBFDW   EQU   X'20' - DAUGHTER WAITING FLAG.  TURNED ON IN A MOTHER    35089800
*                      TASK IN RTM2 PROCESSING WHEN A DAUGHTER IS       35089900
*                      WAITING TO ABEND IT.                             35090000
TCBFPRAP EQU   X'10' - SET BY RTM2 TO PREVENT PERCOLATION TO THE TASK   35090100
*                      OF AN ASYNCHRONOUS ABEND                         35090200
TCBRT1NR EQU   X'08' - IF 1, ERROR PROPAGATED FROM RTM1 IS         @D1A 35090300
*                      NON-RETRYABLE                               @D1A 35090400
TCBECBNV EQU   X'04' - IF 1, ECB POINTED TO BY TCBECB IS NOT TO BE      35090500
*                      VALIDITY CHECKED.  IF 0, ECB POINTED TO BY       35090600
*                      TCBECB IS TO BE VALIDITY CHECKED.                35090700
TCBSSPC  EQU   X'02' - STATUS STOP PENDING,TASK HOLDS A CML LOCK        35090800
*                      OR IS IN FUNCTION MUST COMPLETE MODE.       @L3C 35090900
TCBRTM1C EQU   X'01' - A TASK WITH EUT FRRS HAS BEEN CANCELLED. THIS    35091000
*                      FLAG PASSES THE CANCEL REQUEST FROM RTM1 TO      35091100
*                      RTM2.                                   @ZA56255 35091200
TCBFBYT3 DS    B -     FLAG BYTE                               @ZA72701 35091300
TCBEXP   EQU   X'80' - EXPANDED VERSION OF THE TCB             @ZA72701 35091400
TCBNCTL  EQU   X'40' - IF 1, INDICATES USER PROGRAM IS LOADED  @ZA84893 35091500
*                      UNDER THIS TASK OR A LOWER TASK.        @ZA84893 35091600
*                      OWNERSHIP: RACF                         @ZA84893 35091700
TCBRTMDE EQU   X'20' - DETACH HAS BEEN CALLED BY RTM           @ZA93650 35091800
TCBFBYT4 DS    B -     FLAG BYTE.                                  @L3A 35091900
*                      SERIALIZATION: TCBACTIV.                         35092000
TCBPMC   EQU   X'80' - IF 1, INDICATES TASK IS IN PROCESS MUST     @D2C 35092100
*                      COMPLETE MODE.                                   35092200
TCBNOJLB EQU   X'40' - If 1, indicates that TCBJLB is not to be used    35092300
*                                                                  @07A 35092400
TCBRPT   DS    A -     ADDRESS OF RADIX PARTITION TREE FOR LOCAL        35092500
*                      STORAGE MANAGEMENT                               35092700
TCBVAT   DS    A -     ADDRESS OF THE VAT (VSAM). THERE IS ONE @ZA63673 35093200
*                      VAT PER JOB STEP TCB.                   @ZA63673 35093700
TCBSWASA DS    A -     ADDRESS OF SAVE AREA USED BY SWA MANAGER         35094200
TCBSVCA2 DS    A -     ADDRESS OF SVC SCREENING TABLE          @G50EP9A 35094700
TCBERD   DS    A       EXTENDED REGION DESCRIPTOR.             @G860PXU 35095200
*                      SERIALIZATION - THE LOCAL LOCK.         @G860PXU 35095700
*                      OWNERSHIP - VSM.                        @G860PXU 35096200
TCBEAE   DS    A       EXTENDED ALLOCATED ELEMENT QUEUE        @G860PXU 35096700
*                      ANCHOR.                                 @G860PXU 35097200
*                      SERIALIZATION - THE LOCAL LOCK.         @G860PXU 35097700
*                      OWNERSHIP - VSM.                        @G860PXU 35098200
TCBARC   DS    A       REASON CODE FOR ABEND                   @G860PXB 35098700
*                      OWNERSHIP - RTM                         @G860PXB 35099200
TCBGRES  DS    F -     TASK GLOBAL RESOURCE COUNT - NUMBER OF GLOBAL   *35099700
                       RESOURCES OWNED BY THIS TASK                @L1A 35100200
TCBSTCB  DS    A       ADDRESS OF STCB                             @H2C 35100700
TCBTTIME DS    CL8  -  TCB'S ACCUMULATED CPU TIME                  @01A 35101200
TCBCELAP DS    AL4  -  COMMON EXECUTION LIBRARY ANCHOR POINTER     @02A 35101700
TCBR148  DS    XL2  -  RESERVED                                    @05C 35101800
TCBRBYT1 DS    B -     RTM Flag byte                               @05A 35101900
*                      Ownership: RTM                                   35102000
*                      Serialization: Local lock.                       35102100
TCBPVICT EQU   X'80' - If 1, indicates that the associated task    @05M 35102200
*                      has received an ABEND13E as a result of Parallel 35102300
*                      Detach processing.  Used by both RTM1 and RTM2.  35102400
TCBPKING EQU   X'40' - If 1, indicates that the associated Task has     35102500
*                      been marked as responsible for the removal of    35102600
*                      its subtasks (in RTM processing)            @05A 35102700
TCBPCAND EQU   X'20' - If 1, indicates that this Task has requested     35102800
*                      Parallel Detach protection and should be on      35102900
*                      the queue pointed to by ASSBPTAR            @06A 35103000
TCBPTOP  EQU   X'10' - If 1, indicates that this Task is at the top     35103100
*                      of a Task structure that was Parallel            35103200
*                      Detached                                    @06A 35103300
TCBLEVEL DS    B -     LEVEL NUMBER OF TCB                     @ZA72701 35103400
TCBVS02A EQU   X'02' - JBB2110 (NOT IN BASE)                   @ZA72701 35103500
TCBVS02B EQU   X'02' - JBB2125                                 @ZA72701 35103700
TCBVS03  EQU   X'03' - JBB2133                                     @H1A 35104200
TCBVERS  EQU   X'03' - LEVEL OF THIS MAPPING                       @H1C 35104700
TCBBDT   DS    A -     ADDRESS OF BDT'S GSD LINKAGE            @ZA72701 35105200
*                      CONTROL BLOCK                           @ZA72701 35105700
TCBNDAXP DS    F -     COUNT OF NUMBER OF CONSECUTIVE DISPATCHES   @H1A 35106200
*                      REQUIRED ON A CP BEFORE THE TASK SHOULD BE       35106700
*                      REDISPATCHED ON AN AXP.                          35107200
*                      OWNER:  SUPERVISOR CONTROL                       35107700
*                      SERIALIZATION:  TCBACTIV BIT OF FIELD TCBXSCT1   35108200
TCBSENV  DS    A -     ADDRESS OF ACEE FOR THE TASK.               @H1A 35108700
*                      THE ACEE DESCRIBES THE RACF                      35109200
*                      AUTHORIZATION FOR THE TASK.                      35109700
*                      OWNER:  RACF                                     35110200
*                      SERIALIZATION: NONE,                             35110700
*                      ONLY UPDATED BY TASK ITSELF                      35111200
         DS    0D                                                       35112200
TCBMNLEN EQU   *-TCB - LENGTH OF MAIN SECTION OF TCB                    35112700
*                                                                       35113200
*              OS/VS1 - OS/VS2 COMMON EXTENSION                         35113700
*              ADDRESS OF EXTENSION IS IN TCBEXT2                       35114200
*                                                                       35114700
         AIF   ('&DSECT' EQ 'NO').D3                                    35115200
TCBXTNT2 DSECT , -     START OF EXTENSION                               35115700
         AGO   .D4                                                      35116200
.D3      ANOP                                                           35116700
TCBXTNT2 EQU   * -     START OF EXTENSION                        ICB311 35117200
.D4      ANOP                                                           35117700
TCBGTF   DS    0A -    ADDRESS OF GENERALIZED TRACE FACILITY (GTF)      35118200
*                      TEMPORARY TRACE BUFFER                    ICB312 35118700
TCBTFLG  DS    B -     GTF FLAG BYTE                             ICB312 35119200
TCBASYNC EQU   X'80' - GTF ASYNCHRONOUS GATHER ROUTINE IS IN CONTROL    35119700
*                                                                ICB312 35120200
TCBERRTN EQU   X'40' - GTF ASYNCHRONOUS GATHER ERROR ROUTINE IS IN      35120700
*                      CONTROL                                   ICB312 35121200
TCBDSPIT EQU   X'20' - MACHINE CHECK INTERRUPTION HANDLER SHOULD        35121700
*                      UNCONDITIONALLY BRANCH TO THE DISPATCHER  ICB312 35122200
TCBGTFA  DS    AL3 -   ADDRESS OF GTF TEMPORARY TRACE BUFFER     ICB312 35122700
         DS    X -     RESERVED.                                   @H2C 35123200
TCBRCMP  DS    BL3 -   MOST RECENT ABEND COMPLETION CODE (INCLUDING     35123700
*                      VALID RECURSIONS IN STAE)                 ICB411 35124200
TCBEVENT DS    A -     ADDRESS OF EVENT TABLES QUEUE           @X31ED9A 35124700
TCBRTMCT DS    F -     COUNT OF TOKENS USED FOR ESTAE.         @G381PXU 35125200
*                      SERIALIZATION - CS.                     @G381PXU 35125700
*                      OWNERSHIP - RTM.                        @G381PXU 35126200
TCBTQE   DS    A -     ADDRESS OF A REUSABLE TASK-RELATED TQE  @G50EP9A 35127200
TCBCAUF  DS    A -     ADDRESS OF SUBSYSTEM FACILITY CONTROL BLOCK      35128200
*                                                              @ZA27912 35128700
TCBPERCP DS    A -     POINTER TO A QUEUE OF SPIS. AN SPI      @G381P9A 35129200
*                      REPRESENTS THE PERCOLATION OF AN SRB'S  @G381P9A 35129700
*                      FRR TO THE RELATED TASK.                @G381P9A 35130200
*                      SERIALIZATION - TCBACTIV OR TASK        @G381P9A 35130700
*                      NONDISPATCHABLE AND LOCAL LOCK.         @G381P9A 35131200
*                      OWNERSHIP - RTM.                        @G381P9A 35131700
TCBRCVRY EQU   X'80' - TASK IS IN RECOVERY.                    @G381P9A 35132200
*                      SERIALIZATION - TCBACTIV.               @G381P9A 35132700
*                      OWNERSHIP - RTM.                        @G381P9A 35133200
TCBPERCT DS    F -     COUNT OF SRB MODE FRRS WAITING TO       @G381P9A 35133700
*                      PERCOLATE TO THIS TASK, BUT NOT         @G381P9A 35134200
*                      REPRESENTED IN SPI QUEUE (TCBPERCP).    @G381P9A 35134700
*                      SERIALIZATION - TCBACTIV OR TASK        @G381P9A 35135200
*                      NONDISPATCHABLE AND LOCAL LOCK.         @G381P9A 35135700
*                      OWNERSHIP - RTM.                        @G381P9A 35136200
         SPACE 1                                                        35137200
         DS    0D -    FORCE LENGTH EQUATE TO DOUBLE WORD        ICB362 35137700
TCBX2LEN EQU   *-TCBXTNT2 LENGTH OF COMMON EXTENSION                    35138200
         SPACE 2                                                        35138700
TCBLEN   EQU   TCBPXLEN+TCBMNLEN+TCBX2LEN - TCB LENGTH INCLUDING        35139200
*                      PREFIX                                           35139900
*                                                                       35140700
*                      END OF TCB                                       35141200
         POP   PRINT                                                    35141700
         MEND  , */                                                     35142200
* %TCBL2  :  ;                                                          35150000
*%IF IKEPLS=''  %THEN                                                   35200000
*    %GOTO TCBL3;                                                       35250000
*%IHALPUSH='@LISTPUSH';                                                 35300000
*%IHALPOP='@LISTPOP';                                                   35350000
*%IHALOFF='@LISTOFF';                                                   35400000
*IHALPUSH;                                                              35450000
*                                                                       35457100
*%IF IHAVIA='YES'  %THEN                                                35464200
*   %IHAALET='VIA(TCBALET)' ;          /*                        @L2A*/ 35471300
* %ELSE                                                                 35478400
*     %IHAALET=' ';                    /*                        @L2A*/ 35485500
*                                                                       35492600
*%IF IHALIST='YES'  %THEN                                               35500000
*    %GOTO TCBL3;                                                       35550000
*IHALOFF;                                                               35600000
*%TCBL3 : ;                                                             35650000
* /*           TCB PREFIX                                            */ 35900001
*                                                                       36000001
* DECLARE                                                               36100001
*   1 TCBFIX   BASED(TCBPTR-32)  BDY(DWORD) IHAALET,   /*        @L2C*/ 36200000
*                                                                       36300001
*    2 TCBFRS   CHAR(32) BDY(DWORD), /* FLOATING POINT REGISTER SAVE    36400001
*                                       AREA                         */ 36500001
*     3 TCBFRS0 CHAR(8)  BDY(DWORD), /* SAVE AREA FOR FLOATING          36600001
*                                       POINT REGISTER 0             */ 36700001
*     3 TCBFRS2 CHAR(8)  BDY(DWORD), /* SAVE AREA FOR FLOATING          36800001
*                                       POINT REGISTER 2             */ 36900001
*     3 TCBFRS4 CHAR(8)  BDY(DWORD), /* SAVE AREA FOR FLOATING          37000001
*                                       POINT REGISTER 4             */ 37100001
*     3 TCBFRS6 CHAR(8)  BDY(DWORD); /* SAVE AREA FOR FLOATING          37200001
*                                       POINT REGISTER 6             */ 37300001
*                                                                       37400001
* /*           TCB PROPER                                            */ 37500001
*                                                                       37600001
* DECLARE                                                               37700001
*   1 TCB      BASED(TCBPTR)  BDY(DWORD)  IHAALET,     /*        @L2C*/ 37750000
*    2 TCBRBP   PTR(31),             /* ADDRESS OF THE RB FOR           37800000
*                                       EXECUTING PROGRAM.  THIS        37850000
*                                       OFFSET FIXED BY ARCHITECTURE.   37900000
*                                                            @G50EP9A*/ 37950000
*    2 TCBPIE   PTR(31),             /* Address of SPIE/ESPIE Control   38000000
*                                       Area                            38050000
*                                       Ownership: RTM                  38100000
*                                       Serialization: Local Lock       38150000
*                                                                @P6C*/ 38200000
*    2 TCBDEB   PTR(31),             /* ADDRESS OF THE DEB QUEUE     */ 38300000
*    2 TCBTIO   PTR(31),             /* ADDRESS OF THE TASK I/O TABLE   38400000
*                                       (TIOT)                       */ 38500001
*    2 TCBCMP   CHAR(4) BDY(WORD),   /* TASK COMPLETION CODE AND        38547900
*                                       INDICATORS                   */ 38595800
*     3 TCBCMPF  CHAR(1),            /* INDICATOR FLAGS              */ 38643700
*      4 TCBCREQ  BIT(1),            /* A DUMP HAS BEEN REQUESTED    */ 38691600
*      4 TCBCSTEP BIT(1),            /* A STEP ABEND HAS BEEN           38739500
*                                       REQUESTED                    */ 38787400
*      4 TCBCPP   BIT(1),            /* SOME PROBLEM PROGRAM STORAGE    38835300
*                                       WAS OVERLAID BY THE SECOND      38883200
*                                       LOAD OF ABEND.  A FIRST LOAD    38931100
*                                       OVERLAY IS INDICATED IN         38979000
*                                       TCBFLGS FIELD (OFFSET 29        39026900
*                                       DECIMAL)  (OS/VS1)           */ 39074800
*       5 TCBDMPO  BIT(1),           /* DUMP OPTIONS WERE PROVIDED ON   39122700
*                                       CALLRTM OR SETRP MACRO       */ 39172700
*      4 TCBSTCC  BIT(1),            /* COMPLETION CODE IS NOT TO       39266400
*                                       BE STORED IN TCBCMPC (OFFSET    39314300
*                                       17 DECIMAL) IF AN ABEND IS      39362200
*                                       ENCOUNTERED.  THIS IS TO        39410100
*                                       PREVENT AN OVERLAY OF THE       39458000
*                                       ORIGINAL COMPLETION CODE.       39505900
*                                       (OS/VS1)                     */ 39553800
*       5 TCBNOCC  BIT(1),           /* A COMPLETION CODE WAS NOT       39601700
*                                       PROVIDED ON CALLRTM MACRO.      39649600
*                                       A DEFAULT CODE IS BEING USED */ 39699600
*      4 TCBCDBL  BIT(1),            /* A DOUBLE ABEND HAS OCCURRED     39793300
*                                       (OS/VS1)                     */ 39841200
*       5 TCBCASID BIT(1),           /* ABEND WAS SCHEDULED VIA CROSS   39889100
*                                       MEMORY ABTERM                */ 39937000
*      4 TCBCWTO  BIT(1),            /* A DUMP MESSAGE (WTO) IS TO BE   39984900
*                                       ISSUED TO THE OPERATOR          40032800
*                                       (OS/VS1)                     */ 40080700
*       5 TCBRV316 BIT(1),           /* INDICATES REASON CODE (TCBARC)  40128600
*                                       IS VALID                     */ 40176500
*      4 TCBCIND  BIT(1),            /* ABEND TO OUTPUT AN INDICATIVE   40224400
*                                       DUMP  (OS/VS1)                  40272300
*                                                            @X04DA9A*/ 40320200
*      4 TCBCMSG  BIT(1),            /* AN ABEND MESSAGE IS PROVIDED    40368100
*                                       TO BE PRINTED BY ABDUMP         40416000
*                                       (OS/VS1)                     */ 40463900
*     3 TCBCMPC  CHAR(3),            /* SYSTEM COMPLETION CODE IN       40511800
*                                       FIRST 12 BITS, USER             40559700
*                                       COMPLETION CODE IN LAST 12      40607600
*                                       BITS                         */ 40655500
*    2 TCBTRN   PTR(31),             /* ADDRESS OF TESTRAN CONTROL      40703400
*                                       CORE TABLE                   */ 40751300
*     3 TCBABF   CHAR(1),            /* FLAG BYTE                    */ 40800001
*      4 TCBMOD91 BIT(1),            /* BOTH TESTRAN AND DECIMAL        40900000
*                                       SIMULATOR ON A MOD 91        */ 41000001
*      4 TCBNOCHK BIT(1),            /* SUPPRESS TAKING CHECKPOINTS     41050000
*                                       FOR THIS STEP (JOB STEP TCB) */ 41100000
*      4 TCBGRPH  BIT(1),            /* GAM/SP ACTIVE FOR THIS TASK  */ 41150000
*      4 *        BIT(1),            /* RESERVED.                    */ 41200000
*      4 TCBTCPP  BIT(1),            /* TCAM POST-PENDING  (RORI)    */ 41250000
*      4 TCBTCP   BIT(1),            /* TEST TASK - USED BY TEST SVC */ 41300000
*      4 TCBOLTEP BIT(1),            /* OLTEP FUNCTIONS REQUIRE         42000001
*                                       CLEANUP BEFORE ABNORMAL         42100000
*                                       TERMINATION CAN BE INVOKED   */ 42200001
*      4 *        BIT(1),            /* RESERVED.                    */ 42250000
*     3 TCBTRNB  PTR(24),            /* ADDRESS OF TESTRAN CONTROL      42300000
*                                       CORE TABLE                   */ 42350000
*    2 TCBMSS   PTR(31),             /* ADDRESS OF LAST SPQE ON MSS     42400000
*                                       QUEUE                        */ 42450000
*     3 *        CHAR(1),            /* HIGH ORDER BYTE OF TCBMSS       42950000
*                                                                @H2C*/ 43000000
*     3 TCBMSSB  PTR(24),            /* SAME AS TCBMSS ABOVE         */ 43050000
*    2 TCBPKF   CHAR(1),             /* STORAGE PROTECTION KEY FOR      43100000
*                                       THIS TASK.  IF THERE IS NO      43150000
*                                       STORAGE PROTECTION, ALL BITS    43200000
*                                       ARE ZERO.                    */ 43250000
*     3 TCBFLAG  BIT(4),             /* STORAGE PROTECTION KEY       */ 43300000
*     3 TCBZERO  BIT(4),             /* MUST BE ZERO                 */ 43350000
*    2 TCBFLGS  CHAR(5),             /* FLAG BYTE FIELDS             */ 43400000
*     3 TCBFLGS1 CHAR(1),            /* FIRST TCB FLAG BYTE          */ 44000001
*      4 TCBFA    BIT(1),            /* ABNORMAL TERMINATION IN         44100000
*                                       PROGRESS                     */ 44200001
*      4 TCBFE    BIT(1),            /* NORMAL TERMINATION IN           44300000
*                                       PROGRESS                     */ 44400001
*      4 TCBFERA  BIT(1),            /* ENTER ABEND ERASE ROUTINE       45500001
*                                       WHEN IN CONTROL AGAIN        */ 45550000
*      4 TCBNONPR BIT(1),            /* TASK IS NON-PREEMPTABLE         45650000
*                                                            @Z40FP9A*/ 45700000
*      4 TCBPDUMP BIT(1),            /* PREVENT DUMP INDICATOR       */ 45750000
*      4 TCBFT    BIT(1),            /* TOP TASK IN TREE BEING          46000001
*                                       ABTERMED                     */ 46050000
*      4 TCBFS    BIT(1),            /* ABTERM DUMP COMPLETED        */ 46100000
*      4 TCBFX    BIT(1),            /* PROHIBIT QUEUEING OF            46450000
*                                       ASYNCHRONOUS EXITS FOR THIS     46500000
*                                       TASK                         */ 46550000
*     3 TCBFLGS2 CHAR(1),            /* SECOND FLAG BYTE             */ 46900001
*      4 TCBFOINP BIT(1),            /* THE TASK IS ABENDING AND IS     47533300
*                                       IN THE PROCESS OF (1) OPEN      47566600
*                                       FOR DUMP DATA SET PROCESSING,   47599900
*                                       (2) CLOSE FOR USER DATA SET     47633200
*                                       OR (3) PURGE FOR ENQ'ED         47666500
*                                       RESOURCES.  THIS BIT IS USED    47699800
*                                       IN CONJUNCTION WITH TCBSTACK.   47733100
*                                                              ICB374*/ 47766400
*      4 TCBFSTI  BIT(1),            /* SECOND JOB STEP INTERVAL HAS    47900000
*                                       EXPIRED (INITIATOR              48000000
*                                       TCB)                         */ 48100001
*      4 TCBFABOP BIT(1),            /* IF 1, THE SYSABEND DUMP DATA    48145400
*                                       SET HAS BEEN OPENED FOR         48190800
*                                       ABEND.  IF 0, THE SYSUDUMP      48236200
*                                       DUMP DATA SET WAS OPENED.       48281600
*                                       THIS BIT IS ONLY USED FOR THE   48327000
*                                       JOB STEP TCB AND IS USED IN     48372400
*                                       CONJUNCTION WITH TCBFDSOP       48417800
*                                       BIT.                   YM0651*/ 48463200
*      4 TCBFSMC  BIT(1),            /* TASK HAS ISSUED A SYSTEM-       48508600
*                                       MUST-COMPLETE AND SET ALL       48554000
*                                       OTHER TASKS IN THE SYSTEM       48600001
*                                       NONDISPATCHABLE              */ 48700001
*      4 TCBFJMC  BIT(1),            /* TASK HAS ISSUED A STEP-MUST-    48800000
*                                       COMPLETE AND TURNED OFF ALL     48900001
*                                       OTHER TASKS IN THE STEP      */ 49000001
*      4 TCBFDSOP BIT(1),            /* SYSABEND OPEN FOR JOB STEP   */ 49050000
*      4 TCBFETXR BIT(1),            /* ETXR TO BE SCHEDULED         */ 49900000
*      4 TCBFTS   BIT(1),            /* THIS TASK IS A MEMBER OF A      50000000
*                                       TIME-SLICED GROUP            */ 50100000
*     3 TCBFLGS3 CHAR(1),            /* THIRD FLAG BYTE.                50200000
*                                       SERIALIZATION- TCBACTIV OR      50300000
*                                       TASK NONDISPATCHABLE AND        50400000
*                                       LOCAL LOCK.          @G381P9A*/ 50500000
*      4 TCBFSM   BIT(1),            /* ALL PSW'S IN SUPERVISOR STATE*/ 50550000
*      4 TCBRT1S  BIT(1),            /* RTM1 HAS INVOKED SLIP FOR A     52400000
*                                       TASK IN EUT MODE. RTM2 MAY      52500000
*                                       BYPASS SLIP PROCESSING.         52600000
*                                       OWNERSHIP - RTM.                52700000
*                                                            @G381P9A*/ 52800000
*      4 TCBABTRM BIT(1),            /* ABTERM BIT TO PREVENT           52850000
*                                       MULTIPLE ABENDS              */ 52900000
*      4 TCBFXSET BIT(1),            /* TCBFX SET BY STATUS MCSTEP      52950000
*                                                                @04A*/ 53000000
*      4 *        BIT(1),            /* RESERVED.                @L8C*/ 53016600
*      4 TCBKEY9 BIT(1),             /* TCB was attached using KEY=NINE 53033200
*                                       and so is to be treated as      53049800
*                                       having a different key than the 53066400
*                                       attacher.                @L8A*/ 53083200
*      4 TCBENQRM BIT(1),            /* ENQ/DEQ RESOURCE MANAGER HAS    53100000
*                                       RECEIVED CONTROL. NO FURTHER    53200000
*                                       DIRECTED ENQS ALLOWED.          53300000
*                                       SERIALIZATION - TCBACTIV AND    53400000
*                                       CMSEQDQ CLASS LOCK.             53500000
*                                       OWNERSHIP - GRS.                53600000
*                                                            @G381P9A*/ 53700000
*      4 TCBDWSTA BIT(1),            /* TASK WAS DETATCHED WITH         53800000
*                                       STAE=YES OPTION        ICB315*/ 53850000
*     3 TCBFLGS4 CHAR(1),            /* NONDISPATCHABILITY FLAGS     */ 53900000
*      4 TCBNDUMP BIT(1),            /* ABDUMP NONDISPATCHABILITY       54350000
*                                       INDICATOR                    */ 54400000
*      4 TCBSER   BIT(1),            /* SER1 NONDISPATCHABILITY         54450000
*                                       INDICATOR                    */ 54500000
*      4 TCBRQENA BIT(1),            /* I/O RQE'S EXHAUSTED          */ 54550000
*      4 TCBHNDSP BIT(1),            /* TASK OR JOB STEP IS             54600000
*                                       MOMENTARILY 'FROZEN' UNTIL      54650000
*                                       THE REQUIRED RESOURCES ARE      54700000
*                                       AVAILABLE.  THE BIT IS SET      54750000
*                                       THROUGH THE USE OF THE          54800000
*                                       'STATUS' SVC.          ICB453*/ 54850000
*      4 TCBUXNDV BIT(1),            /* TASK IS TEMPORARILY             54900000
*                                       NONDISPATCHABLE BECAUSE SMF     54950000
*                                       TIME LIMIT OR SYSOUT LIMIT      55000000
*                                       USER EXIT ROUTINE IS BEING      55050000
*                                       EXECUTED FOR THIS STEP       */ 55100000
*      4 TCBRBWF  BIT(1),            /* TOP RB IS IN WAIT    @G50DP9A*/ 55150000
*      4 *        BIT(1),            /* RESERVED.            @G50DP9A*/ 55250000
*      4 TCBONDSP BIT(1),            /* TASK TERMINATING AND            55300000
*                                       NONDISPATCHABLE BECAUSE         55350000
*                                       EITHER OPEN FOR DUMP DATA       55400000
*                                       SET IS IN PROCESS OR CLOSE      55450000
*                                       BY ABEND IS IN PROCESS       */ 55500000
*     3 TCBFLGS5 CHAR(1),            /* MORE NONDISPATCHABILITY         55800001
*                                       FLAGS.  IF ANY BIT IN THIS      55842800
*                                       BYTE IS 1, THE TASK IS          55885600
*                                       NONDISPATCHABLE.             */ 55928400
*      4 TCBFC    BIT(1),            /* TASK TERMINATED              */ 55971200
*      4 TCBABWF  BIT(1),            /* ABNORMAL WAIT                */ 56014000
*       5 TCBUXNDF BIT(1),           /* TASK IS TEMPORARILY             56056800
*                                       NONDISPATCHABLE BECAUSE SMF     56099600
*                                       TIME LIMIT OR SYSOUT LIMIT      56142400
*                                       USER EXIT ROUTINE IS BEING      56185200
*                                       EXECUTED FOR THIS STEP.  THIS   56228000
*                                       BIT IS SET TO 1 IN ALL TCB'S    56270800
*                                       EXCEPT JOB STEP TCB.            56313600
*                                       (OS/VS1)               ICB263*/ 56356400
*      4 TCBPAGE  BIT(1),            /* TASK IS NONDISPATCHABLE DUE     56399200
*                                       TO EXCESSIVE PAGING RATE     */ 56442000
*      4 TCBANDSP BIT(1),            /* TASK IS TEMPORARILY             56484800
*                                       NONDISPATCHABLE BECAUSE IT      56527600
*                                       WAS ATTACHED UNDER THE          56570400
*                                       DISP=NO OPERAND              */ 56613200
*      4 TCBSYS   BIT(1),            /* ANOTHER TASK IS IN SYSTEM-      56656000
*                                       MUST-COMPLETE STATUS OR A       56698800
*                                       SUMMARY BIT FOR FIELD           56741600
*                                       TCBSYSCT                     */ 56784400
*      4 TCBSTP   BIT(1),            /* ANOTHER TASK IN THIS JOB STEP   56827200
*                                       IS IN STEP-MUST-COMPLETE        56870000
*                                       STATUS                       */ 56912800
*      4 TCBFCD1  BIT(1),            /* INITIATOR WAITING FOR REGION */ 56962800
*      4 TCBPNDSP BIT(1),            /* PRIMARY NONDISPATCHABILITY      57041200
*                                       BIT.  THIS BIT IS SET TO 1      57084000
*                                       IF ANY OF THE SECONDARY         57126800
*                                       NONDISPATCHABILITY BITS         57169600
*                                       (OFFSETS 173, 174, 175, 200     57212400
*                                       OR 201 DECIMAL) IS SET TO 1.    57255200
*                                       THIS BIT IS SET TO 0 IF A       57298000
*                                       SECONDARY NONDISPATCHABILITY    57340800
*                                       BIT IS SET TO 0 AND ALL OTHER   57383600
*                                       SECONDARY NONDISPATCHABILITY    57426400
*                                       BITS ARE 0.                  */ 57469200
*    2 TCBLMP   PTR(8),              /* TASK LIMIT PRIORITY          */ 57519200
*    2 TCBDSP   PTR(8),              /* DISPATCHING PRIORITY FOR THIS   57683200
*                                       TASK                         */ 57726000
*    2 TCBLLS   PTR(31),             /* ADDRESS OF LAST LOAD LIST       57768800
*                                       ELEMENT (LLE) IN LOAD LIST   */ 57818800
*    2 TCBJLB   PTR(31),             /* ADDRESS OF A JOBLIB DCB      */ 58154000
*    2 TCBJPQ   PTR(31),             /* ADDRESS OF LAST CDE FOR JOB     58750000
*                                       PACK AREA (JPA) CONTROL QUEUE*/ 58800000
*      4 TCBPURGE CHAR(1),           /* HIGH ORDER BYTE      @G860PXB*/ 59100000
*       5 TCBJPQF  BIT(1),           /* JPQ PURGE FLAG               */ 59200000
*       5 *        BIT(7),           /* RESERVED.            @G860PXB*/ 59300000
*      4 TCBJPQB  PTR(24),           /* SAME AS TCBJPQ ABOVE         */ 59950000
*    2 TCBGRS   CHAR(64)  BDY(WORD), /* GENERAL REGISTER SAVE AREA.     60221000
*                                       THIS OFFSET FIXED BY            60242000
*                                       ARCHITECTURE.        @G50EP9A*/ 60292000
*     3 TCBGRS0  PTR(31),            /* SAVE AREA FOR REGISTER 0     */ 60400001
*     3 TCBGRS1  PTR(31),            /* SAVE AREA FOR REGISTER 1     */ 60500001
*     3 TCBGRS2  PTR(31),            /* SAVE AREA FOR REGISTER 2     */ 60600001
*     3 TCBGRS3  PTR(31),            /* SAVE AREA FOR REGISTER 3     */ 60700001
*     3 TCBGRS4  PTR(31),            /* SAVE AREA FOR REGISTER 4     */ 60800001
*     3 TCBGRS5  PTR(31),            /* SAVE AREA FOR REGISTER 5     */ 60900001
*     3 TCBGRS6  PTR(31),            /* SAVE AREA FOR REGISTER 6     */ 61000001
*     3 TCBGRS7  PTR(31),            /* SAVE AREA FOR REGISTER 7     */ 61100001
*     3 TCBGRS8  PTR(31),            /* SAVE AREA FOR REGISTER 8     */ 61200001
*     3 TCBGRS9  PTR(31),            /* SAVE AREA FOR REGISTER 9     */ 61300001
*     3 TCBGRS10 PTR(31),            /* SAVE AREA FOR REGISTER 10    */ 61400001
*     3 TCBGRS11 PTR(31),            /* SAVE AREA FOR REGISTER 11    */ 61500001
*     3 TCBGRS12 PTR(31),            /* SAVE AREA FOR REGISTER 12    */ 61600001
*     3 TCBGRS13 PTR(31),            /* SAVE AREA FOR REGISTER 13    */ 61700001
*     3 TCBGRS14 PTR(31),            /* SAVE AREA FOR REGISTER 14    */ 61800001
*     3 TCBGRS15 PTR(31),            /* SAVE AREA FOR REGISTER 15    */ 61900001
*    2 TCBFSA   PTR(31),             /* ADDRESS OF THE FIRST PROBLEM    62000000
*                                       PROGRAM SAVE AREA            */ 62100001
*     3 *        BIT(8),             /* FIRST BYTE OF TCBFSA @G381P9A*/ 62150000
*     3 TCBFSAB  PTR(24),            /* ADDRESS OF THE FIRST PROBLEM    62850000
*                                       PROGRAM SAVE AREA            */ 63100001
*    2 TCBTCB   PTR(31),             /* Queue of TCBs in an address     63125000
*                                       space.                          63150000
*                                       Note:  This queue is not        63175000
*                                              maintained in priority   63200000
*                                              order.            @L5C*/ 63225000
*    2 TCBTME   PTR(31),             /* ADDRESS OF THE TIMER QUEUE      63250000
*                                       ELEMENT (TQE)                */ 63300000
*     3 TCBTQET  BIT(1),             /* IF ZERO, TASK TYPE TQE.         63350000
*                                       IF ONE, REAL/WAIT TYPE TQE.  */ 63400000
*    2 TCBJSTCB PTR(31),             /* ADDRESS OF FIRST JOB STEP TCB   66700000
*                                       OR OF THIS TCB IF KEY ZERO   */ 66750000
*     3 *        PTR(8),             /* HIGH ORDER BYTE OF              66900000
*                                       TCBJSTCB             @G860PXB*/ 67000000
*     3 TCBJSTCA PTR(24),            /* LOW ORDER 24 BITS OF            67100000
*                                       TCBJSTCB             @G860PXB*/ 67150000
*    2 TCBNTC   PTR(31),             /* ADDRESS OF THE TCB FOR THE      67250000
*                                       TASK PREVIOUSLY ATTACHED BY     67300000
*                                       THE TASK THAT ATTACHED THIS     67350000
*                                       TASK                         */ 67400000
*    2 TCBOTC   PTR(31),             /* ADDRESS OF THE TCB FOR THE      67450000
*                                       TASK (THE ORIGINATING TASK)     67500000
*                                       THAT ATTACHED THIS TASK.        67550000
*                                       THIS FIELD IS ZERO IN THE TCB   67600000
*                                       FOR A SYSTEM TASK.           */ 67650000
*    2 TCBLTC   PTR(31),             /* ADDRESS OF THE TCB FOR THE      67700000
*                                       TASK LAST ATTACHED BY THIS      67750000
*                                       TASK                         */ 67800000
*    2 TCBIQE   PTR(31),             /* ADDRESS OF AN INTERRUPTION      67850000
*                                       QUEUE ELEMENT (IQE) FOR         67900000
*                                       SCHEDULING THE ETXR ROUTINE     67950000
*                                       OF THE TASK THAT ATTACHED       68000000
*                                       THIS TASK                    */ 68050000
*    2 TCBECB   PTR(31),             /* ADDRESS OF THE ECB THAT WILL    68100000
*                                       BE POSTED BY THE SUPERVISOR'S   68150000
*                                       TASK TERMINATION ROUTINES       68200000
*                                       WHEN NORMAL OR ABNORMAL         68250000
*                                       TERMINATION OCCURS.          */ 68300000
*    2 TCBTSFLG BIT(8),              /* TIME SHARING FLAGS           */ 68350000
*     3 TCBTSTSK BIT(1),             /* SWAPPED TIME SHARING TASK       68400000
*                                       (OS/VS1)                     */ 68450000
*     3 TCBSTPPR BIT(1),             /* TASK SHOULD BE MADE             68500000
*                                       NONDISPATCHABLE VIA TCBSTPP     68550000
*                                       WHEN IT IS NO LONGER RUNNING    68600000
*                                       A PRIVILEGED PROGRAM         */ 68650000
*     3 TCBATT   BIT(1),             /* TASK SHOULD NOT HAVE            68700000
*                                       ATTENTION EXITS SCHEDULED ON    68750000
*                                       IT BY EXIT EFFECTOR.  THIS      68800000
*                                       OFFSET FIXED BY ARCHITECTURE.   68850000
*                                                            @G50EP9A*/ 68900000
*     3 TCBTIOTG BIT(1),             /* PURGE TGET/TPUT AFTER           68950000
*                                       ATTENTION                    */ 69000000
*     3 TCBSMCP  BIT(1),             /* STATUS MCSTEP PENDING,          69025000
*                                       TASK IS SUSPENDED        @L4A*/ 69050000
*     3 *        BIT(1),             /* RESERVED.                @L4C*/ 69075000
*     3 TCBDYDSP BIT(1),             /* M195 TASK IS MEMBER OF          69100000
*                                       DYNAMIC DISPATCHING             69150000
*                                       GROUP                  ICB262*/ 69200000
*     3 TCBCPUBN BIT(1),             /* FOR M195, ZERO MEANS I/O        69250000
*                                       BOUND AND ONE MEANS CPU         69300000
*                                       BOUND                  ICB262*/ 69350000
*    2 TCBSTPCT PTR(8),              /* NUMBER OF SETTASK STARTS        70000001
*                                       WHICH MUST BE ISSUED BEFORE     70100001
*                                       TASK IS MADE DISPATCHABLE -     70200001
*                                       FIELD NOT RESTRICTED TO TSO  */ 70300001
*    2 TCBTSLP  PTR(8),              /* LIMIT PRIORITY OF TIME          70350000
*                                       SHARING TASK                 */ 70400000
*    2 TCBTSDP  CHAR(1),             /* DISPATCHING PRIORITY OF TIME    70450000
*                                       SHARING TASK                 */ 70500000
*    2 TCBRD    PTR(31),             /* POINTER TO DPQE MINUS 8 FOR     70806200
*                                       THE JOB STEP                    70812400
*                                       SERIALIZATION - THE LOCAL LOCK. 70818600
*                                       OWNERSHIP - VSM.     @G860PXU*/ 70824800
*     3 TCBPQE   PTR(31),            /* SAME AS TCBRD        @G860PVB*/ 70834100
*                                                                       70843400
*    2 TCBAE    PTR(31),             /* LIST ORIGIN OF AQE(S) FOR       74388800
*                                       THIS TASK                       74418400
*                                       SERIALIZATION - THE LOCAL LOCK. 74448000
*                                       OWNERSHIP - VSM.     @G860PXU*/ 74477600
*     3 TCBAQE   PTR(31),            /* SAME AS TCBAE        @G860PVB*/ 74527600
*    2 TCBSTAB  PTR(31),             /* ADDRESS OF THE CURRENT STAE     74892000
*                                       CONTROL BLOCK                */ 74921600
*     3 TCBNSTAE CHAR(1),            /* FLAGS INTERNAL TO STAE          74951200
*                                       ROUTINE                      */ 74980800
*      4 TCBSTABE BIT(1),            /* ABEND ENTERED BECAUSE OF        75010400
*                                       ERROR IN STAE PROCESSING     */ 75040000
*      4 TCBQUIES BIT(1),            /* STAE INVOKED PURGE I/O          75069600
*                                       ROUTINE WITH QUIESCE I/O        75100001
*                                       OPTION                       */ 75200001
*      4 TCB33E   BIT(1),            /* A 33E ABEND HAS OCCURRED FOR    75376000
*                                       TASK                         */ 75411200
*      4 TCBPPSUP BIT(1),            /* 1=SUPERVISOR MODE,0=PROBLEM     75446400
*                                       PROGRAM MODE. INDICATOR TO      75481600
*                                       SYNCH OF THE MODE OF THE USER   75516800
*                                       EXIT                 @ZM49655*/ 75552000
*      4 TCBHALT  BIT(1),            /* PURGE I/O ROUTINE DID NOT       75587200
*                                       SUCCESSFULLY QUIESCE I/O, BUT   75622400
*                                       I/O WAS HALTED               */ 75657600
*      4 TCBSYNCH BIT(1),            /* SYNCH ISSUED BY ASIR TO         75692800
*                                       SCHEDULE EXIT ROUTINE           75728000
*                                                            @ZM49655*/ 75763200
*      4 *        BIT(1),            /* RESERVED.                @H2C*/ 75798400
*      4 TCBSTCUR BIT(1),            /* STAE RECURSION VALID   ICB443*/ 75848400
*     3 TCBSTABB PTR(24),            /* ADDRESS OF THE CURRENT STAE     78350000
*                                       CONTROL BLOCK                */ 78400000
*    2 TCBTCT   PTR(31),             /* ADDRESS OF THE TIMING CONTROL   78450000
*                                       TABLE (TCT) IF SYSTEM           78500000
*                                       MANAGEMENT FACILITIES (SMF)     78550000
*                                       DATA IS BEING COLLECTED FOR     78600000
*                                       THE TASK.  ZERO IF SMF DATA     78650000
*                                       IS NOT BEING COLLECTED FOR      78700000
*                                       THE TASK.                       78750000
*                                       SERIALIZATION: LOCAL LOCK.      78825000
*                                                            @Z30AQ9A*/ 78850000
*     3 TCBTCTGF BIT(8),             /* FLAG BYTE FOR TIMING CONTROL    78900000
*                                       TABLE                  ICB318*/ 78950000
*      4 TCBSMFGF BIT(1),            /* IF ZERO, THE TCT CORE TABLE     79000000
*                                       IS NOT BE TO UPDATED BY         79050000
*                                       GETMAIN/FREEMAIN.  IF ONE,      79100000
*                                       THE TCT CORE TABLE IS TO BE     79150000
*                                       UPDATED BY GETMAIN/FREEMAIN.    79200000
*                                                              ICB318*/ 79250000
*      4 *        BIT(7),            /* RESERVED.                @H2C*/ 79300000
*     3 TCBTCTB  PTR(24),            /* SAME AS TCBTCT ABOVE         */ 79350000
*    2 TCBUSER  PTR(31),             /* A WORD AVAILABLE TO THE USER */ 79400000
*    2 TCBSCNDY CHAR(4) BDY(WORD),   /* SECONDARY NONDISPATCHABILITY    79450000
*                                       BITS.  IF ANY BIT IN THE        79500000
*                                       FOLLOWING FOUR BYTES IS 1, THE  79550000
*                                       PRIMARY NONDISPATCHABILITY      79600000
*                                       BIT (OFFSET 33.7 DECIMAL) IS    79650000
*                                       1, AND THE TASK IS              79700000
*                                       NONDISPATCHABLE.             */ 79750000
*     3 TCBNDSP  CHAR(4) BDY(WORD),  /* SAME AS TCBSCNDY             */ 79800000
*      4 TCBNDSP0 CHAR(1),           /* BYTE 0                       */ 80460001
*      4 TCBNDSP1 CHAR(1),           /* BYTE 1                       */ 80500001
*       5 TCBDARTN BIT(1),           /* THE TASK IS TEMPORARILY         80550000
*                                       NONDISPATCHABLE - DAMAGE        80600000
*                                       ASSESSMENT ROUTINE (DAR)     */ 80650000
*       5 TCBDARPN BIT(1),           /* THE TASK IS PERMANENTLY         80700000
*                                       NONDISPATCHABLE - DAMAGE        80750000
*                                       ASSESSMENT ROUTINE (DAR)     */ 80800000
*       5 TCBRSTND BIT(1),           /* THE TASK IS TEMPORARILY         80850000
*                                       NONDISPATCHABLE - RECOVERY      80900000
*                                       MANAGEMENT SUPPORT AND SYSTEM   80950000
*                                       ERROR RECOVERY (RMS/SER)     */ 81000000
*       5 TCBRSPND BIT(1),           /* THE TASK IS PERMANENTLY         81050000
*                                       NONDISPATCHABLE - RECOVERY      81100000
*                                       MANAGEMENT SUPPORT AND SYSTEM   81150000
*                                       ERROR RECOVERY (RMS/SER)        81200000
*                                       (IF THIS FLAG IS ON THEN THE    81400001
*                                       PREVIOUS BIT MUST BE ON TOO) */ 81500000
*       5 TCBDDRND BIT(1),           /* THE TASK IS IN DEVICE           81600000
*                                       ALLOCATION AND DYNAMIC DEVICE   81650000
*                                       RECONFIGURATION (DDR) HAS       81660001
*                                       MADE IT NONDISPATCHABLE -       81668000
*                                       RECOVERY MANAGEMENT SUPPORT     81676000
*                                       AND SYSTEM ERROR RECOVERY       81684000
*                                       (RMS/SER)  (OS/VS1)          */ 81692000
*       5 TCBTPSP  BIT(1),           /* DISPATCHING OF TCAM TASK        81700001
*                                       MUST BE DELAYED UNTIL TCAM      81800001
*                                       I/O APPENDAGE OR SVC ROUTINE    81900001
*                                       HAS COMPLETED EXECUTION         82000001
*                                       (TCAM IN MULTIPROCESSING        82100001
*                                       ENVIRONMENT)                 */ 82200001
*       5 TCBPIEND BIT(1),           /* SRB IS TO BE SCHEDULED TO       82222200
*                                       PERFORM PIE/PICA PROCESSING     82244400
*                                       (FIRST LEVEL INTERRUPT          82266600
*                                       HANDLER)                     */ 82288800
*       5 TCBABTIN BIT(1),           /* THE TASK IS TEMPORARILY         82311000
*                                       NONDISPATCHABLE WHILE BEING     82333200
*                                       SET UP FOR ABTERM    @ZM46205*/ 82366600
*      4 TCBNDSP2 CHAR(1),           /* BYTE 2                       */ 82400001
*       5 TCBABD   BIT(1),           /* ABDUMP IS PROCESSING (OS/VS1)*/ 82450000
*       5 TCBSTPP  BIT(1),           /* TASK SET NONDISPATCHABLE        82500000
*                                       BY SETTASK                   */ 82800001
*       5 TCBNDSVC BIT(1),           /* TASK IS NONDISPATCHABLE         82850000
*                                       BECAUSE SVC DUMP IS             82900000
*                                       EXECUTING FOR ANOTHER TASK   */ 82950000
*       5 TCBNDTS  BIT(1),           /* TASK IS NONDISPATCHABLE         83000000
*                                       BECAUSE IT IS BEING SWAPPED     83050000
*                                       OUT                          */ 83100000
*       5 TCBIWAIT BIT(1),           /* TASK IS NONDISPATCHABLE DUE     83150000
*                                       TO AN INPUT WAIT             */ 83200000
*       5 TCBOWAIT BIT(1),           /* TASK IS NONDISPATCHABLE DUE     83250000
*                                       TO AN OUTPUT WAIT            */ 83300000
*       5 TCBDSS   BIT(1),           /* DYNAMIC SUPPORT SYSTEM (DSS)    83350000
*                                       HAS SET THIS TASK               83400000
*                                       NONDISPATCHABLE        ICB313*/ 83450000
*       5 TCBABE   BIT(1),           /* ABEND ROUTINE WAS ENTERED BY    83500000
*                                       THIS TASK WHILE THE DCB FOR     83550000
*                                       SYSABEND (OR SYSUDUMP) DATA     83600000
*                                       SET WAS BEING OPENED FOR        83650000
*                                       ANOTHER TASK  (OS/VS1)       */ 83700000
*      4 TCBNDSP3 CHAR(1),           /* BYTE 3                       */ 84300001
*       5 TCBLJSND BIT(1),           /* TASK IS ABENDING AND            84806200
*                                       NONDISPATCHABLE BECAUSE IT      84808300
*                                       HAS A JOB STEP SUBTASK.         84810400
*                                       TCBONDSP MUST ALSO BE ON.    */ 84813500
*       5 TCBNDNYI BIT(1),           /* RCT TASK IS NOT DISPATCHABLE    84814500
*                                       BECAUSE THE ADDRESS SPACE IS NOT84815500
*                                       NOT YET INITIALIZED FULLY       84816500
*                                                                @P4A*/ 84817500
*       5 TCBSRBND BIT(1),           /* TCB NONDISPATCHABLE BECAUSE     84818800
*                                       SRB'S ARE STOPPED            */ 84823000
*       5 TCBSLPER BIT(1),           /* SET NONDISPATCHABLE SO THAT     84827200
*                                       SLIP/PER CAN ALTER RB PSW       84829300
*                                       PER BIT              @G65RP9A*/ 84832400
*       5 TCBS3MR  BIT(1),           /* STAGE 3 EXIT EFFECTOR MUST      84835600
*                                       RUN TO SYNCHRONIZE ATTENTION    84837700
*                                       INTERRUPT            @ZM48358*/ 84840800
*       5 TCBAREQ  BIT(1),           /* TSO AUTHORIZED REQUEST          84844000
*                                       PROCESSING ACTIVE.   @ZA67167*/ 84846100
*       5 TCBNDSMF BIT(1),           /* Indicates task is stopped       84846400
*                                       because its CPU or continuous   84846700
*                                       wait time has been exceeded.    84847000
*                                       SMF determines whether to grant 84847300
*                                       extension or abend task.        84847600
*                                       Ownership: SMF.          @03A*/ 84847900
*       5 TCBNDINT BIT(1),           /* INITIATOR SETS THIS BIT TO      84881800
*                                       PREVENT JOB STEP EXECUTION      84883900
*                                       IN ORDER TO DO CANCEL           84886000
*                                       PROCESSING (CAN CANCEL LOOP) */ 84893000
*    2 TCBMDIDS FIXED(31),           /* RESERVED FOR MODEL-DEPENDENT    84900001
*                                       SUPPORT AND FOR IBM             84950001
*                                       PROPRIETARY PROGRAMMING         84960001
*                                       SUPPORT                ICBXXX*/ 84970001
*    2 TCBJSCB  PTR(31),             /* ADDRESS OF THE JOB STEP         84976400
*                                       CONTROL BLOCK                */ 84982800
*     3 TCBRECDE CHAR(1),            /* ABEND RECURSION BYTE   ICB456*/ 84989200
*      4 TCBREC   BIT(1),            /* VALID REENTRY TO ABEND IF       84995600
*                                       NON-ZERO VALUE IN FOLLOWING     85002000
*                                       7 BITS                 ICB456*/ 85008400
*      4 *        BIT(7),            /* ABEND BITS             ICB456*/ 85014800
*%TCBOPEN='''01''X';                 /* OPEN DUMP DATA SET     ICB456*/ 85021200
*%TCBCLOSD='''02''X';                /* CLOSE DIRECT SYSOUT ON          85027600
*                                       TAPE                   ICB456*/ 85034000
*%TCBCLOSE='''03''X';                /* CLOSE OPEN DATA SETS   ICB456*/ 85040400
*%TCBCLOSF='''04''X';                /* RESERVED.              ICB456*/ 85046800
*%TCBGREC='''05''X';                 /* GRAPHICS               ICB456*/ 85053200
*%TCBADUMP='''07''X';                /* ABDUMP                 ICB456*/ 85059600
*%TCBPTAXE='''08''X';                /* PURGE TAXE             ICB456*/ 85066000
*%TCBMESG='''09''X';                 /* MESSAGE RECURSION      ICB456*/ 85072400
*%TCBDYNAM='''0A''X';                /* DD-DYNAM TIOT CLEANUP  ICB456*/ 85078800
*%TCBDAMSG='''0B''X';                /* ABEND IS ISSUING A WTOR         85085200
*                                       ASKING WHETHER THE JOB STEP     85091600
*                                       TASK SHOULD WAIT FOR THE        85098000
*                                       DUMP AREA (OS/VS1)           */ 85104400
*%TCBQTIP='''0C''X';                 /* PURGE TSO INTERPARTITION        85110800
*                                       POSTS                  ICB456*/ 85117200
*%TCBTCAMP='''0D''X';                /* PURGE TCAM INTERPARTITION       85123600
*                                       POSTS                  ICB456*/ 85130000
*%TCBINDRC='''0E''X';                /* INDICATIVE DUMP (LOAD 8 OF      85136400
*                                       ABEND) HAS ABENDED.  ABEND      85142800
*                                       WILL HANDLE THIS ABEND.         85149200
*                                       (OS/VS1)                     */ 85155600
*%TCBSAVCD='''0F''X';                /* ASIR RECURSION.  SAVE OLD       85162000
*                                       COMPLETION CODE        ICB456*/ 85168400
*%TCBTYP1W='''10''X';                /* TYPE 1 MESSAGE WRITE TO         85174800
*                                       PROGRAMMER             ICB456*/ 85181200
*%TCBWTPSE='''20''X';                /* WRITE-TO-PROGRAMMER (WTP)       85187600
*                                       FAILED.  JOB STEP TIMER         85194000
*                                       EXPIRED DURING JOB STEP ABEND   85200400
*                                       AND THE STAE EXIT IS DENIED.    85206800
*                                       (OS/VS1)             @X04DA9A*/ 85213200
*%TCBVTAM1='''21''X';                /* ABEND IS ENTERING FIRST VTAM    85219600
*                                       INTERFACE, ISTRAAA1, FOR        85226000
*                                       TERMINATION OF TASK OR          85232400
*                                       SUBTASK (OS/VS1)                85238800
*                                                            @X31BH9A*/ 85245200
*%TCBVTAM2='''22''X';                /* ABEND IS ENTERING SECOND VTAM   85251600
*                                       INTERFACE, ISTRAAA2, BECAUSE    85258000
*                                       ISTRAAA1 ABENDED  (OS/VS1)      85264400
*                                                            @X31BH9A*/ 85270800
*%TCBVTAM3='''23''X';                /* ABEND IS ENTERING FIRST VTAM    85277200
*                                       INTERFACE, ISTRAAA0, BECAUSE    85283600
*                                       VTAM ABENDED  (OS/VS1)          85290000
*                                                            @X04BH9A*/ 85296400
*%TCBVTAM4='''24''X';                /* ABEND IS ENTERING SECOND VTAM   85302800
*                                       INTERFACE, ISTRAAA2, BECAUSE    85309200
*                                       ISTRAAA0 ABENDED  (OS/VS1)      85315600
*                                                            @X04BH9A*/ 85322000
*%TCBNOSTA='''30''X';                /* STAE/STAI NOT TO BE             85328400
*                                       HONORED                ICB456*/ 85334800
*%TCBSTRET='''31''X';                /* RETURN FROM DUMP PROCESSING     85341200
*                                                              ICB456*/ 85347600
*%TCBCONVR='''32''X';                /* CONVERT TO STEP ABEND  ICB456*/ 85354000
*%TCBDARET='''33''X';                /* RETURN FROM DAMAGE              85360400
*                                       ASSESSMENT ROUTINES    ICB456*/ 85366800
*%TCBTYP1R='''34''X';                /* RETURN FROM TYPE 1 MESSAGE      85373200
*                                       MODULE                 ICB456*/ 85379600
*%TCBNEWRB='''35''X';                /* ABEND ISSUED SVC 13 TO          85386000
*                                       TRANSFER CONTROL (XCTL) TO A    85392400
*                                       NON-ABEND MODULE       ICB456*/ 85398800
*%TCBMCCNS='''40''X';                /* A MUST COMPLETE TASK HAS        85405200
*                                       ABNORMALLY TERMINATED WITHOUT   85411600
*                                       ENOUGH STORAGE FOR 2 RB'S FOR   85418000
*                                       A WTOR ASKING WHETHER THE       85424400
*                                       TASK'S RESOURCES ARE CRITICAL.  85430800
*                                       THE RESOURCES ARE ASSUMED TO    85437200
*                                       BE CRITICAL, AND THE            85443600
*                                       PARTITION IS MARKED             85450000
*                                       PERMANENTLY NONDISPATCHABLE.    85456400
*                                       (OS/VS1)               ICB492*/ 85462800
*     3 TCBJSCBB PTR(24),            /* ADDRESS OF THE JOB STEP         85469200
*                                       CONTROL BLOCK                */ 85475600
*    2 TCBSSAT PTR(31),              /* ADDRESS OF THE       @G381P9A   85482000
*                                       SUBSYSTEM AFFINITY   @G381P9A   85488400
*                                       TABLE (SSAT).        @G381P9A   85494800
*                                       SERIALIZATION -      @G381P9A   85501200
*                                       TCBACTIV.            @G381P9A   85507600
*                                       OWNERSHIP - TASK     @G381P9A   85514000
*                                       MANAGEMENT.          @G381P9A   85520400
*                                                                    */ 85526800
*    2 TCBIOBRC PTR(31),             /* ADDRESS OF IOB RESTORE CHAIN    85533200
*                                       FOR I/O QUIESCED BY EOT         85539600
*                                                              YM2840*/ 85546000
*    2 TCBEXCPD PTR(31),             /* ADDRESS OF EXCP DEBUG AREA      85552400
*                                                              YM4297*/ 85558800
*    2 TCBEXT1  PTR(31),             /* ADDRESS OF OS - OS/VS COMMON    85565200
*                                       EXTENSION              ICB311*/ 85576001
*     3 *        CHAR(1),            /* RESERVED.                @H2C*/ 85580000
*     3 TCBEXT1A PTR(24),            /* ADDRESS OF OS - OS/VS COMMON    85584000
*                                       EXTENSION              ICB311*/ 85588000
*                                                                       85592001
* /*           OS/VS1 - OS/VS2 COMMON SECTION                        */ 85594000
*                                                                       85596001
*    2 TCBBITS  CHAR(4) BDY(WORD),   /* FLAG BYTES.  IF A BIT IN THE    85596300
*                                       FOLLOWING TWO BYTES IS SET      85596600
*                                       TO 1, THE PRIMARY               85596900
*                                       NONDISPATCHABILITY BIT          85597200
*                                       (OFFSET 33.7 DECIMAL) IS SET    85597500
*                                       TO 1, AND THE TASK IS           85597800
*                                       NONDISPATCHABLE.             */ 85598100
*     3 TCBNDSP4 BIT(8),             /* SECONDARY NONDISPATCHABILITY    85598400
*                                       FLAGS COMMON TO OS/VS1 AND      85598700
*                                       OS/VS2.  COORDINATED WITH       85599000
*                                       PRIMARY NONDISPATCHABILITY      85599601
*                                       FLAG TCBPNDSP.  THIS BYTE IS    85602900
*                                       NOT CURRENTLY SUPPORTED BY      85606200
*                                       OS/VS2.                      */ 85609500
*     3 TCBNDSP5 BIT(8),             /* SECONDARY NONDISPATCHABILITY    85612800
*                                       FLAGS UNIQUE TO OS/VS1 OR       85616100
*                                       OS/VS2.  COORDINATED WITH       85619400
*                                       PRIMARY NONDISPATCHABILITY      85622700
*                                       FLAG TCBPNDSP.  THIS BYTE IS    85626000
*                                       NOT CURRENTLY SUPPORTED BY      85629300
*                                       OS/VS2.                      */ 85632600
*     3 TCBFLGS6 CHAR(1),            /* TASK-RELATED FLAGS           */ 85694901
*      4 TCBRV    BIT(1),            /* THE PARTITION IS FIXED IN       85695300
*                                       REAL STORAGE.  VIRTUAL          85695700
*                                       ADDRESSES ARE EQUAL TO REAL     85696100
*                                       ADDRESSES.                   */ 85696500
*      4 TCBPIE17 BIT(1),            /* PAGE FAULT INTERRUPT IS TO      85733300
*                                       BE PASSED TO THE TASK'S         85733700
*                                       INTERRUPT EXIT AND AN 8-BYTE    85734100
*                                       PICA IS IN EFFECT FOR THIS      85734500
*                                       TASK                   ICB339*/ 85734900
*      4 TCBCPU   BIT(1),            /* TASK IS CPU-BOUND MEMBER OF     85735300
*                                       AUTOMATIC PRIORITY GROUP        85735700
*                                       (APG)                        */ 85736100
*      4 TCBSPVLK BIT(1),            /* TASK SCHEDULED FOR ABTERM       85736500
*                                       WHILE OWNING SUPERVISOR LOCK */ 85737100
*      4 *        BIT(1),            /* RESERVED.                    */ 85737700
*      4 TCBMIGR  BIT(1),            /* REGION SELECTED FOR MIGRATION   85738100
*                                       FROM PRIMARY PAGING DEVICE   */ 85738700
*      4 TCBAPG   BIT(1),            /* TASK IS IN AUTOMATIC PRIORITY   85739300
*                                       GROUP (APG)                  */ 85739700
*      4 TCBNTJS  BIT(1),            /* JOB STEP TASK BUT NOT HIGHEST   85740100
*                                       IN FAILING TREE              */ 85740500
*     3 TCBFLGS7 CHAR(1),            /* TASK-RELATED FLAGS           */ 85741300
*      4 TCBGPECB BIT(1),            /* TASK IS IN AN ECB WAIT FOR A    85743300
*                                       GETPART                ICB339*/ 85743700
*      4 *        BIT(1),            /* RESERVED.                    */ 85744100
*      4 TCBSVCSP BIT(1),            /* IF 1, PROPAGATION OF SVC        85744500
*                                       SCREENING TO SUBTASKS IS        85744900
*                                       REQUIRED             @G860PXB*/ 85745300
*      4 TCBSTACK BIT(1),            /* SET IN JOB STEP TCB TO          85745700
*                                       INDICATE THAT A TASK IN THE     85746100
*                                       JOB STEP IS IN SERIAL ABEND     85746500
*                                       PROCESSING.  USED IN            85746900
*                                       CONJUNCTION WITH TCBFOINP.      85747300
*                                                              ICB374*/ 85747700
*      4 TCBSVCS  BIT(1),            /* IF 1, SVC SCREENING IS          85748100
*                                       REQUIRED FOR THE TASK.  THIS    85748500
*                                       OFFSET FIXED BY ARCHITECTURE.   85748900
*                                                            @G50EP9A*/ 85749300
*      4 TCBRSTSK BIT(1),            /* RESIDENT SYSTEM TASK         */ 85749700
*      4 TCBADMP  BIT(1),            /* ALL OTHER TASKS IN JOB STEP     85750100
*                                       HAVE BEEN SET NONDISPATCHABLE   85750500
*                                       BY ABDUMP.  THIS BIT IS SET     85750900
*                                       TO CONTROL JOB STEP DURING      85751300
*                                       THE DUMPING PROCESS.         */ 85751700
*      4 TCBGTOFM BIT(1),            /* GENERALIZED TRACE FACILITY      85777300
*                                       (GTF) TRACING HAS BEEN          85777700
*                                       TEMPORARILY DISABLED UNDER      85778100
*                                       THIS TASK              ICB402*/ 85778500
*    2 TCBDAR   CHAR(1),             /* DAMAGE ASSESSMENT ROUTINE       85778900
*                                       (DAR) FLAGS                  */ 85779300
*     3 TCBDARP  BIT(1),             /* PRIMARY DAR RECURSION.  DAR     85779700
*                                       HAS BEEN ENTERED FOR THIS       85780100
*                                       TASK                         */ 85780500
*     3 TCBDARS  BIT(1),             /* SECONDARY DAR RECURSION.  IF    85780900
*                                       DAR IS REENTERED, THIS TASK     85781300
*                                       WILL BE SET NONDISPATCHABLE.*/  85781700
*     3 TCBDARD  BIT(1),             /* A DUMP HAS BEEN REQUESTED       85782100
*                                       FOR A WRITER OR SCHEDULER       85782500
*                                       ABEND, AND THE USER HAS NOT     85782900
*                                       PROVIDED A SYSABEND DD CARD     85783300
*                                       (OS/VS1)                     */ 85783700
*     3 TCBDARC  BIT(1),             /* RECURSION PERMITTED IN          85784100
*                                       CLOSE - AFTER DAR PROCESSING    85784500
*                                       COMPLETED  (PCP)             */ 85784900
*      4 TCBDARMC BIT(1),            /* DAR HAS BEEN ENTERED TO         85794201
*                                       HANDLE A VALID RECURSION        85794601
*                                       IN MUST-COMPLETE STATUS         85795000
*                                       THROUGH ABEND          ICB264*/ 85795401
*     3 TCBDARO  BIT(1),             /* SYSTEM ERROR TASK IS FAILING.   85797700
*                                       DAR DUMP SHOULD NOT REQUEST     85800000
*                                       ANY ERROR RECOVERY PROCEDURE    85802300
*                                       (ERP) PROCESSING.            */ 85804600
*     3 TCBDARWT BIT(1),             /* A WTO OPERATION WITH A          85806900
*                                       'REINSTATEMENT FAILURE'         85809200
*                                       MESSAGE IS IN PROCESS FOR DAR   85811500
*                                                              ICB264*/ 85813800
*     3 TCBDARMS BIT(1),             /* WTO OPERATION WITH A 'DAR IN    85816100
*                                       PROGRESS' MESSAGE IS IN         85818400
*                                       PROCESS FOR DAR (OS/VS1)        85820700
*                                                            @XA08316*/ 85823000
*     3 TCBEXSVC BIT(1),             /* THE DUMP SVC ROUTINE IS         85825300
*                                       EXECUTING FOR THIS TASK      */ 85827600
*    2 TCBRSV37 PTR(8),              /* RESERVED FOR USER            */ 85829900
*    2 TCBSYSCT PTR(8),              /* NUMBER OF OUTSTANDING           85832200
*                                       SYSTEM-MUST-COMPLETE            85834500
*                                       REQUESTS (ICB497)      YM3883*/ 85836800
*    2 TCBSTMCT PTR(8),              /* NUMBER OF OUTSTANDING           85839100
*                                       STEP-MUST-COMPLETE              85841400
*                                       REQUESTS (ICB497)      YM3883*/ 85843700
*    2 TCBEXT2  PTR(31) BDY(DWORD),  /* SAME AS TCBEXT2A       ICB311*/ 85846000
*     3 *        BIT(8),             /* FIRST BYTE OF TCBEXT2           85848300
*                                                            @G381P9A*/ 85850600
*     3 TCBEXT2A PTR(24),            /* ADDRESS OF OS/VS1 - OS/VS2      85852900
*                                       COMMON EXTENSION       ICB311*/ 85855901
*                                                                       86107501
* /*           OS/VS2 TCB OVERLAY                                    */ 86117500
*                                                                       86127501
*    2 TCBAECB  CHAR(4) BDY(DWORD,5),/* ABEND ECB.  POSTED BY A         86145900
*                                       MOTHER TASK IN RTM2 PROCESSING  86146300
*                                       WHEN A DAUGHTER IS WAITING TO   86146700
*                                       TERMINATE IT.                */ 86147100
*    2 TCBXSB   PTR(31),             /* ADDRESS OF CURRENT   @G381P9A   86147500
*                                       XSB FOR TASK.        @G381P9A   86147900
*                                       SERIALIZATION -      @G381P9A   86148300
*                                       TCBACTIV.            @G381P9A   86148700
*                                       OWNERSHIP-SUPERVISOR @G381P9A   86149100
*                                                            @G381P9A*/ 86149500
*    2 TCBBACK  PTR(31),             /* ADDRESS OF PREVIOUS TCB ON      86149900
*                                       READY QUEUE.  ZERO IN TOP       86150300
*                                       TCB.                         */ 86150700
*    2 TCBRTWA  PTR(31),             /* POINTER TO CURRENT RTM2 WORK    86151100
*                                       AREA                         */ 86151500
*    2 TCBNSSP POINTER(31),          /* NORMAL STACK SAVE AREA          86151900
*                                       POINTER.                        86152300
*                                       SERIALIZATION - TCBACTIV.       86152700
*                                       OWNERSHIP - SUPERVISOR.         86153100
*                                                            @G381P9A*/ 86153500
*     3 TCBNSSQA BIT(1),             /* NORMAL STACK SAVED IN SQA       86153900
*                                       INDICATOR.           @G38CPXB*/ 86154300
*    2 TCBXLAS PTR(31),              /* ASCB ADDRESS OF THE CML LOCK    86154700
*                                       HELD WHILE TCB SUSPENDED OR     86155100
*                                       INTERRUPTED.                    86155500
*                                       SERIALIZATION - TCBACTIV.       86155900
*                                       OWNERSHIP - SUPERVISOR.         86156300
*                                                            @G381P9A*/ 86156700
*    2 TCBABCUR CHAR(1),             /* ABEND RECURSION BYTE         */ 86157100
*    2 TCBFJMCT PTR(8),              /* NUMBER OF OUTSTANDING           86157300
*                                       STEP-MUST-COMPLETE REQUESTS     86157500
*                                       ISSUED BY THE TASK.  @YA02725*/ 86157700
*    2 TCBTID   CHAR(1),             /* The task identifier as          86157800
*                                       specified on the TID parameter  86157900
*                                       of ATTACH or ATTACHX.           86158000
*                                       The following task identifiers  86158100
*                                       are for internal use only:      86158200
*                                                                @P7C*/ 86158300
*%TCBPAGID='''FF''X';                /* ID FOR PAGING SUPERVISOR        86158400
*                                       TASK                   ICB403*/ 86158700
*%TCBSYERR='''FE''X';                /* ID FOR SYSTEM ERROR             86159100
*                                       TASK                   ICB403*/ 86159500
*%TCBCOMM='''FD''X';                 /* ID FOR COMMUNICATIONS           86159900
*                                       TASK                   ICB403*/ 86160300
*%TCBIORMS='''FC''X';                /* ID FOR I/O RMS                  86160700
*                                       TASK                   ICB403*/ 86161100
*%TCBMASTR='''FB''X';                /* ID FOR MASTER SCHEDULER         86161500
*                                       TASK                   ICB403*/ 86161900
*%TCBJES='''FA''X';                  /* ID FOR JOB ENTRY SUBSYSTEM      86162300
*                                       (JES) MONITOR TASK     ICB403*/ 86162700
*%TCBDSSID='''F9''X';                /* ID FOR DYNAMIC SUPPORT SYSTEM   86163100
*                                       (DSS) TASK             ICB403*/ 86163500
*%TCBLOGID='''F8''X';                /* ID FOR SYSTEM LOG TASK       */ 86163900
*    2 TCBFLGS8 CHAR(1),             /* GUPI FLAG BYTE FIELD.           86164000
*                                       SERIALIZATION - TCBACTIV (Must  86164100
*                                       be running under this TCB when  86164200
*                                       updating this field.)    @P1A*/ 86164300
*     3 TCBDYING BIT(1),             /* IF ON, INDICATES THAT THE       86164400
*                                       SYSTEM HAS DETERMINED THAT      86164500
*                                       THIS TASK WILL BE TERMINATING   86164600
*                                       (NORMALLY OR ABNORMALLY) AND    86164700
*                                       ITS MAINLINE PROCESSING WILL    86164800
*                                       NOT BE ALLOWED TO RUN AGAIN.    86164900
*                                       OWNERSHIP - RTM.         @P1A*/ 86165000
*     3 TCBNOIRB BIT(1),             /* If on, IRBs will not be queued  86165100
*                                       to this TCB.  A program         86165200
*                                       setting this flag MUST save     86165300
*                                       its current value and restore   86165400
*                                       that value either when that     86165500
*                                       program can tolerate IRBs       86165600
*                                       being queued or before the      86165700
*                                       current RB terminates.   @08A*/ 86165800
*     3 TCBJTCBA BIT(1),             /* JSTCB being attached by         86165900
*                                       initiator                @L9A*/ 86166000
*     3 *        BIT(5),             /* RESERVED.                @08C*/ 86166100
*    2 TCBXSCT  CHAR(4) BDY(WORD),   /* DISPATCHER INTERSECT CONTROL    86166200
*                                       WORD                 @Z40FP9A*/ 86166300
*     3 TCBXSCT1 BIT(8),             /* FLAG BYTE            @Z40FP9A*/ 86166400
*      4 TCBACTIV BIT(1),            /* BIT ON MEANS THIS TCB IS        86166500
*                                       CURRENTLY ACTIVE ON A CPU.      86166600
*                                       USED TO SYNCHRONIZE SOME        86166700
*                                       STATUS SAVING AND               86167100
*                                       DISPATCHABILITY INDICATORS      86167500
*                                       WHEN ACTIVE OR NOT UNDER THE    86167900
*                                       LOCAL LOCK.          @Z40FP9A*/ 86168300
*      4 TCBS3A   BIT(1),            /* STAGE 3 EXIT EFFECTOR/RESUME/   86168700
*                                       TCTL INTERSECT FLAG             86169100
*                                                            @Z40FP9A*/ 86169500
*      4 TCBLLREQ BIT(1),            /* TASK REQUESTED LOCAL LOCK       86169900
*                                                            @G50DP9A*/ 86170300
*      4 *        BIT(1),            /* RESERVED.                @06C*/ 86170400
*      4 TCBTDORM BIT(1),                                               86170500
*                                    /* Turned on to detect dormant     86170600
*                                       Tasks by Parallel Detach        86170700
*                                       processing.  Turned off by      86170800
*                                       the Dispatcher during Task      86170900
*                                       dispatch                 @06A*/ 86171000
*      4 *        BIT(3),            /* RESERVED.                @06C*/ 86171100
*     3 TCBXSCT2 BIT(8),             /* FLAG BYTE            @G381P9A*/ 86171200
*      4 TCBCMLF BIT(1),             /* CML RESOURCE MANAGER            86171500
*                                       PROCESSING COMPLETE FOR THIS    86171900
*                                       CML LOCK OWNER.                 86172300
*                                                            @G381P9A*/ 86172700
*      4 TCBLLNEW BIT(1),            /* Lock Management has given this  86172800
*                                       task the local lock, but its    86172900
*                                       status is in the TCB, not the   86173000
*                                       IHSA.                           86173100
*                                       SERIALIZATION: TCBACTIV         86173200
*                                       OWNERSHIP: Task Management      86173300
*                                                                @L5A*/ 86173600
*      4 *        BIT(6),            /* RESERVED.                @H2C*/ 86173900
*     3 TCBCCPVI FIXED(15),          /* ID OF THE CURRENT CPU RUNNING   86174300
*                                       THIS TASK.  USED FOR RECOVERY   86174700
*                                       AND CPU AFFINITY.               86175100
*                                                            @Z40FP9A*/ 86175500
*    2 TCBFOE   PTR(31),             /* SAME AS TCBFOEA BELOW  ICB339*/ 86175900
*     3 *        CHAR(1),            /* RESERVED.                @H2C*/ 86176300
*     3 TCBFOEA  PTR(24),            /* ADDRESS OF FIRST FIX            86176700
*                                       OWNERSHIP ELEMENT (FOE) IN      86177100
*                                       LIST FOR THIS TASK     ICB339*/ 86177500
*    2 TCBSWA   PTR(31),             /* ADDRESS OF FIRST SCHEDULER      86177900
*                                       WORK AREA (SWA) SPQE ON SWA     86178300
*                                       SPQE CHAIN           @Z40AQ9A*/ 86178700
*    2 TCBSTAWA PTR(31),             /* ESTAE ROUTINE WORK AREA         86179100
*                                       POINTER              @Z40FP9A*/ 86179500
*    2 TCBTCBID CHAR(4) BDY(WORD),   /* CONTAINS BLOCK ID - 'TCB '      86179900
*                                                                    */ 86180300
*    2 TCBRTM12 PTR(31),             /* POINTER TO PARAMETER AREAS      86180700
*                                       PASSED FROM RTM1 TO RTM2        86181100
*                                                                    */ 86181500
*    2 TCBESTAE CHAR(4) BDY(WORD),   /* AREA TO CONTAIN RECOVERY DATA   86181900
*                                       FOR RTM                      */ 86182300
*     3 TCBSCBKY  CHAR(1),           /* KEY IN WHICH SYNCH IS TO PASS   86182700
*                                       CONTROL TO THE USER EXIT        86183100
*                                                            @ZM49655*/ 86183500
*     3 TCBESTRM BIT(8),             /* ESTAE TERM OPTIONS           */ 86183900
*      4 TCBETERM BIT(1),            /* ESTAE EXIT ENTERED WITH TERM    86184300
*                                       OPTION                       */ 86184700
*      4 TCBSTAFX BIT(1),            /* SERIALIZED BY TCB ACTIVE        86185100
*                                                            @ZA30005*/ 86185500
*      4 *        BIT(6),            /* RESERVED.                @H2C*/ 86185900
*     3 TCBERTYP PTR(8),             /* TYPE OF ERROR CAUSING ENTRY     86186300
*                                       TO THE RTM.  SET BY RTM1.       86186700
*                                                                    */ 86187100
*     3 TCBMODE  PTR(8),             /* MASK INDICATING MODE OF         86187500
*                                       SYSTEM AT TIME OF ERROR.        86187900
*                                       SEE IHART1W/MODE FOR            86188300
*                                       INDIVIDUAL BIT DEFINITIONS.     86188700
*                                                                    */ 86189100
*    2 TCBUKYSP PTR(31),             /* ADDRESS OF SPQE'S FOR           86189500
*                                       SUBPOOLS 229 AND 230 (USER      86189900
*                                       KEY STORAGE IN THE PRIVATE      86190300
*                                       AREA)                        */ 86190700
*    2 TCBPROPF CHAR(2),             /* Flags that are propagated to    86190800
*                                       new TCB                  @L9A*/ 86190900
*      3 TCBPROP0 CHAR(1),           /* Byte 0 of TCBPROPF       @L9A*/ 86191000
*        5 TCBBITCB BIT(1),          /* This task is "below" the        86191100
*                                       initiator TCB            @L9A*/ 86191200
*      3 TCBPROP1 CHAR(1),           /* Byte 1 of TCBPROPF       @L9A*/ 86191500
*    2 TCBAFFN  BIT(16),             /* CPU AFFINITY INDICATOR       */ 86191900
*    2 TCBFBYT1 BIT(8),              /* FLAG BYTE.                      86192300
*                                       SERIALIZATION - TCBACTIV OR     86192700
*                                       TASK NONDISPATCHABLE AND        86193100
*                                       LOCAL LOCK.          @G381P9A*/ 86193500
*     3 TCBEOTFM BIT(1),             /* END OF TASK FLAG FOR FREEMAIN.  86193900
*                                       SET TO 1 BY TASK TERMINATION    86194300
*                                       AT START OF TERMINATION         86194700
*                                       PROCESSING AND RESET TO 0 AT    86195100
*                                       FINISH.  INDICATES THAT A       86195500
*                                       FREEMAIN ON A BLOCK OF LOCAL    86195900
*                                       STORAGE THAT IS STILL FIXED     86196300
*                                       BY RSM SHOULD RESULT IN A       86196700
*                                       RETURN CODE OF 8 RATHER THAN    86197100
*                                       ABNORMAL TERMINATION.        */ 86197500
*     3 TCBRTM1E BIT(1),             /* RTM1 IS CURRENTLY PROCESSING    86197900
*                                       EUT FRR'S FOR THIS TASK         86198300
*                                                            @G381P9A*/ 86198700
*     3 TCBNDIOS BIT(1),             /* TASK HAS BEEN SET               86199100
*                                       NONDISPATCHABLE VIA STATUSND    86199500
*                                       WHILE SVC 16 (PURGE) SCANS      86199900
*                                       THE RB CHAIN PURGING APPENDAGE- 86200300
*                                       SCHEDULED ASYNCHRONOUS EXIT     86200700
*                                       ROUTINES RUNNING UNDER AN       86201100
*                                       IRB/RQE OR NON-RESIDENT ERP'S   86201500
*                                       RUNNING UNDER THE SIRB       */ 86201900
*     3 TCBPGNLY BIT(1),             /* SET BY RTM2 TO INDICATE ONLY    86202300
*                                       PURGE PHASE TO BE PERFORMED     86202700
*                                                                    */ 86203100
*     3 TCBRTM2  BIT(1),             /* SET BY RTM2 TO INDICATE RTM2    86203500
*                                       HAS BEEN ENTERED FOR THIS       86203900
*                                       TASK                         */ 86204300
*     3 TCBEOT   BIT(1),             /* SET BY RTM2 TO INDICATE TO      86204700
*                                       EXIT THAT END OF TASK           86205100
*                                       PROCESSING IS COMPLETE       */ 86205500
*     3 TCBSATTN BIT(1),             /* SYNCHRONIZATION OF ATTENTION    86205900
*                                       INTERRUPT REQUIRED BY EXIT      86206300
*                                       PROLOG               @ZM48358*/ 86206700
*     3 TCBLLH   BIT(1),             /* Task was interrupted holding    86207300
*                                       the local lock.              */ 86207900
*    2 TCBFBYT2 BIT(8),              /* FLAG BYTE.                      86208700
*                                       SERIALIZATION - TCBACTIV OR     86209100
*                                       TASK NONDISPATCHABLE AND        86209500
*                                       LOCAL LOCK.          @G381P9A*/ 86209900
*     3 TCBCNCB  BIT(1),             /* SET BY RTM2 IN THE JOB STEP     86210300
*                                       TCB WHEN IT HAS BEEN ENTERED    86210700
*                                       ON THE TCB FOR AN X22           86211100
*                                       ABEND                        */ 86211500
*     3 TCBFMW   BIT(1),             /* MOTHER WAITING FLAG.  TURNED    86211900
*                                       ON IN A SUBTASK IN RTM2         86212300
*                                       PROCESSING WHEN AN ANCESTOR     86212700
*                                       TASK IS WAITING TO ABEND        86213100
*                                       IT.                          */ 86213500
*     3 TCBFDW   BIT(1),             /* DAUGHTER WAITING FLAG.          86213900
*                                       TURNED ON IN A MOTHER TASK      86214300
*                                       IN RTM2 PROCESSING WHEN A       86214700
*                                       DAUGHTER IS WAITING TO ABEND    86215100
*                                       IT.                          */ 86215500
*     3 TCBFPRAP BIT(1),             /* SET BY RTM2 TO PREVENT          86215900
*                                       PERCOLATION TO THE TASK OF AN   86216300
*                                       ASYNCHRONOUS ABEND           */ 86216700
*     3 TCBRT1NR BIT(1),             /* IF 1, ERROR PROPAGATED FROM     86216900
*                                       RTM1 IS NON-RETRYABLE    @D1A*/ 86217100
*     3 TCBECBNV BIT(1),             /* IF 1, ECB POINTED TO BY         86217500
*                                       TCBECB IS NOT TO BE VALIDITY    86217900
*                                       CHECKED.  IF 0, ECB POINTED     86218300
*                                       TO BY TCBECB IS TO BE           86218700
*                                       VALIDITY CHECKED.            */ 86219100
*     3 TCBSSPC BIT(1),              /* STATUS STOP PENDING, TASK HOLDS 86219500
*                                       A CML LOCK OR IS IN FUNCTION    86219900
*                                       MUST COMPLETE MODE.      @L3C*/ 86220300
*     3 TCBRTM1C BIT(1),             /* A TASK WITH EUT FRRS HAS BEEN   86220700
*                                       CANCELLED. THIS FLAG PASSES     86221100
*                                       THE CANCEL REQUEST FROM RTM1    86221500
*                                       TO RTM2.             @ZA56255*/ 86221900
*    2 TCBFBYT3 BIT(8),              /* FLAG BYTE.                      86222300
*                                       SERIALIZATION=TCBACTIV OR       86222700
*                                       TASK NONDISPATCHABLE AND        86223100
*                                       LOCAL LOCK.          @ZA72701*/ 86223500
*     3 TCBEXP   BIT(1),             /* EXPANDED VERSION OF             86223900
*                                       THE TCB              @ZA72701*/ 86224300
*     3 TCBNCTL  BIT(1),             /* IF 1, INDICATES USER PROGRAM    86224700
*                                       IS LOADED UNDER THIS TASK OR    86225100
*                                       A LOWER TASK.                   86225500
*                                       OWNERSHIP: RACF      @ZA84893*/ 86225900
*     3 TCBRTMDE BIT(1),             /* DETACH HAS BEEN CALLED BY       86226100
*                                       BY RTM               @ZA93650*/ 86226300
*     3 *        BIT(5),             /* RESERVED.                @05C*/ 86226800
*    2 TCBFBYT4 BIT(8),              /* FLAG BYTE.                      86227300
*                                       SERIALIZATION: TCBACTIV. @L3A*/ 86227400
*     3 TCBPMC  BIT(1),              /* IF 1, INDICATES TASK IS IN      86227500
*                                       PROCESS MUST COMPLETE MODE.     86227600
*                                                                @D2C*/ 86227700
*     3 TCBNOJLB BIT(1),             /* If 1, TCBJLB is not to be       86227800
*                                       used                     @07A*/ 86227900
*     3 *       BIT(6),              /* RESERVED.                @07C*/ 86228000
*    2 TCBRPT   PTR(31),             /* ADDRESS OF RADIX PARTITION      86228100
*                                       TREE FOR LOCAL STORAGE          86228200
*                                       MANAGEMENT                   */ 86228300
*    2 TCBVAT   PTR(31),             /* ADDRESS OF THE VAT   @ZA63673   86228400
*                                       (VSAM). THERE IS ONE @ZA63673   86228700
*                                       VAT PER JOB STEP TCB @ZA63673*/ 86229100
*    2 TCBSWASA PTR(31),             /* ADDRESS OF SAVE AREA USED BY    86229500
*                                       SWA MANAGER                  */ 86229900
*    2 TCBSVCA2 PTR(31),             /* ADDRESS OF SVC SCREENING        86230300
*                                       TABLE                @G50EP9A*/ 86230700
*    2 TCBERD  PTR(31),              /* EXTENDED REGION DESCRIPTOR.     86231100
*                                       SERIALIZATION - THE LOCAL LOCK. 86231500
*                                       OWNERSHIP - VSM.     @G860PXU*/ 86231900
*    2 TCBEAE  PTR(31),              /* EXTENDED ALLOCATED ELEMENT      86232300
*                                       QUEUE ANCHOR.                   86232700
*                                       SERIALIZATION - THE LOCAL LOCK. 86233100
*                                       OWNERSHIP - VSM.     @G860PXU*/ 86233500
*    2 TCBARC  FIXED(31),            /* REASON CODE FOR ABEND.          86233900
*                                       OWNERSHIP - RTM      @G860PXB*/ 86234300
*    2 TCBGRES FIXED(31),            /* TASK GLOBAL RESOURCE COUNT -    86234700
*                                 NUMBER OF GLOBAL RESOURCES OWNED BY   86235100
*                                 THIS TASK                      @L1A*/ 86235500
*    2 TCBSTCB  PTR(31),             /* ADDRESS OF STCB          @H2C*/ 86235900
*    2 TCBTTIME BIT(64),             /* TCB'S ACCUMULATED CPU TIME      86236100
*                                                                @01A*/ 86236300
*    2 TCBCELAP PTR(31),             /* COMMON EXECUTION LIBRARY ANCHOR 86236400
*                                       POINTER                  @02A*/ 86236500
*    2 TCBR148  CHAR(2),             /* RESERVED                 @05C*/ 86236600
*    2 TCBRBYT1 BIT(8),              /* RTM flag byte                   86236700
*                                       Ownership: RTM                  86236800
*                                      Serialization: Local lock @05A*/ 86236900
*     3 TCBPVICT BIT(1),             /* If 1, indicates that the        86237000
*                                       associated task has received an 86237100
*                                       ABEND13E as a result of         86237200
*                                       Parallel Detach processing.     86237300
*                                       Used by both RTM1 and RTM2.     86237400
*                                                                @05M*/ 86237500
*     3 TCBPKING BIT(1),             /* If 1, indicates that the        86237600
*                                       associated Task has been marked 86237700
*                                       as responsible for the removal  86237800
*                                       of its subtasks (in RTM         86237900
*                                       processing)              @05A*/ 86238000
*     3 TCBPCAND BIT(1),             /* If 1, indicates that this       86238100
*                                       Task has requested Parallel     86238200
*                                       Detach protection and should    86238300
*                                       be on the queue pointed to      86238400
*                                       by ASSBPTAR              @06A*/ 86238500
*     3 TCBPTOP  BIT(1),             /* If 1, indicates that this       86238600
*                                       Task is at the top of a Task    86238700
*                                       structure that was Parallel     86238800
*                                       Detached                 @06A*/ 86238900
*     3 *        BIT(4),             /* Reserved                 @06C*/ 86239000
*    2 TCBLEVEL BIT(8),              /* LEVEL NUMBER OF TCB  @ZA72701*/ 86239100
*    2 TCBBDT  PTR(31),              /* ADDRESS OF  BDT'S GSD LINKAGE   86239200
*                                       CONTROL BLOCK        @ZA72701*/ 86239300
*    2 TCBNDAXP FIXED(31),           /* COUNT OF THE NUMBER OF          86239400
*                                       CONSECUTIVE DISPATCHES          86239500
*                                       REQUIRED ON A CP BEFORE THE     86239600
*                                       TASK SHOULD BE REDISPATCHED ON  86239700
*                                       AN AXP.                         86239800
*                                       OWNER:  SUPERVISOR CONTROL      86239900
*                                       SERIALIZATION:  TCBACTIV BIT    86240300
*                                       OF FIELD TCBXSCT1        @H1A*/ 86240700
*    2 TCBSENV  PTR(31),             /* ADDRESS OF ACEE FOR THE TASK.   86241100
*                                       THE ACEE DESCRIBES THE RACF     86241500
*                                       AUTHORIZATION FOR THE TASK.     86241900
*                                       OWNER:  RACF                    86242300
*                                       SERIALIZATION: NONE,            86242700
*                                       ONLY UPDATED BY TASK            86243100
*                                       ITSELF.                  @H1A*/ 86243500
*    2 *        CHAR(0) BDY(DWORD);                                     86243900
*                                                                       86257501
* /*           OS/VS1 - OS/VS2 COMMON EXTENSION                      */ 86267500
*                                                                       86277501
* DECLARE                                                               86287501
*   1 TCBXTNT2 BASED(TCBEXT2)  BDY(DWORD) IHAALET,     /*        @L2C*/ 86289500
*    2 TCBGTF   PTR(31),             /* SAME AS TCBGTFA BELOW  ICB312*/ 86291501
*     3 TCBTFLG  BIT(8),             /* GENERALIZED TRACE FACILITY      86292800
*                                       (GTF) FLAG BYTE        ICB312*/ 86294100
*      4 TCBASYNC BIT(1),            /* GTF ASYNCHRONOUS GATHER         86295501
*                                       ROUTINE IS IN CONTROL  ICB312*/ 86295900
*      4 TCBERRTN BIT(1),            /* GTF ASYNCHRONOUS GATHER ERROR   86296301
*                                       ROUTINE IS IN CONTROL  ICB312*/ 86296500
*      4 TCBDSPIT BIT(1),            /* MACHINE CHECK INTERRUPTION      86296700
*                                       HANDLER SHOULD UNCONDITIONALLY  86296900
*                                       BRANCH TO DISPATCHER   ICB312*/ 86297201
*      4 *        BIT(5),            /* RESERVED.                @H2C*/ 86297700
*     3 TCBGTFA  PTR(24),            /* ADDRESS OF GTF TEMPORARY        86298200
*                                       TRACE BUFFER           ICB312*/ 86298700
*    2 *        CHAR(1),             /* RESERVED.                @H2C*/ 86299200
*    2 TCBRCMP  BIT(24),             /* MOST RECENT ABEND COMPLETION    86299700
*                                       CODE (INCLUDING VALID           86300200
*                                       RECURSIONS IN STAE)    ICB411*/ 86300700
*    2 TCBEVENT PTR(31),             /* ADDRESS OF EVENT TABLES QUEUE   86301200
*                                                            @X31ED9A*/ 86301700
*    2 TCBRTMCT FIXED(32),           /* COUNT OF TOKENS USED FOR ESTAE. 86302200
*                                       SERIALIZATION - CS.             86302700
*                                       OWNERSHIP - RTM.     @G381PXU*/ 86303200
*    2 TCBTQE   PTR(31),             /* ADDRESS OF A REUSABLE           86304700
*                                       TASK-RELATED TQE                86305200
*                                                            @G50EP9A*/ 86305700
*    2 TCBCAUF  PTR(31),             /* ADDRESS OF SUBSYSTEM FACILITY   86306200
*                                       CONTROL BLOCK                   86306700
*                                                            @ZA27912*/ 86307200
*    2 TCBPERCP PTR(31),             /* POINTER TO A QUEUE OF SPIS.     86307700
*                                       AN SPI REPRESENTS THE           86308200
*                                       PERCOLATION OF AN SRB'S FRR TO  86308700
*                                       THE RELATED TASK.               86309200
*                                       SERIALIZATION - TCBACTIV OR     86309700
*                                       TASK NONDISPATCHABLE AND        86310200
*                                       LOCAL LOCK.                     86310700
*                                       OWNERSHIP - RTM.     @G381P9A*/ 86311400
*     3 TCBRCVRY BIT(1),             /* TASK IS IN RECOVERY.            86312200
*                                       SERIALIZATION - TCBACTIV.       86312700
*                                       OWNERSHIP - RTM.     @G381P9A*/ 86313400
*    2 TCBPERCT FIXED(31),           /* COUNT OF SRB MODE FRRS WAITING  86314200
*                                       TO PERCOLATE TO THIS TASK, BUT  86314700
*                                       NOT REPRESENTED IN SPI QUEUE    86315200
*                                       (TCBPERCP).                     86315700
*                                       SERIALIZATION - TCBACTIV OR     86316200
*                                       TASK NONDISPATCHABLE AND        86316700
*                                       LOCAL LOCK.                     86317200
*                                       OWNERSHIP - RTM.     @G381P9A*/ 86318200
*    2 *        CHAR(0) BDY(DWORD);                                     86319200
*                                                                       86324101
*%TCBLEN='LENGTH(TCBFIX) + LENGTH(TCB) + LENGTH(TCBXTNT2)';  /* TCB     86326101
*                                       LENGTH INCLUDING PREFIX         86328101
*                                                              ICB362*/ 86330101
*                                                                       86330801
*DCL TCBVS02A FIXED(8) CONSTANT( 2); /* JBB2110 (NOT IN BASE)@ZA72701*/ 86334100
*DCL TCBVS02B FIXED(8) CONSTANT( 2); /* JBB2125              @ZA72701*/ 86337400
*DCL TCBVS03  FIXED(8) CONSTANT( 3); /* JBB2133                  @H1A*/ 86340700
*DCL TCBVERS  FIXED(8) CONSTANT( 3); /* LEVEL OF THIS MAPPING    @H1C*/ 86344000
* /*                   END OF TCB                                    */ 86347501
*%IF IKEPLS=''  %THEN                                                   86397500
*    %GOTO TCBL4;                                                       86447500
*IHALPOP;                                                               86497500
*%TCBL4 : ;                                                             86547500
