dhg - copied and edited from ceexsmcb.copy

USELEVEL3 - special indicator to make it use level 3 instead of level 2 

 /********************************************************************/         
 /* S T O R A G E   M G M T   C O N T R O L   B L O C K   ( S M C B )*/         
 /********************************************************************/         
 Dcl 1 smcb Based(ceecaasmcb),                                                  
       3 smcb_this_is      Char(4),    /* Eyecatcher 'SMCB'          */         
       /*------------------------------------------------------------*/         
       /* Note:  smcb_ustack and smcb_lstack must be kept in synch.  */         
       /* with smcb_xstack (in modules CEEVGTSI and CEEVFRRS).       */         
       /*------------------------------------------------------------*/         
       ?pad64(3,4);                                                             
       3 smcb_ustack,                  /* User Stack fields          */         
         5 smcb_us_this_is Char(4),    /* Eyecatcher 'USTK'          */         
       /*------------------------------------------------------------*/         
       /* First/last/bos/eos/nab grouped together for stack reset@D1A*/         
       /*------------------------------------------------------------*/         
       ?pad64(5,4);                                                             
         5 smcb_us_group,              /* last/bos/eos merged    @D1A*/         
           7 smcb_usfirst  IsA(leptr), /* A(First user stack seg.  ) */         
           7 smcb_uslast   IsA(leptr), /* A(Last user stack seg.)    */         
         /*----------------------------------------------------------*/         
         /* Note: Above layout of smcb_ustack matches first 12 bytes */         
         /* of stkh so that common queuing code can be used.         */         
         /*----------------------------------------------------------*/         
           7 smcb_usbos    IsA(leptr), /* Copy of CEECAABOS          */         
           7 smcb_useos    IsA(leptr), /* True end of user stack seg */         
           7 smcb_usnab    IsA(leptr), /* Last valid NAB for user stk*/         
         5 smcb_usinitsz   Fixed,      /* Initial user stack size, in*/         
                                       /* bytes, from STACK option.  */         
         5 smcb_usincrsz   Fixed,      /* Stack increment (overflow) */         
                                       /* size, in bytes, from STACK */         
                                       /* run-time option.           */         
         5 smcb_usanybelow Bit(32),    /* '0000000'X = anywhere      */         
                                       /* '8000000'X = below         */         
         5 smcb_uskeepfree Fixed,      /* 0 = keep, 1 = free         */         
         5 smcb_uspool     Fixed,      /* Subpool for user stack. If */         
                                       /* high order bit on, we      */         
                                       /* allocate from below 16M.   */         
         5 smcb_usprealloc Fixed,      /* 0 = No, 1 = Yes,  @LI0151A */         
                                       /* the user stack    @LI0151A */         
                                       /* was obtained from @LI0151A */         
                                       /* preallocated stg. @LI0151A */         
         5 smcb_us_stats,              /* User Stack statistics      */         
                                       /* (if RPTSTG(ON) specified). */         
           7 smcb_us_bytes_alloc Fixed,/* Maximum size of the User   */         
                                       /* Stack, in bytes.           */         
           7 smcb_us_curr_alloc Fixed, /* Current size of the User.  */         
                                       /* Stack, in bytes.           */         
           7 smcb_us_getmains  Fixed,  /* No. GETMAIN requests.      */         
           7 smcb_us_freemains Fixed,  /* No. FREEMAIN requests.     */         
         5 smcb_us_flags,              /* User stack flags TU C4xxx  */         
           7 smcb_us_oplink Fixed(8),  /* User stack OPLINK indicator*/         
           7 *              Fixed(8),  /*                            */         
           7 *              Fixed(8),  /*                            */         
           7 *              Fixed(8),  /*                            */         
       ?pad64(3,4);                                                             
       3 smcb_lstack,                  /* Library Stack fields       */         
         5 smcb_ls_this_is Char(4),    /* Eyecatcher 'LSTK'          */         
       /*------------------------------------------------------------*/         
       /* First/last/bos/eos/nab grouped together for stack reset@D1A*/         
       /*------------------------------------------------------------*/         
       ?pad64(5,4);                                                             
         5 smcb_ls_group,              /* llast/lbos/leos/lnab   @D1A*/         
           7 smcb_lsfirst  IsA(leptr), /* A(First lib. stack seg.)   */         
           7 smcb_lslast   IsA(leptr), /* A(Last lib. stack seg.)    */         
         /*----------------------------------------------------------*/         
         /* Note: Above layout of smcb_lstack matches first 12 bytes */         
         /* of stkh so that common queuing code can be used.         */         
         /*----------------------------------------------------------*/         
           7 smcb_lsbos    IsA(leptr), /* Copy of CEECAALBOS         */         
           7 smcb_lseos    IsA(leptr), /* True end of lib. stack seg */         
           7 smcb_lsnab    IsA(leptr), /* Last valid NAB for lib. stk*/         
         5 smcb_lsinitsz   Fixed,      /* Initial lib. stack size, in*/         
                                       /* bytes, from LIBSTACK       */         
                                       /* installation option.       */         
         5 smcb_lsincrsz   Fixed,      /* Stack increment (overflow) */         
                                       /* size, in bytes, from       */         
                                       /* LIBSTACK installation opt. */         
         5 smcb_lsanybelow Bit(32),    /* '0000000'X = anywhere      */         
                                       /* '8000000'X = below         */         
         5 smcb_lskeepfree Fixed,      /* 0 = keep, 1 = free         */         
         5 smcb_lspool     Fixed,      /* Subpool for lib. stack.    */         
         5 smcb_lsprealloc Fixed,      /* 0 = No, 1 = Yes,  @LI0151A */         
                                       /* the lib. stack    @LI0151A */         
                                       /* and the reserve   @LI0151A */         
                                       /* stack seg. were   @LI0151A */         
                                       /* obtained from     @LI0151A */         
                                       /* preallocated stg. @LI0151A */         
         5 smcb_ls_stats,              /* Library Stack statistics   */         
                                       /* (if RPTSTG(ON) specified). */         
           7 smcb_ls_bytes_alloc Fixed,/* Maximum size of the Lib.   */         
                                       /* Stack, in bytes.           */         
           7 smcb_ls_curr_alloc Fixed, /* Current size of the Lib.   */         
                                       /* Stack, in bytes.           */         
           7 smcb_ls_getmains  Fixed,  /* No. GETMAIN requests.      */         
           7 smcb_ls_freemains Fixed,  /* No. FREEMAIN requests.     */         
         5 smcb_ls_flags,              /* Libr stack flags TU C4xxx  */         
           7 smcb_ls_oplink Fixed(8),  /* Libr stack OPLINK indicator*/         
           7 *              Fixed(8),  /*                            */         
           7 *              Fixed(8),  /*                            */         
           7 *              Fixed(8),  /*                            */         
       /*------------------------------------------------------------*/         
       /* Note:  Above substructures, smcb_ustack and smcb_lstack,   */         
       /* must have same layout so that CEEVGTS and CEEVGTLS can     */         
       /* share code.                                                */         
       /*------------------------------------------------------------*/         
       ?pad64(3,4);                                                             
       3 smcb_rstack,                  /* Reserved stack segment,    */         
                                       /* used to resolve the STORAGE*/         
                                       /* condition.                 */         
         5 smcb_rsbos      IsA(leptr), /* Beginning of rsvd segment  */         
         5 smcb_rseos      IsA(leptr), /* End of rsvd segment        */         
         5 smcb_rsize      Fixed,      /* Size of reserved stack seg */         
                                       /* from STORAGE(,,,rsvd_size) */         
                                       /* run-time option.           */         
         5 smcb_rsactive   Fixed,      /* 0=rsvd segment not active  */         
                                       /* 1=rsvd seg. already active */         
       3 smcb_savereg,                 /* Temp. reg save area used   */         
                                       /* by CEEVGTS and CEEVGTLS    */         
                                       /* when stack overflows --    */         
         5 smcb_sa_reg(0:15) IsA(leptr), /*enough for R0 - R15.     */          
       3 smcb_savereg_xinit,           /* Used only by CEEXINIT macro*/         
                                       /* when NOSTACK keyword spec--*/         
         5 * (4:7)         Fixed,      /* enough for R4 - R7.        */         
       3 smcb_ceevgtsi     IsA(leptr), /* Addr(CEEVGTSI) -- get      */         
                                       /* stack increment routine.   */         
       3 smcb_storage_options,                                                  
         5 smcb_st_dsa_alloc_flag Fixed,                                        
                                       /* 1=Storage(,,dsa_alloc_val) */         
                                       /* option specified, else 0.  */         
         5 smcb_st_dsa_alloc_val Bit(32),                                       
                                       /* Stack (DSA) init char from */         
                                       /* ceeocb_storage_dsa_alloc_  */         
                                       /* value.                     */         
           7 smcb_st_dsa_alloc_val_c Char(4), /* as character    @D2A*/         
       3 smcb_thdheap,                 /* thread-related heap fields */         
         5 smcb_allocseg       Fixed,  /* Set to 1 when heap overflow*/         
                                       /* segment is required.       */         
                                       /* Initial value:  0.         */         
         5 smcb_below16m_flag  Fixed,  /* 1 = New heap element must  */         
                                       /* be allocated below 16 Meg. */         
                                       /* 0 = Don't care.            */         
         5 *                   Fixed,  /* reserved           @CM0698A*/         
                                       /* gets the heap latch@C54602A*/         
                                       /* and calls another  @C54602A*/         
                                       /* that needs it set  @C54602A*/         
         5 smcb_thd_reserved1  Fixed,  /* Reserved for expansion     */         
                                       /* <<< LEE                    */         
       3 smcb_local,                   /* storage to be used @C54603A*/         
         5 smcb_local_alloc     Fixed, /* locally by ceevgtsi@C54603A*/         
         5 smcb_local_getmains  Fixed, /* to accumulate      @C54603A*/         
         5 smcb_local_freemains Fixed, /* changes            @C54603A*/         
       3 smcb_threadheap_hpcb Character(Length(hpcb)),     /*@NX0093A*/         
                                       /* Thread level heap  @NX0093A*/         
                                       /* control block      @NX0093A*/         
       3 smcb_threadheap_stats Character(Length(hpsb)),    /*@NX0220A*/         
                                       /* Thread level heap  @NX0220A*/         
                                       /* statistics block   @NX0220A*/         
       3 smcb_moreflags Fixed(32),                         /*@N00102A*/         
         5 smcb_stkIncNoMemNoAbd Bit(1),                   /*@N00102A*/         
         5 smcb_stkIncInsrtB4    Bit(1),                   /*@CG0041A*/         
         5 *                     Bit(1),                       /*@G3C*/         
         5 *                     Bit(29),                      /*@P2C*/         
       ?pad64(3,4);                                                             
       3 smcb_dstack,                  /* HPLink Stack fields    @D2A*/         
         5 smcb_ds_this_is Char(4),    /* Eyecatcher 'DSTK'      @D2A*/         
       /*--------------------------------------------------------@D2A*/         
       /* First/last/bos/eos/nab grouped together for stack reset@D2A*/         
       /*--------------------------------------------------------@D2A*/         
         ?pad64(5,4);                                                           
         5 smcb_ds_group,              /* last/bos/eos merged    @D2A*/         
           7 smcb_dsfirst  IsA(leptr), /* A(First stack seg.)    @D2A*/         
           7 smcb_dslast   IsA(leptr), /* A(Last stack seg.)     @D2A*/         
         /*----------------------------------------------------------*/         
         /* Note: Above layout of smcb_dstack matches first 12 bytes */         
         /* of stkh so that common queuing code can be used.     @D2A*/         
         /*----------------------------------------------------------*/         
           7 smcb_dsbos    IsA(leptr), /* A(current segment)     @D2A*/         
           7 *             IsA(leptr), /*                        @D2A*/         
           7 *             IsA(leptr), /*                        @D2A*/         
         5 smcb_dsinitsz   Fixed,      /* Initial stack size     @D2A*/         
         5 smcb_dsincrsz   Fixed,      /* Stack increment size   @D2A*/         
         5 smcb_dsguardsz  Fixed,      /* Amount to add to incr size            
                                          for guardpage on 4k bdy@D2A*/         
         5 smcb_dskeepfree Fixed,      /* 0 = keep, 1 = free     @D2A*/         
         5 smcb_dspool     Fixed,      /* Subpool for stack. If  @D2A*/         
                                       /* high order bit on, we  @D2A*/         
                                       /* allocate from below 16M@D2A*/         
         5 smcb_dsprealloc Fixed,      /* 0 = No, 1 = Yes,       @D2A*/         
                                       /* the stack was obtained @D2A*/         
                                       /* from preallocated stg. @D2A*/         
         5 smcb_ds_stats,              /* HPLink Stack statistics@D2A*/         
           7 smcb_ds_bytes_alloc Fixed,/* Maximum size in bytes. @D2A*/         
           7 smcb_ds_curr_alloc Fixed, /* Current size in bytes. @D2A*/         
           7 smcb_ds_getmains  Fixed,  /* No. GETMAIN requests.  @D2A*/         
           7 smcb_ds_freemains Fixed,  /* No. FREEMAIN requests. @D2A*/         
         5 smcb_ds_flags,              /* HPLink stack flags     @D2A*/         
           7 *              Fixed(8),  /*                        @D2A*/         
           7 *              Fixed(8),  /*                        @D2A*/         
           7 *              Fixed(8),  /*                        @D2A*/         
           7 *              Fixed(8),  /*                        @D2A*/         
       /* The following area is used to save information about the   */         
       /* state of the user stack before the alternate stack is      */         
       /* activated.                                         @KCG0034*/         
       ?pad64(3,4);                                                             
       3 smcb_altstack_workarea,                           /*@KCG0034*/         
         5 smcb_altstack_save_caabos     IsA(leptr),       /*@KCG0034*/         
         5 smcb_altstack_save_caaeos     IsA(leptr),       /*@KCG0034*/         
         5 smcb_altstack_save_caaess     IsA(leptr),       /*@KCG0034*/         
         5 smcb_altstack_save_smcb_usbos IsA(leptr),       /*@KCG0034*/         
         5 smcb_altstack_save_smcb_useos IsA(leptr),       /*@KCG0034*/         
         5 smcb_altstack_save_ustack_nab IsA(leptr),       /*@KCG0034*/         
       3 smcb_savereg_sfree,           /* used by CEEVSSFR   @CG0041A*/         
         5 * (1:14)        Fixed,      /* room for STM 15-12 @CG0041A*/         
       3 smcb_dstack_savearea ?char(64,80);;/* used by CEEVHPSI  @D2A*/         
  %end;                                                                         
